Welcome to BrainVoyager

BrainVoyager User's Guide (v3.5)

  • Introduction

  • General informations

  • Creating projects

  • 2D data analysis

  • 3D volume tools

  • 3D data analysis

  • Surface rendering tools


Flow charts of main program operations

The following diagrams provide an overview of the most important routines usually performed with BrainVoyager as well as an overview of the most relevant file types / extensions.

Creation of basic project types from raw image data

FMR project files contain the original functional data. They reference .STC files which contain the time-course data of individual slices. The term ”2D” as used here specifies that all preprocessing and analysis routines are performed separately for each slice. AMR files are used as anatomical reference images. The functional data itself, i.e., the first T1 weighted scan of each slice, may serve as the underlying reference. VMR files are used for visualization of functional data in 3D space, i.e. Talairach space. After appropriate white-matter segmentation, VMR files also serve as the basis for surface reconstruction. The .POS files are only generated when reading Siemens .IMA files (see below).


Preprocessing of original functional data

Statistical analysis of original and / or preprocessed functional data


Interactive 2D-3D alignment

Automatic intra-session 2D-3D alignment

This option is currently only available for Simmons .IMA files (and shortly for DICOM files). It uses scanning position information of the file headers of the functional and anatomical recording. It requires that a 3D data set and the functional data were recorded in the same session and assumes that no head movement had occurred between these measures (interactive alignment can be used to correct for inter-scan head motion).


Talairach transformation

Talairach transformation has to be performed interactively once per subject. A high-quality 3D data set (i.e. 1mm x 1mm x 1mm resolution) should be used so that this data set can serve as reference to superimpose all functional data as well as the basis for segmentation and surface reconstruction.

Automatic 3D-3D alignment and Talairach transformation

If a subject performs more than one session and if in each session a 3D anatomical data set is recorded, the Talairach transformation can be done automatically through intensity-based 3D-3D alignment. The new 3D data set is translated and rotated automatically to match the AC_PC aligned 3D data set of a previous session.


Creation of volume time course files

The transformation files produced in the previous steps are used to convert slice-based functional data into 3D Talairach space.


3D preprocessing of .VTC files

Statistical analysis of .VTC files

VTC files allow single study as well as multi-study data analysis including group analysis.


Segmentation of white matter

Cortex reconstruction, inflation and flattening


General information

Important informations

Installation

You should install only one copy of BrainVoyager on a single machine. The reasons is that during installation, several entries are written into the Windows registry which are used in several contexts, i.e. to launch BrainVoyager from script files. If you move your BrainVoyager folder to another location, you should unregister the BrainVoyager COM server (double click "DisableBrainVoyagerServer.bat") and after moving the folder register it again (double click "EnableBrainVoyagerServer.bat"). This will change references in the Windows registry to point to the correct location of the program.

Write protection

If you copy data from a CD, make sure that you remove write protection for all files. Otherwise errors might occur. If you create functional projects from data located on a CD, do not forget to specify a path on a hard disk so that the software can save any created files. Otherwise BrainVoyager will terminate with an error message.

Naming conventions

In example file names, we use ”nn” as a place holder for the initials of a subject’s name or a number identifying the subject.

How to transfer a software-protected license from one PC to another one?

  1. Install BrainVoyager from the CD onto a new computer henceforth called the Target-PC. The Target-PC is the computer to which you want to transfer the license from another computer which currently posssesses a valid license (e.g., the test version or the full version with permanent site key). This computer is henceforth called the Source-PC. If you have a more recent version of BrainVoyager.exe, BrainVoyager.hlp or BrainVoyager.cnt, copy these files (e.g. from an upgrade disk or CD-ROM) into the folder where you have installed the program on the Target-PC.

  2. Start BrainVoyager on the Target-PC. The License Options dialog should appear showing your Site Code. Put a disk into drive A: which has at least 100 kB free space. Now click the Register Transfer button in the License Options dialog. Within a few seconds, the necessary transfer information is stored on the disk.

  3. Start BrainVoyager on the Source-PC. Click the License Options... menu item in the Help menu. The License Options dialog appears. Put the disk from the previous step containing the transfer information of the Target-PC into drive A: of the Source-PC. Now click the button Transfer Out. The license of the Source-PC is now transferred to the disk and merged with the stored information of the Target-PC. The BrainVoyager license on the Source-PC is now deleted and the program terminates automatically.

  4. Put the disk back in drive A: of the Target-PC. Start BrainVoyager if you had closed the program after performing step 2. In the License Options dialog, press the Transfer In button. Now the Target-PC obtains the license which formerly had resided on the Source-PC.

With these 4 steps you may move your license(s) between all of your PC's. You may of course run only one BrainVoyager with one license at the same time.

The Dec Alpha version of BrainVoyager is protected with a hardware dongle. You may install the program on any Alpha workstation. Move the license simply through putting the dongle into the parallel port of the computer you want to work with.


Introduction - Main program features

The following sections summarize the main features of BrainVoyager. Please inspect the flow charts repeatedly in order to obtain an overview of the most important program operations and file types.

Highlights of BrainVoyager

General description

Base module I

Base module II

Surface module

Miscellaneous

Development informations


Highlights of BrainVoyager 3.x

  • Extremely fast and highly optimized 2D and 3D analysis and visualization routines.

  • Integration of volume and surface rendering for fast creation of beautiful visualizations.

  • Advanced methods for semi-automated cortex reconstruction, inflation and flattening.

  • Comprehensive feature set for fMRI data analysis embodied in a single program.

  • The only complete solution available under Windows NT.


General description

BrainVoyager is a software package for the analysis and visualization of structural and functional magnetic resonance images. It is programmed with Visual C++ 4.x / 5.0 / 6.0 using MFC 4.x. The software was designed for high performance, ease of use and flexible data processing. It offers a comprehensive set of analysis and visualization tools which start its operation on raw data (2D structural and functional matrices) and produce beautiful visualizations of the obtained results. Basic as well as advanced program features are easily and fully exploited through an intuitive user interface.

Data analysis includes preprocessing (2D and 3D motion correction, Gaussian spatial and temporal data smoothing, linear trend removal, spatial and temporal filtering in the frequency domain), correlation analysis, General Linear Model, determination of Talairach coordinates, volume rendering, surface rendering and cortex flattening. Parametric and non-parametric statistical maps may be computed and superimposed both on the original functional scans as well as onto T1-weighted 2D or 3D anatomical reference scans. Time courses of selected regions-of-interest (ROIs) are available both in 2D and 3D representations.

Statistical maps may be computed either in the 2D or 3D representation since structural as well as functional 4D data (space x time) are transformed into Talairach space. This allows to compare activated brain regions across different experiments and across different subjects. Talairach transformation is performed in two steps. The first step consists in rotating the 3D data set of each subject to be aligned with the stereotaxic axes. For this step the location of the anterior commissure (AC) and the posterior commissure (PC) as well as two rotation parameters for midsagittal alignment has to be specified interactively. In the second step the extreme points of the cerebrum are specified. These points together with the AC and PC coordinates are then used to scale the 3D data sets into the dimensions of the standard brain of the Talairach and Tournaux atlas.

Segmentation of tissue (e.g., isolating the brain, differentiating grey and white matter) is performed using region-growing methods, filter operations as well as the application of 3D templates. Using the mouse it is easy to explore a 3D volume with superimposed pseudocolor-coded statistical maps in a four-window representation showing a sagittal, coronal, transversal and oblique section. Based on a (segmented) 3D data set a three-dimensional reconstruction of the subjects head and brain can be calculated and displayed from any specified viewpoint using volume or surface rendering. Volume rendering is performed with a very fast ray casting algorithm, lightning calculations are based on Phong-shading.

Surface rendering of reconstructed surfaces is performed using OpenGL. Using texture mapping, a reconstructed surface (e.g., head or brain) may be sliced in real time presenting at the same time both surface and volume data. Initial polygon meshes serve as the basis for surface reconstruction, cortex inflation and cortex flattening computations. Several surface reconstruction procedures produce fast polygon representations of heads and cortical hemispheres. A reconstructed cortical surface may be inflated, cut interactively and slowly unfolded minimizing areal distortions. Statistical 3D maps may be superimposed on reconstructed, inflated or flattened cortex. Signal time courses may be invoked by simply pointing to any region of a visualized surface.


Base module I: data preprocessing, statistics, 2D visualization

Supported data formats

Reading of several 2D image files: Siemens *.IMA (byte swapping necessary), DICOM, USER format (user ”describes” file format, e.g., bytes per pixel, header size, matrix size), Windows .BMP (DIB), BrainVoyager *.SLC format; Support for GE, Bruker and Phillips scanners

Reading of stacks of 2D image files: ANALYZE format, USER format

Project creation

Automatic assembling of images into multislice projects: 2D anatomical projects (*.AMR), 2D (space) x 1D (time) functional projects (*.FMR) and 3D anatomical projects (*.VMR). Data is represented and stored in a format suitable for fast access. Support for new Siemens ”mosaic” data formats storing multiple slices within a large image (Allows execution of more ambitiious projects, e.g., fast scanning of several hundred volumes, in reducing data handling limitations).

Data preprocessing

Fast 2D motion correction of small head movements (128 x 15 slices (matrix: 128 x 128) in ? Min, ?s on a 500 MHZ DEC Alpha)

3D motion correction with Sinc interpolation or Trilinear interpolation; Levenberg-Marquardt non-linear least squares method

Spatial and temporal Gaussian data smoothing, removal of linear trends of time course data

Spatial and temporal bandpass filtering in frequency space

2D statistical mapping

Easy creation of stimulation protocol based on time course segmentation and “click-and-fill” mode.

A defined stimulation protocol allows to specify reference functions or groupings for statistical tests based on mouse selection of stimulus conditions.

Stimulation protocol serves for visualizing ROI time courses segmented with colors reflecting experimental conditions. Zooming and other tools (e.g., background coloring, percent signal change, interareal and intersubject time course averaging, display of reference function, triggered averages) are helpful in producing high-quality figures.

Time course of any pixel or cluster may be used as reference function for correlation.

Parametric statistical mapping based on linear correlation and Students t-test.

Nonparametric statistical mapping based on rank-order correlation and Kolmogorov-Smirnov test.

Cross-correlation maps; Coloring of pixels based on significance level or on lag value producing the highest significance level for that pixel.

Loading and display of up to four statistical maps with adjustable coloring of individual maps and all possible intersections.

Interactive editing of look-up color tables for coloring of significance levels, lag values and multi-map displays.


Base module II: Volume processing tools

Segmentation, Volumetry

Segmentation of 3D data sets based on 3D region growing; inclusion of voxel based on intensity level parameters (specifying e.g., grey or white matter), space parameters.

Definition of segmentation result as either marked or non-marked voxels

Talairach-based segmentation solving complex segregation problems (cerebrum, cerebellum, hippocampus etc.); operates in two steps: application of Talairach 3D mask volume plus region growing within segmented volume

Interactive manual segmentation/marking using 3D mouse cursor

Determination of volume size (mm3) of marked voxels

Computation of iso-surfaces

Expansion option for marked volume

3D filtering in space or frequency domain (e.g., 3D data smoothing)

Volume rendering

Fast, high-quality volume rendering based on ray casting, phong shading and gradient smoothing.

High-speed rendering options: reduced resolution and/or adaptive step size for ray-casting

Easy, interactive specification of camera position relative to volume

Volume renderings with superimposed functional data

3D-2D mapping: Moving mouse pointer across the 3D rendering (e.g. gyri) in the volume rendering window automatically updates the orthogonal slice viewing windows (sagittal, coronal and horizontal) with respect to the hot spot (3D coordinates).

Talairach tools

Easy transformiation of a 3D data set into Talairach space.

Display of full or partial Talairach grid superimposed on 3D data set.

Creation of functional 4D time course data in Talairach space allowing display of time courses of selected voxels or clusters with 3D cursor and the computation of statistical 3D maps.

Display of Talairach coordinates of a selected voxel or of the center of a selected functional cluster.

Averaging across subjects of 3D anatomical data sets, 4D time courses and 3D statistical maps.

Spatial transformations: 2D->3D, 3D->3D

Rigid body transformation of 3D data sets

Import of 2D statistical maps into 3D anatomical data set

Transformation of aligned 2D maps into 3D statistical maps and transformation into Talairach space.

3D-3D registration for MRI-MRI and MRI-PET data.

Spatial transformation: 3D->2D

Creation of anatomical 2D slices through oblique reslicing of 3D data set (based on parameters for number of slices, FOV, rotation angles, slice thickness and gap thickness).

Reslicing options: trilinear interpolation, sinc interpolation, slice thickness averaging

Comparison of obliquely resliced images of a 3D data set with slices of a anatomical of functional 2D data set (e.g. interactive 2D-3D registration)


Surface module: Mesh processing tools

Definition of surface reconstruction start meshes

Specification of sphere (icosahedron) or rectangle as starting model for surface reconstruction with specified resolution.

Loading and saving of meshes in BrainVoyager .SRF format.

Export of meshes in .DXF (Autocad, 3D Studio Max) or .STL (Prototyping) format.

Creation and display of multiple surfaces (e.g. scenes composed of brain and transparently rendered head)

Surface manipulation

Mouse and keyboard controlled interactive translation, rotation, zooming of scene or individual meshes.

Selection of meshes for applying object coordinate transformations.

Surface reconstruction

Segmented volume data (e.g., head, brain) serves as fitting target for one-shot or iterative reconstruction algorithm.

Dynamic insertion of triangles at places with high curvature.

Coloring of meshes with respect to local computation of convex or concave surface patches.

Superposition of functional data on reconstructed cortical surface.

Surface-based smoothing of curvature and statistical map coloring

Surface slicing

Interactive real-time slicing through head/brain meshes showing anatomical and functional volume data.

Combined display of multiple cuts.

Cortex inflation and unfolding

Specification of parameters for various deformation forces (e.g. edge length, smoothing, target intensity range)

Indirect 3D coordinates: Polygones of inflated/flattened cortex “know” the 3D locations of the initial surface reconstruction.

This allows moving the mouse pointer across a morphed mesh model with concurrent display of the original 3D location of the highlighted vertices which is displayed in the three orthogonal slice viewing windows; display of time course data.

Display options

Display of meshes as point model, wire frame or shaded (flat, Gouraud).

Transparent meshes

Specification of mesh colors and of multiple light sources

Scene antialiasing

Saving and restoring of the current scene view

Scene animation


Miscellaneous

Image and movie export options

Export of view of 2D, 3D volume or OpenGL mesh display as 8-bit or 24-bit Windows .BMP file.

Export of dynamic processes (e.g., motion correction, pathways through volume data, mesh animations) as Microsoft Windows .AVI movie files.


Development informations

Operating systems

Windows NT 4.0

Windows 95 / 98

Supported CPUs

Intel PCs: Pentium, Pentium Pro, Pentium II

Intel compatible PCs based on AMD or CYRIX processors

DEC Alpha 21164, 21264

Programming language

Visual C++ 4.x / 5.0 / 6.0

MFC 4.x (Microsoft Foundation Classes)

Programming models

Object-oriented

MFC document/view approach

MDI (Multi-document-Interface)

User-friendly interface exploiting advanced Microsoft Win32 API features

2D and 3D graphics programming

Efficient and optimized 2D bitmap routines

Fast, high-quality volume rendering

Surface rendering using OpenGL API

Realtime manipulation of 3D head and brain models

(OpenGL hardware acceleration required for realtime manipulatio of high-quality meshes)

Incorporated libraries

Some routines from Numerical recipes in C (Press et al., 1992) with permission for usage in BrainVoyager.


2D Operations

Creating projects

The basic analysis of functional Magnetic Resonance Images (fMRIs) with BrainVoyager consists of six subsequent steps:

  1. Data import and project creation. .

  2. Data preprocessing including motion correction, spatial and temporal filtering in space or frequency domain.

  3. Computing statistical maps using parametric or nonparametric statistics including (cross-) correalation and t-test routines.

  4. Analyzing signal time courses of regions of interest (ROIs) e.g. auto/cross-correlation, triggered averages and fast fourier transforms (FFT).

  5. Advanced analysis and visualization using 3D volume tools , e.g. segmentation, Talairach transformation and volume rendering.

  6. Creation and manipulation of multiple surface meshes using 3D surface tools , e.g. meshes of head and brain, cortex inflation and unfolding.

For further analysis and documentation, the obtained results may be exported to statistic-, graphic- and word-processing software.


Data import, transformation and organization

BrainVoyager may process any type of images with fixed header length and 1-4 bytes for pixel signal values, e.g., Siemens .IMA and ANALYZE format. It also reads ACR-NEMA and DICOM files which do not have a fixed header length. The following description assumes that you read files from the Siemens Magnetom Vision tomograph and that you have access to the original *.IMA files which are saved to disk by the Siemens scanner in the /usr/appl/data folder. See also To open a single image file and registering new file types . The steps are almost identical to process other file types. If you have any questions, please contact Brain Innovation (support@BrainVoyager.de).

It is advisable to copy all image files of one subject of a single study to a unique directory on a PC hard disk. Before starting to organize your image files into project files you should be confident about the structure of your files. Usually .IMA files are organized into volumes (V) of slices (S) separated by a delimiter: “VVV-SSS.IMA”. Slices are numbered in ascending order through the whole study. You may open single files to reassure yourself which ones belong to localizer scans (scout), anatomical reference scans or functional scans. A full .IMA file name also includes a prefix consisting of a subject identification number. A full file name, thus, consists of the structure ID-VVV-SSS.IMA. The following table is an example of the images belonging to a fMRI experiment consisting of a localizer scan of three images, an anatomical reference recording and one functional scan consisting of 100 volumes of 10 slices each (subject-id prefix not shown):

scout images: | ten anatomical images | 100 * 10 functional images
1-1.ima | 2-4.ima | 3-14
1-2.ima | 2-5.ima | 3-15
1-3.ima | (...) | (...)(:::)
 | 2-13.ima | 102-1013

Instead of 2D anatomical reference images, we recommend to perform a fast 3D scan (e.g. using a 3D MPRage sequence which samples the full head in only 8-9 minutes with a resolution of 1mm x 1mm x 1mm). This greatly simplifies importing the functional data into 3D volume data sets. It is also possible to produce resliced 2D anatomical images as anatomical references from the 3D data set (see x).

The next sections explains how to create various types of projects . You may obtain a step-by-step description on how to create, open and save different file and project types by using the following links:

How to open a project or a single image file

How to create an anatomical project file

How to create a functional project file

How to create a 3D project file

How to save a project file

How to save a single image file

How to close a project or a single image file


How to create a project file

Creating project files

To create project files of the raw data of a performed experiment, BrainVoyager organizes the .IMA files into internal formats which are optimized for efficient usage of memory and processing resources. A functional study usually consists of anatomical subprojects (localizers, 2D or 3D anatomical scans) and one or more functional subprojects. A project is defined by invoking the Create Project dialog box by either clicking the New icon in the toolbar or by clicking the New... menu item in the File menu. Click on the fields in the following dialog box to get short descriptions of each option.

The next sections explain standard and advanced project creation options. Click on the following items for step-by-step instructions on how to create all available project types.

How to create a functional project file

How to create an anatomical project file

How to create a 3D project file


Project creation: Using standard options

As the default project file type, BrainVoyager checks the Functional MRI data set (.fmr) option. If you want to create a 2D anatomical project, check Anatomical MRI volume (.amr), if you want to create a 3D anatomical project, check 3D data set (.vmr). If you have to process raw data other than Siemens .IMA files, you have to select your data type in the Data file type list box. You may also have to change the standard separator symbol using the Delimiter field. If you have problems reading your raw data, check the Byte swapping field and try again (For Siemens .ima files, byte swapping is used automatically and needs not to be checked).

In order for the automatic assembling of the individual image files into a project, BrainVoyager needs to know how to construct the file names belonging to a project. The most easiest way to accomplish this goal is to use the Select first source file... button. After having selected the first source file, the entries NrOfFirstFile, NrOfFirstVol, Prefix, Delimiter, X resolution, Y resolution and Extension are set automatically to correct values. The only entries to enter manually are NrOfSlices and NrOfVolumes in case of a functional project. If you do not use the Select first source file... button, you have to enter manually all entries.

After successful creation of a project, the new converted files (with extension .amr, .fmr, .stc, .vmr) coexist with the original *.ima files. You may now delete those *.ima files (or any other raw data files, e.g., DICOM) which were transformed into the relevant BrainVoyager projects. If you check Delete source files before clicking the Start button, BrainVoyager will delete the original .ima files incrementally as they are processed during the project creation process. You should check this option only, if you are sure that all required image files are present in the source folder and that you have specified the correct value for NrOfSlices: and NrOfVolumes: as well as the other options. In case of an error, you would have to recopy or unzip the partially deleted original *.ima files from a save location, e.g. a CD-ROM or tape drive.

A single anatomical .amr project file as well as a single 3D .vmr project file contain the data of the full set of all original individual images. A functional .fmr project file, however, references several files, most importantly, the slice time course or *.stc data files. There will be one STC file for each slice containing all repeated measurements over time. For example, if you have recorded 100 measurements of 15 slices each, then the file slice-3.stc contains all 100 measurements of slice 3: the file slice-9.stc will contain all 100 measurements of slice 9 etc. A functional project file (.FMR) may also reference an anatomical project file (.AMR) for superimposing statistical maps on structural scans (see ?). Additionally, a functional project may reference a stimulation protocol file (see ?).

TIP When selecting the first file of a project, you may use wildcards in the File name field of the standard Windows Open dialog box. If you want, for example, find the first file of study 130, you may enter *-130-*.ima in the File name field. The first ”*” is a wild card for the subject prefix, the second ”*” is a wild card for the image numbers of study 130. After pressing RETURN, the list box will be filled with all images belonging to study 130 and it is now easy to select the file with the smallest image number.

TIP If you create a functional project file, you should NOT include the first and second study (a study or volume in a functional project encompasses one measurement of all selected functional slices) since they will have a much higher signal level than the succeeding measurements (this is caused by an infinitely long TR prior to the first measurements). We recommend to skip the first two functional volume measurements, if your sampling interval is between 3-6 seconds. If you use a higher sampling rate (e.g. for event-related fMRI), you should skip more volumes as appropriate. Skipping the first functional volumes will produce better filtering results during preprocessing as well as appropriate automatic y-axis scaling of the data presented within time course plots.


Project creation: Using advanced options

If you click the Advanced >> button, the Create project file dialog box enlarges to show additional available options for controlling the project creation process. The first set of options allows to analyze sets of image files each containing data of more than 1 slice. The example settings below show in the upper part that the resolution of the source image is 512 x 512 pixels. These values for X resolution and Y resolution are filled in automatically after specifying the first image using the Select first source file.. button. Checking Imas contain smaller imas tells BrainVoyager to look for a set of slices within a single large source image. Since the resoluton BF X res: and BF Y res: of the small images has been specified as 64 x 64, a maximum of 8 x 8 = 64 small images fit into a 512 x 512 source image. Since in this example only 15 slices were recorded within a single functional volume, the field NrOfSlices was set to 15. The field NrOfVolumes: was set to 128, in order to tell the program to look within 128 successive files during the project creation process each containing 15 images. (There are also special sequences available which allow to continously fill large images with smaller images using the Continous mode option; for details, contact Brain Innovation) .

If you want that BrainVoyager stores the resulting files belonging to a project to a folder which differs from the raw image data folder, click the Browse... in the Target directory option to navigate to another folder or enter a new folder directly in the Target directory text field.

As described above, creating a functional project results in several STC files, one for the repeated measurements of each slice. The default prefix for the resulting STC files is ”slice-”. If you want to use a different prefix, enter it in the STC Prefix: field. In the example shown above the prefix s1_slice- was specified. This option is particular useful, if you want to create more than one functional project in the same folder avoiding to override the STC files of a previously created project. It is, however, not recommended to save multiple functional studies in the same folder. An exception might be the case when more than one experiment was performed during the same recording session without changing head positioning.


Changing the layout of multislice projects

Use the PAGE UP / PAGE DOWN keys or “+” / “-” -keys to navigate within the slices/volumes. If you want to see more than one image at the same time click Increase columns and/or Increase rows in the tool box or change the respective values in the Layout dialog. This dialog may be called either by clicking Layout... in the Options menu or through pressing and holding down the shift key and then click on one of the increase/decrease columns/rows icons in the Tool Box. Change the Step: field if you want to navigate faster through your images. If you have entered a value of 5, for example, then each time you hit the PAGE DOWN key, you will advance five images instead of one. If you enter a Step: value equal to the number of slices within one volume of a functional project, you may advance a full functional volume each time you hit the PAGE DOWN key.

Changing the layout with Toolbox buttons:

Show or hide borders between images

Increase columns

Decrease columns

Increase rows

Decrease rows

Zoom in

Zoom out


Open a single imagefile

To open a single image file

  • Select Open in the File menu or click [image] in the toolbar. The standard Windows Open dialog box appears.

  • As Files of type select Image files (*.ima).

  • Navigate to the folder containing the envisaged file and select it.

  • Click on the Open button.

Now a new child window appears within the client area of BrainVoyager containing the data of the chosen IMA file.

TIP In the very same way, you can open any file type available in the choice list Files of type. If you open a file type with an unknown extension, BrainVoyager tries to load the specified file as an image asking you about relevant image information, e.g., header size and image dimensions. If your unknown file type is stored in ACR NEMA or DICOM format, you do not have to specify this information except to check or uncheck BYTE SWAPPING. Note that opening single files is only useful for visual inspection of the content of the file. You will not be able to start any analysis until you have created appropriate project files . You may however ”register” a new file type for later usage in the Create Project dialog. This is done clicking the Set as default button in the Open New File Type dialog after having found appropriate parameter values for your files. If you now invoke the Create Project dialog and if you select the USER entry in the Data file type box, you can create all types of projects using the previously specified file type.


Creating anatomical project files

To create a 2D anatomical project

  • Select New... in the File menu or click onto the corresponding icon [image] in the toolbar. The Create Project dialogue box will open up.

  • Check Anatomical MRI volume (.amr) as your Project type.

  • Click on the Select first source file... button. In the appearing file selection box, navigate to the folder containing the data and select the first anatomical image (e g : 1000-1-1.ima). Click Open. The upper part of the Create project file dialog box is filled automatically with the matching parameters of the selected file.

  • In the field NrOfSlices: specify the number of files belonging to the anatomical study. If you create a scout study, for example, enter “3”.

  • Click Start. Beginning with the selected image number the next two images having the same volume number and ascending slice numbers will be combined to a .AMR file containing three scout images (a coronar, transversal and sagital view).

You should now see the first scout. Use the PAGE UP / PAGE DOWN keys or “+” / “-” -keys to navigate within the set of images. If you want to see more than one image at the same time click Increase columns and/or Increase rows in the tool box.

You should now save your anatomical project file .


To create a functional project

  • Select New... in the File menu or click this icon [image] in the toolbar. The Create project file dialog box will open up.

  • Check Functional MRI data set (.fmr) as your Project type (this is the default setting).

  • Click on the Select first source file... button. In the appearing file selection box, navigate to the folder containing the data and select the first functional image (e g : 1000-2-4.ima). Click Open. The upper part of the Create project file dialog box is filled automatically with the matching parameters of the selected file.

  • In the field NrOfSlices: specify the number of different slices in your study. If you have measured 100 x 15 slices, enter “15”.

  • In the field NrOfVolumes: specify the number of repeated measurements performed. If you have measured 100 x 15 slices, enter “100”.

  • Click Start. Beginning with the specified image name of the first measures slice, NrOfVolumex x NrOfSlices files will be combined to construct the .FMR project. During this process NrOfSlices “slice time course files” (STC files) will be created.

You should now see the first slice of the functional project. Use the PAGE UP / PAGE DOWN keys or “+” / “-” -keys to navigate within the slices/volumes. If you want to see more than one image at the same time click Increase columns and/or Increase rows in the tool box or change the respective values in the Layout dialog. This dialog may be called either by clicking Layout... in the Options menu or through pressing and holding down the shift key and then click on one of the increase/decrease columns/rows icons in the Tool Box.

You should now save your functional project file .

To edit a project file of functional measurements:

  • Select EDIT - .FMR The “Edit project file” dialog box will open up.

  • You may select an anatomical reference file with the “Browse .amr ref file...” button for your functional project file. Note that the anatomical reference file MUST have the same number of slices as each volume of the functional data. The program adjusts automatically for different resolutions of functional and anatomical slices.

  • You may create a stimulation protocol with the “Edit protocol...” button which helps in specifying correlations and t-tests.

  • You should set the “Condition segment size” value to the number of measurements you used for each condition. Then roi time courses, t-tests and correlations are segmented appropriately. (This is only adequate if all conditions contain the same number of measurement time points.)

  • You may change the layout of your file with the “Change layout...” button

  • You may save the new values of your .fmr file now using the “save .fmr file” button. You can also save the changes later using the “FILE - SAVE” menu (or the disk symbol of the toolbar).


To create a 3D project

  • Select New... in the File menu or click onto the corresponding icon [image] in the toolbar. The Create project file dialog box will open up.

  • Check 3D data set (.vmr) as your Project type.

  • Select the type of your data, if necessary, in the Data file type selection box.

  • Click on the Select first source file... button. In the appearing file selection box, navigate to the folder containing the data and select the first anatomical image (e g : 1000-130-1504.ima). Click Open. The upper part of the Create project file dialog box is filled automatically with the matching parameters of the selected file.

  • In the field NrOfSlices: specify the number of files belonging to the anatomical study. If you have used a 3D sequence (e.g. MPR, FLASH) with 170 slices, for example, enter “170”.

  • Click Start. Beginning with the file number of the first image, all NrOfSlices images having the same volume number and ascending slice numbers will be combined to a .VMR file containing the full 3D data set.

You should now see a new child window within BrainVoyager’s client area consisting of four subwindows which contain a sagittal, coronar and transversal view onto the 3D data set (the fourth window is empty and used to display oblique slices as well as results of volume rendering). Click the mouse into a subwindow, keep the mouse button pressed and move around in order to navigate through the 3D data set. For more information on working with 3D data sets, see 3D Volume Tools .

You should now save your 3D data set .


To save a project file

If you have just created a new project or if you want to save the current project under a different file name:

  • Select Save As... in the File menu. The Windows Save As dialog box will open up.

  • The field Files of type: is automatically set to the appropriate project type (.amr, .fmr or .vmr). Do not change this setting.

  • Enter a new filename in the field File name: including the extension of the project type. If you want, for example, save the newly created project untitled.amr with a new name, enter something like myproject.amr.

  • Click the Save button.

If you have made changes to a project which you want to save under the same file name:

  • Simply select Save in the File menu or click onto the corresponding icon [image] in the toolbar.

NOTE If you have just created a new project, you may just click the Save icon since in this case the Save command is automatically routed to the Save As dialog box.


To save a single image file

If you want to save the current image file (.ima, .slc, .bmp) under a different file name:

  • Select Save As... in the File menu. The Windows Save As dialog box will open up.

  • If your image file is of type .ima, .slc or an unknown format, BrainVoyager sets Files of type: to the internal format Image files (*.slc). If you save a bitmap .bmp file, Files of type: is set to Bitmaps (*.bmp, *.dib). Do not change these default settings.

  • Enter a new filename in the field file name including the appropriate extension shown in the field Files of type.

  • Click the Save button.

If you want to save the current image file under the same name:

  • Simply select Save in the File menu or click onto the corresponding icon [image] in the toolbar.

NOTE You may save the content of an .amr, .fmr or .vmr project window as a .bmp file by selecting Export As Bitmap... in the File menu.


Analyzing functional data

After creating a functional project file, you can immediately analyze your data computing statistical correlation and t-test maps in order to find those brain areas involved in particular aspects of the task your subjects had performed as well as inspecting the time courses of those regions-of-interest (ROIs). In order to improve the quality of statistical analysis, however, data preprocessing computations are recommended which are described in the next section. Although not strictly necessary, it is advisable to compute statistical maps also on the original functional data and to compare the results with those of the preprocessed data.


Data preprocessing

In order to improve the quality of analysis, it is recommended to preprocess your functional data. The benefits of preprocessing consists in the detection and removal of the effects of small head movements, the reduction of high-frequency spatial and temporal fluctuations and the removal of low-frequency trends in the time courses of each pixel.

The next section describes data preprocessing options. In order to obtain step-by-step instructions for performing data preprocessing, click on the following item:

How to preprocess functional data


To preprocess functional data

Data preprocessing options are only accessible if a window containing a functional .fmr project is open and if it possesses the input focus. If you have multiple .fmr project child windows open, select the project you want to get preprocessed through either clicking on its title bar or by selecting it in the Window menu. To specify preprocessing options for the selected .fmr project:

  • Select Data preprocessing... in the Analysis menu. The Data preprocessing dialog box will open up.

  • In the group box Preprocessing options check those preprocessing steps you want to perform. It is recommended to run all available options, therefore Motion correction and Data smoothing are checked as default. Note that motion correction is very computation intense and may last more than 5 minutes on a fast PC.

  • If you want to control preprocessing of your data in greater detail, click the Advanced >> button which reveals additional options. There are three option fields, the Smooth parameters, space/time domain, the Smooth parameters, frequency domain and the Output file options.

  • As default, the space/time domain options are not selected. If you want to perform this type of data smoothing, you have to select Space/time domain in the Data smoothing option field in the upper part of this dialog. After having selected space/time smoothing, check Spatial in the group box Smooth parameters if you want spatial gaussian smoothing. Enter the width of the gaussian kernel in the field Spatial FWHM (FWHM = full width at half maximum). A value of 2 is recommended for slices with a resolution of 128 x 128 pixels, a value of 1 is recommended for slices with a 64 x 64 matrix. Check Temporal I if you want temporal gaussian smoothing for the signal time course of each pixel. Enter the width of the gaussian kernel in the field Temporal FWHM or keep the default value. Check Temporal II if you want to remove linear trends in every pixel time couse.

  • Smoothing in the frequency domain is selected as default since it is faster than smoothing in the space/time domain. Check Spatial if you want spatial smoothing in the frequency domain. You may change the default lower and upper limit of the respective bandpass filter. Check Temporal if you want temporal bandpass filtering.

  • In the Output file option group box, BrainVoyager recommends a new name for the resulting .fmr project file as well as for the referenced *.stc files which will contain the preprocessed time course data. If the name of your original .fmr file is cg_flowfield.fmr, BrainVoyager recommends as the new name cg_flowfield_pp.fmr where _pp is an abreviation for pre-processed. If the prefix of your original *.stc files is slice-, BrainVoyager recommends slice_pp- as the new prefix for the preprocessed *.stc files. Edit these names or keep the default settings. Check Overwrite if you want to replace the content of your original .fmr and *.stc files with the preprocessed data.

  • Click GO to run the selected preprocessing options.

You will see now a progress indicator informing you about the state of each preprocessing step. When preprocessing has completed, you must open the newly created functional project file, e.g., nn_flowfield_pp.fmr. If you had checked Overwrite in the Output file options group box, you can proceed with the current .fmr project since in this case the preprocessed data has replaced the unpreprocessed data. It is, however, not recommended to check Overwrite. Although disk space requirements are doubled if the original .fmr data is retained, this allows you to compute further analysis steps for both the unpreprocessed as well as preprocessed data and to compare the respective results. You may also easily run another preprocessing using different parameters based on the unpreprocessed data. If you want to delete the unpreprocessed data, you have to delete the respective .fmr file as well as all referenced *.stc files manually.

IMPORTANT Remember to open the newly created preprocessed .fmr project file after preprocessing has been completed.


Understanding preprocessing options

The slice scan time correction option corrects for the fact that slices belonging to one functional volume are not acquired at the same time. Especially with event-related fMRI these inter slice scan deviations can reduce statistical power if it is wrongly assumed that all slices are scanned at the same time. If you want to correct for inter slice scanning times, check the respective option. You also need to specify two pieces of information. First the time-to-repeat (TR), i.e., the time interval between the onset of successive measurements of the same slice. Second, you need to specify the time duration between slices belonging to the same functional volume, i.e. from onset of slice 1 to onset of slice 2. With these two values, BrainVoyager can correct for inter-slice scanning times through resampling the data. Note, however, that this option currently only works for slices scanned in ascending order.

In 2D projects, motion correction operates slice-based that is in 2D (For 3D motion correction see chapter 5). From all N repeated measurements of each slice, the measurement N/2 is used as a reference image. For each other measurement of a particular slice, an intensity-based algorithm searches for three parameters which describe the subpixel translation (delta x, delta y measured in pixels) and rotation (delta phi measured in radians) of each measurement relative to the reference image (motion detection). Normally these values are small, e.g., delta x and delta y should not be larger than 0.5 pixels. The computed values also serve as motion correction parameters: each image is shifted and rotated according to these values in order to match each image as good as possible to the reference image.

TIP For each slice, the computed parameters are stored in the file motion_correction.log which you may want to inspect with any simple ASCII editor. Additionally, the values are also stored in three BrainVoyager .rtc files (motion_correction_dx.rtc, motion_correction_dy.rtc, motion_correction_dphi.rtc) which you may load and visualize directly within the Correlation maps dialog. This allows you to see directly whether or not head movements occured with respect to your stimulation protocol. You may also use these files directly as a correlation refernce function comparing the resulting maps with those of your stimulation-based analysis. In case of severe head motion with respect to your protocol, you should not trust your data. In this case, we recommend to repeat the experiment, if possible.

Data smoothing in the space domain uses a gaussian kernel for smoothing which is convoluted with the image data. The width of the kernel is controlled with the parameter FWHM (full width at half maximum). The larger this value, the more ”blurred” your images will look after preprocessing. We recommend only modest spatial smoothing (e.g., FWHM = 3 for 128x128 matrices). The underlying assumption of spatial smoothing is that activated brain regions are reflected in clusters of several pixels which means that the time course of neighboring pixels belonging to an activated region are correlated. Due to spatial smoothing (which might be viewed as a kind of spatial neighborhood data averaging), the correlated time course signals are strenghened relative to the ”noise” in the data.

Data smoothing in the time domain also uses a (one-dimensional) gaussian kernel. The effect of this step is to reduce high-frequency fluctuations. A more severe problem of fMRI data are linear and non-linear ”drifts” in the pixel time courses which should be removed prior to statistical mapping. In the time domain, BrainVoyager removes only linear trends. This is accomplished through fitting a line to the time course of each pixel using the least-squares standard method. The obtained oblique line is used to rotate the time course data removing the linear trend.

Data smoothing in the frequency domain serves the same purposes as data smoothing in the space/time domain. Here the data is first transformed in a frequency-based representation using the standard FFT algorithm for discrete data. In this domain a bandpass filter is applied and finally, the inverse transformation back to the space or time domain is performed. This appraoch has several advantages:

  • The speed of data smoothing is indepenent from the applied bandwidth whereas in the space/time domain, the computation time increases with the used FWHM.

  • Temporal smoothing in the frequency domain is able to remove more than just linear trends. Using the recommended value of 3 for the lower limit of the temporal bandpass removes all slow drifts of your data. You may also increase this value with care: it should be always below the lowest frequency of your stimulation protocol otherwise you remove the effects you are looking for!

NOTE 3D data preprocessing options are available if you convert the 2D functional time course data into volume time course .VTC files. See chapter 4.7 and 5.1 for details.


The effect of data preprocessing

The following figure shows the time course of a region of interest before and after preprocessing using the default settings of the Data preprocessing dialog box. As you can see on the left side, spatial smoothing leads to larger functional clusters. The time courses on the right side show that a linear trend was removed through temporal smoothing as well as high-frequency flucturations. The two functional clusters in the left and right lateral cortex reveal motion selective areas: they respond strongly during the presentation of moving dots (green bars) but show almost no response during the presentation of stationary dots (blue bars) as compared to a fixation condition where only a fixation cross is shown (grey bars).


Computing statistical maps

After you have created and preprocessed a functional project, you may want to calculate statistical maps in order to find those brain regions which are involved in subserving the task your subject had performed in the scanner. At present, BrainVoyager offers linear (cross-) correlation and t-test analysis of the time course data as well as the nonparametric rank-order correlation and Kolmogorov-Smirnov test. Advanced parametric statistical analysis can be performed using the General Linear Model (GLM). For the computation of a simple statistical map, a reference function or grouping has to be specified reflecting the temporal sequence of experimental and control conditions.

Although not strictly necessary, it is advised to specify a stimulation protocol of the experimental conditions with the help of the Stimulation protocol dialog box. Specifying a protocol helps you in documenting your study and it greatly simplifies the specification of a reference time course function in the Correlation maps dialog box (see figure) or grouping in the t-test or Kolmogorov-Smirnov test dialog box: If you move, for example, the mouse pointer across the time course window in the Correlation maps dialog box, the Stimulation protocol dialog immediately highlights a verbal description of the experimental condition the subject had performed at the corresponding time point (see figure). Furthermore, clicking the left or right mouse button selects all intervals belonging to the highlighted condition as control or stimulation condition.

The next section describes how to define a stimulation protocol . If you want to obtain step-by-step instructions on how to compute statistical maps, click on the following items.

How to compute correlation maps

How to compute t-test maps


Defining a stimulation protocol

A stimulation protocol serves several purposes, the most important one is to help you focus on your experimental conditions instead on individual measurements. In order to assemble all measurements belonging to one experimental condition, the set of corresponding intervals has to be specified once for each condtion. Click the Add or Insert button (below the Quit button) in order to define a new experimental condition. The new condition appears in the Condition window with the inital name <untitled>. In order to change the name of the condition, click on Edit label which automatically sets the text cursor within the name of the currently marked condition allowing you to change the condition name. On the left side of the condition name, there is a small square-shaped icon. The colour of that icon will be used within all dialogs showing time course plots for representing the intervals belonging to that condition. Click on Edit color to change the default colour for the currently marked condition at any time. If you want to delete a condition, you first mark (click on) the respective condition with the mouse pointer, then click the Delete button.

In order to enter all intervals belonging to a particular condition (all measurement time points), you must enlarge the Stimulation protocol dialog through clicking ont the >> button. Now the Condition measurements options as well as the Display colors options are available. There are two approaches to define the intervals belonging to an experimental condition of the stimulation protocol. The first approach requires entering all interval numbers manually while the second approach uses visual selection with the help of the Correlation maps dialog. In order to specify each interval manually, you have to click the Add button for each interval. The field NrOfIntervals: will then show one additional interval and the SelectInterval field on the right side will normally also show the number of the new interval. After having defined several intervals, you may use this field to navigate through the condition intervals. If you have added a new interval, the two edit fields next to Interval: contain default values for the start and end of this interval. In order to change the start and end value of the current interval, enter new values or increase/decrease the visible values using the up/down spin control. As an example, consider the next figure: For the selected condition (<untitled>) 11 interals were defined. The SelectedInterval field shows that the first interval is selected and the two Interval: fields show that the first interval begins with the first functional volume and ends with the sixth’d functional volume.

As mentioned above, there is also a visual approach for defining the intervals belonging to an experimental condition. This approach is most useful, if the experimental conditions are regularly spaced across time. In order to visually define the condition intervals, you have to first open the Correlation maps dialog through selecting Compute linear correlation maps... in the Analysis menu. From this dialog you now open the Stimulation protocol dialog through clicking onto the Protocol button .

IMPORTANT You must first open the Correlation maps dialog and then the Stimulation protocol dialog. If the stimulation protocol was already open, you must close it prior to opening the Correlation maps dialog. This order of opening the dialogs is necessary, since the Correlation maps dialog is a modal dialog. This type of dialog restricts any mouse or keyboard input to its own fields. Following the described order allows mouse and keyboard input to operate for both the modal Correlation maps dialog and the non-modal Stimulation protocol dialog.

Within the Correlation maps dialog, change the value of the Size: field in the Time course segmentation options to fit the interval length of your experiment. If the initial interval of your protocol differs from the other intervals, you may adjust its lenght using the Offset: field. In order to see the effect of your changes in the Reference function display, click the Redraw button. You also have to specify the value ‘0’ in the Shift size: field. This field is normally used for adapting for the delay of the hemodynamic response during the specification of correlation reference functions (see x). For the specification of the stimulation protocol, however, this field has to be zero, since the intervals should reflect the exact time points when a particular condition has happened. Now you just click with the left mouse button into all segmented intervals which belong to a particular experimental condition. These intervals will be marked with a red line segment (see figure above). In order to relate those marked intervals to a condition, you just have to click the Add set button in the Stimulation protocol dialog after having added a new condition or selected an existing condition as described above. The field NrOfIntervals: now shows the number of added intervals for the highlighted condition. You may inspect all defined intervals using the spin control of the SelectInterval field.

In order to see the appropriately coloured intervals belonging to the respective condition within the Correlation maps dialog, you have to check Use protocol in the Time couse segmentation options. Before you enter the intervals for another condition, you must first click the Clear button in order to remove the marks of the previously specified condtion. In the figure above, the intervals for a second condition ”Flowfield” were marked with the left mouse button and added to the stimulation protocol through clicking the Add set button. The NrOfIntervals field correctly shows that this condition encompasses five intervals.

IMPORTANT Before using the Add, Delete or Add set buttons, make sure that you have marked the correct stimulation condition in the Condition window.

Optional fields

The Stimulation protocol dialog offers some optional fields for allowing you to adapt the appearence of all dialogs containing time course plots. The first option field, however, the Experiment: edit field, helps you to enter a useful name (which may include blanks) for your experiment. Click the square-shaped box left to the Time course (TC) label in order to change the colour of the time courses displayed in the ROI time course plot dialogs or the entered reference function in the Correlation maps dialog. You may change the drawn thickness of this function in using the spin control in the TC pen thickness field. The Reference function (RF) option lets you change the colour of the reference function in the ROI time course plot dialogs; in these dialogs, the reference function used to compute a statistical map may be plotted below a actual ROI time course (see x). Change the drawn thickness of this function using the RF pen thickness field. You may also change the color of the Background of all dialogs showing time course plots. The Background is normally set to white as default. In the figures above, the background colour was set to blue. The color of the x- and y-axis labels (as well as the lines surrounding the protocol display) may be changed using the Border / Text labels option. The default color of this option is black but was changed to yellow in the figures shown above.


Computing linear and nonparametric correlation maps

BrainVoyager offers linear correlation or nonparametric rank-order correlation to find regions-of-interest (ROIs). Click on the following item to get step-by-step instructions for computing correlation maps:

How to compute correlation maps

For the computation of a correlation statistical map, a reference function has to be specified which expresses a time course you are looking for in the data. On a pixel-by-pixel basis the signal time course of each pixel is correlated with the supplied reference function. The resulting correlation value for each pixel is stored in a statistical map which you may superimpose on functional or anatomical slices.

With the help of a defined stimulation protocol, it is very easy to specify a correlation reference function. More complex refernce functions with arbitrary values can be defined externally using an ASCII editor or may be generated in writing a simple program. The interactively specified values are either 0.0 (left mouse button) or 1.0 (right mouse button) or increments of 0.1 (<Shift> plus right mouse button). If certain measurements should not be included in the map calculations, the corresponding value of the reference function has to be set to –1.0. Use <Shift> plus left mouse button to set segments to –1 interactively. You may also save the time course at any pixel or ROI as an .RTC file and use it as the reference function for correlation analysis. Additionally you may load the .RTC files which were computed during motion detection (see data preprocessing) and use them as the correlation reference function.

In order to improve the quality of the hemodynamic response function, you should run ”slice scanning correction” of the 2D preprocessing options (see section above). If you use instead the Shift ref func option, you may specify an adequate shift using the Shift ref func value. Its default is set to 1 measurement which is appropriate, if the delay betweem the repeated measurements of the functional slices is on the order of 4-8s. If this is not the case, you have to change this value accordingly. Another method is to let BrainVoyager find itself the optimal value of the hemodynamic response delay for each pixel using Cross corr. maps. If you check the Enable option, you also have to supply a value for the Nr of lags: parameter. With this field you specify the number of correlations which are computed at each single pixel. Normally, just one correlation value is computed for each pixel time course. In computing a cross correlation map, however, the supplied reference function is automatically shifted to the right for each lag value and an additional correlation value is computed. If you have specified, for example, a value of Nr of lags: = 4, a correlation value is first computed with the supplied reference function (lag = 0); then the reference function is shifted to the right for one measurement (lag =1) and a new correlation value is computed; this is repeated for a shift of the reference function of 2 (lag = 2) and finally 3 (lag =3) measurements. At each pixel, BrainVoyager now determines two values which are stored at each pixel in a cross correlation map: the maximum correlation value of all computed correlations and the corresponding lag value at which the maximum correlation value was obtained. During superposition of a cross correlation map onto your slices you may chose whether you want to have coulor-coding of the maximum correlation value or coulor-coding of the corresponding lag values. If you have specified your reference function with a Shift size: = 0, the coulored lag values will immediately reveal whether shifting for 0, 1, 2 or more measurements is appropriate for your data. Cross-correlation maps may also be used for different tasks, e.g., in the context of retinotopic mapping experiments (see e.g., Engel et al., Tootell et al., Goebel et al., 1998).


Computing t-Test or Kolmogorov-Smirnov maps

BrainVoyager offers t-Test or the nonparametric Kolmogorov-Smirnov statistic to find regions-of-interest (ROIs). Click on the following item to get step-by-step instructions for computing correlation maps:

How to compute t-Test or Kolmogorov-Smirnov maps

For the computation of a t-Test or Kolmogorov-Smirnov map, a grouping into two contrasting conditions has to be specified. The test statistic is computed on the signal time course of each pixel and the resulting t value for each pixel is stored in a statistical map which you may superimpose on functional or anatomical slices.

With the help of a defined stimulation protocol, it is very easy to specify a grouping into two conditions G1 (Stimulation) and G2 (Control).

The parameter Shift size: is used to adapt to the hemodynamic response delay. Its default is set to 1 measurement which is appropriate, if the delay betweem the repeated measurements of the functional slices is on the order of 3-5s. If this is not the case, you have to change this value accordingly.


To compute correlation maps

The menu entries for computing statistical maps are only available if a) a window containing a functional .FMR project is open and if it possesses the input focus or b) a window containing a .VMR project with a linked .VTC file is open and possesses the input focus. To compute correlation maps for the selected .FMR (or .VMR/.VTC) project:

  • Select Compute linear correlation maps... or Compute rank-order correlation maps... in the Analysis menu. The Linear correlation dialog or Nonparametric rank-correlation dialog will open up. The specification of a reference function is exactly the same for both types of correlations.

  • Specify a reference function using the left and right mouse button: Clicking the left mouse button within a segment in the Correlation reference function window sets the reference function to 0, clicking the right mouse button sets the reference function to 1. To adopt for the hemodynamic response delay, click the Hemodynamic RF button. This value is used to adopt for the delay of the hemodynamic response relative to the onset of stimulation. This button operates in two modi which can be selected in the Options dialog (see figure below). Click the Options button to invoke this dialog. In Shift ref func mode, the defined reference function is shifted according to the specified Value: (default: 1 measurement). You may repeatedly click the Hemodynamic RF button to increase the expected hemodynamic response delay. You may alternatively enter a greater shift ref func value. In Model func mode the defined reference function is convoluted with a hemodynamic response function (according to Boynton et al. 199?, JNS). The application of this function is controlled by three values, Delta, Tau and TR. You should not change the Delta and Tau values but you have to enter the correct TR value. The TR (time-to-repeat) value is the time duration in milliseconds between two successive measurements of the same (i.e. first) slice.

  • The interactive specification of a reference function is most easiest if you have defined and loaded a stimulation protocol. Make sure that the Use protocol option is checked in the Time course segmentation option field. In case of a properly defined stimulation protocol, you have to click just once in one of several fields with the same colour representing a particular condition; all other intervals belonging to the same condition are then automatically set to the same value. In order to see a mapping of the colours in the Correlation reference function window to the respective condition labels, open up the stimulation protocol through clicking the Protocol button (see figure ).

  • If you have not defined a stimulation protocol, make sure that the Use protocol option is not checked in order to show vertical lines segmenting the measurement (time) axis. Use the Size: field in the Time course segmentation option field to change the width of the segmented intervals. To update the display of the vertical lines in the Correlation reference function window, you have to click the Redraw button. If the first interval has a different size, you may adjust for it using the Offset: field. In order to specify a reference function, you have to click in each segment you want to include in the correlation computation either with the left or right mouse button setting the value to 0 or 1 respectively.

  • In order to clear an entered reference function, click the Clear button. You may then enter a corrected reference function, e.g., using another Shift size: value.

  • If you have specified a reference function, start the computation of the statistical maps through pressing the GO button.

After completion of the calculations, BrainVoyager automatically superimposes significant clusters onto the slices shown in the .FMR or .VMR project window. You may change the parameters controlling the overly of the statistical map as described in x.

TIP You may save and load a reference function using the File menu within the Linear correlation or Nonparametric rand-correlation dialog It is recommended to save a specified reference function prior to start the computation through pressing the GO button. In this case, BrainVoyager saves a link within the computed map to the name of the supplied reference function. During inspection of the ROI time courses, the reference function is then automatically shown below the ROI time course.


To compute t-test maps

To compute t-test and Kolmogorov-Smirnov maps

The menu entries for computing statistical maps are only available if a window containing a functional .fmr project is open and if it possesses the input focus. To compute correlation maps for the selected .fmr project:

  • Select Compute t-Test maps... or Compute Kolmogorov-Smirnov maps... in the Analysis menu. The t-Test dialog or Kolmogorov-Smirnov dialog will open up. The specification of a grouping of the measurements into two conditions is exactly the same for both types of tests.

  • If you check Click and fill (which is the default) in the Add interval mode option field, you may specify a condition grouping using the left and right mouse button: Clicking the left mouse button within a segment in the Condition grouping window puts the selected interval(s) into group G2, clicking the right mouse button puts the selected interval(s) into group G1. If you click within a segment the marked interval(s) are shifted to the right according to the specified Shift size: value. This value is used to adopt for the delay of the hemodynamic response relative to the onset of stimulation.

  • The interactive specification of a condition grouping is most easiest if you have defined and loaded a stimulation protocol. Make sure that the Use protocol option is checked in the Time course segmentation option field. In case of a properly defined stimulation protocol, you have to click just once in one of several fields with the same colour representing a particular condition; all other intervals belonging to the same condition are then automatically put into the same group. In order to see a mapping of the colours in the Condition grouping window to the respective condition labels, open up the stimulation protocol through clicking the Protocol button.

  • If you have not defined a stimulation protocol, make sure that the Use protocol option is not checked in order to show vertical lines segmenting the measurement (time) axis. Use the Size: field in the Time course segmentation option field to change the width of the segmented intervals. To update the display of the vertical lines in the Condition grouping window, you have to click the Redraw button. If the first interval has a different size, you may adjust for it using the Offset: field. In order to specify a condition grouping, you have to click in each segment you want to put into G1 or G2 clicking either with the right or left mouse button respectively.

  • You may also enter arbitrary intervals directly in the Interval field specifying the starting and ending measurement manually. You may then put the specified interval into group G1 or G2 through pressing one of the Add interval buttons belonging to group G1 or G2. You may also delete a specified G1 or G2 interval using one of the Delete interval buttons. Before pressing one of this button, you have to click onto the to be deleted interval in the respective group box.

  • In order to clear an entered reference function, click the Clear all button. You may then enter a new grouping, e.g., using another Shift size: value.

  • If you have specified a condition grouping, start the computation of the statistical maps through pressing the GO button.

After completion of the calculations, BrainVoyager automatically superimposes significant clusters onto the slices shown in the .fmr project window. You may change the parameters controlling this functional overlay according to the description in x.

TIP You may save and load a grouping using the File menu within the t-Test or Kolmogorov-Smirnov dialog.


Visualization of statistical maps

After having computed a statistical map, it is automatically superimposed onto the reference images using a pseudo-color look-up-table. The higher you set the critical (or lower) threshold value, the less colored "activity spots" are seen superimposed on your reference images. The lower threshold is set to appropriate default values, e.g., correlation map -> r min = 0.4; t-map -> t min = ? etc. Note that these values assume that you have preprocessed your data.
You may change the critical threshold using the icons ... Icon 1 increases the threshold (corr + 0.2, t + ?) whereas Icon 2 decreases the threshold.You may change the critical threshold to any value through invoking the Overlay maps dialog. This dialog is called either through the Analysis->Overlay maps menu item or by simply clicking the Increase or Decrease Threshold icon while holding down the Shift button. In order to change the critical threshold value, edit the Lower threshold field appropriately. The high threshold value does not exclude statistical values which surpass that limit. Its sole purpose is to modify the used colors of the look-up-table which are linearly scaled between the lower and higher threshold value. (A later program version will include the independent setting option for statistical thresholds and color values).

The Overlay maps dialog lets you control three types of statistical overlay: Single maps, Multi-maps and Cross-correlation maps.

In order to activate multi-map overlay, you have to have computed and saved statistical maps for for your current project. Use the File menu options within this dialog to Add... additional statistical maps. You may show simultaneously up to four statistical maps (in 3D only two maps) which are shown with different colors. Any ROIs where more than one map leads to significant activation (given the current critical threshold which is valid for all loaded maps) are shown with an extra color. There are four Map check fields which show you any loaded map. You may use these fields in order to temporarily show or hide the loaded statistical maps. A complete list of all loaded maps is presented in the Documentation window which is invoked using the Options->Documentation menu.

If you have computed or loaded a cross-correlation map, the full Overlay-LUT is used to visualize different lag values and the option field in the lower half of the window are enabled. These options let you control whether you want to use color for representing significance levels or lag values. You may also restrict the range of used lag values, e.g., to select only those regions which are most significant at a certain lag value.

The stanard overlay colors use a orange-to-yellow colors to show positive statistical values and green-to-blue colors to show negative values. You may change this default look-up table by invoking the Options->Overlay Look-Up table. You may change any single color by just clicking the appropriate entry using stanard Windows conventions. You may save or load a full look-up-table using the respective commands in the File menu which is available at the left upper part of this dialog.

Note that cross-correlation maps use the full 20 colors of the Overlay maps LUT to visualize different lag values which produced the maximum positive correlations (see ?). It is not possible to show cross-correlation maps for negative correlations.

Multi-map overlay maps use a different color-scheme where each superimposed map gets its own color: For a given pixel (or voxel in 3D mode) it is determined which maps surpass the actual significance criterion. If only one map surpasses the threshold, the pixel is colored with the respective color. If more than one map surpass the critical value, a respective color for this intersection is used. If at least two maps are loaded and selected to be displayed, the program automatically switches from the significance LUT to a LUT for multi-map display. This LUT may be inspected and changed using the Options->Multi-map overlay LUT menu entry.


Signal time course analysis

If you have superimposed a statistical map onto your reference images, you obtain a visualization of the brain locations which were activated during task performance. BrainVoyager offers easy access to the time course data of those regions using mouse selection. You simply encompass your ROI in definig a rectangular region. Therefore you have to position the mouse pointer at upper left point of the to be drawn rectangle and press the left mouse button. While holding the left mouse button, you move to the lower right end of the rectangular region. You see a dragging rectangle as a feedback. If you release the left mouse button, the rectangle is finally drawn and a RTC-window appears showing the time course of your ROI.

The ROI Time Course (RTC) window

The RTC window does only show up, if your selected region included significant pixels (pseudo-color coded). The standard behavior of an RTC selection determines all significant pixels within the selected region, looks-up the time course data of these pixels and finally averages the time courses. The resulting time course is then displayed in the respective RTC window. If you select another ROI through mouse selection, the content of the RTC window is replaced with the actual (averaged) time course data. You may move the RTC window to another convenient location and inspect the time course of successive ROIs. If you have not all slices visible at the same time, don't forget to use the blaetter options.

Multiple RTC winows

If you want to open several RTC winows at the same time, you must press the CTRL-key prior and during the process of ROI selection. The time course data of the selected ROI is now presented in an additional winow. You may move and position the windows as appropriate to see the time course of all RTC windows. With the CTRL-key, you may open as many RTC windows as you want.

Keeping track of location-time course mapping

If you have forgotten which RTC window belongs to which selected rectangular region, just press the Locate-ROI button at the right upper part of the RTC window. The rectangular region belonging to the time course will briefly change its color (as default from yellow to pink and back to yellow).

Multiple RTCs within one window

If you have at least one open RTC window, you may also load the time course of another ROI into the same window. This is accomplished through pressing the SHIFT-key prior and during ROI selection. It appears at first glance at if the time course in the window was replaced with the time course of the newly selected ROI as in standard selection mode. However both time courses are now loaded and may be inspected. In order to select the different time courses, you have to switch to the expanded view of the RTC window through clicking onto the >> button on the right side of the window. Now you will see an extended option field appearing below the time course plot. All available options will be described in the next section. For now it is important to find the option field Multi ROI time courses. At the right side of the Nr. field you see the total number of currently selected RTCs loaded into that window. In using the Up/Down spin buttons you may switch between the individual RTCs. As in standard mode, you may press the <> button on the upper right side of the window in order to locate the respective ROI. An important option of multi-rtcs is that you may average all loaded time courses through clicking the Average button. In the time course plot, the averaged time course of all loaded RTCs is shown. This gives you an efficient method to average time courses across multiple slices and even across time courses of multiple subjects (if multiple subjects fmr projects are loaded).

Options of the RTC window

Further options of the RTC window like triggered averages, FFT etc. will be described in the next release of the user’s guide.


3D Volume Tools

If you have analyzed your data in the original recorded set of functional 2D slices, the next desirable step consists in analyzing and visualizing your data in 3D space, especially Talairach space. The 3D Volume Tools dialog provides the following routines to convert 2D functional data into 3D space:

Navigating through 3D data sets

Standardization of 3D data sets

Coregistration of 2D functional and 3D anatomical data sets (2D-3D coregistration)

Coregistration of two 3D data sets (3D-3D alignment)

Converting a stack of 2D maps into a 3D statistical map

Talairach Transformation of 3D data sets

Creating Talairach-based volume time course files

The section 3D data analysis describes how to preprocess and analyze Talairach-based volume time course (.vtc) files.

Another feature of the 3D Volume Tools is Volume Rendering which allows to visualize the head or brain of individual or averaged data sets. It also allows to view statistical 3D maps on top of anatomical renderings. Volume rendering of the brain requires segmentation processes. Several tools for segmentation processes are available in the Segmentation tab of the 3D Volume Tools dialog. The segmentation tools are also important for cortex reconstruction and visualization in the Suface Module .


Navigating through 3D data sets

After loading a 3D volume file, the 3D .VMR project window and the 3D Volume Tools dialog appear automatically. The 3D .VMR project window contains four views on the loaded data set. The SAG, COR and TRA views are always enabled and show three orthogonal slices through the current voxel of the 3D data set. If you do not see sagittal slices in the SAG view, see the next section for rearranging your data set. The fourth view, the RESLICE view is activated after checking the Oblique 2D or 3D-3D option in the Sicing mode field of the Reslicing, Alignment tab of the 3D Volume Tools dialog. In the RESLICE view you can visualize any oblique slice through your data set as well as the results from the volume rendering tool.

In order to navigate through your data set, simply click on any point in the SAG, COR or TRA view. In each view you can move in two dimenstions while the third dimension is kept constant. If you click for example in the COR view, the SAG and the TRA view are updated to show slices running to the current voxel. The current voxel is visualized through the center of the red cross which is visible as default. In order to hide the cross, deselect the Show cross option in the 3D Coordinates tab. You may also move the mouse pointer continously keeping the left mouse button pressed in order to quickly navigate through your data set. Note, that the current x, y, z position is shown in the x:, y: and z: test fields in the System coords field of the 3D Coordinates tab. The x-axis runs from right-to-left (see e.g., the COR view) with value 0 for the most right point. Note, that ”right” is seen on the screen on the left side since BrainVoyager follows radiological convention. The y-axis runs from anterior-to-posterior (see e.g., the SAG view) and the z-axis runs from superior-to-inferior. In order to do fine-positoining of the red cross, you may use the spin controls of the x:, y: and z: text fields in the System coords field. Clicking the spin controls, you can navigate pixel per pixel in one of the three dimensions. The red cross is updated immediately always highlighting the current voxel. You can change the thickness and the length of the cross lines using the Cross thick.: and Cross length.: fields in the Options field of the 3D Coordinates tab. You can also change the gap size between the center point of the red cross and the beginning of the lines using the Gap size: field. If you do not like to see the text labels in the views, deselect the Enable ref labels option. With the Muckli Arrangement button (the name is due to Lars Muckli who recommended the outline of the views), you can change between two arrangements of the lower two views.

TIP The 3D Volume Tools dialog appears automatically after loading a 3D volume project (.vmr) file. If you work with a .vmr project and the 3D Volume Tools dialog is not visible, you may click 3D Volume Tools... in the Options menu to invoke the dialog. A fast alternative consists in simply clicking the 3D Volume Tools icon [image] within the Toolbox. This icon operates as a toggle hiding or showing the 3D Volume Tools dialog. If you have opened several .vmr project files and you click the 3D Volume Tools icon, the 3D Volume Tools dialog of the project possessing the input focus is shown or hidden. Click the title bar of another .vmr project to select it as the current window.


Standardization of 3D data sets

If you have created a .VMR project using the File->New... menu item or the Create new document icon [image] , you will immediately see your data in the appearing .VMR project window. If you do not see sagittal slices in the SAG view, you must rearrange your data as described below. In the figure, you see for example that there are axial sliced in the SAG view window. Before rearranging the axes of your data set, you may also change the contrast and brightness of the images. Most MR scanners produce 12 bit data (contained in 2 bytes = 16 bit). In order to save space and speed up processing, BrainVoyager converts the 12 bit data into an 8 bit format. For anatomical data, this reduction is reasonable (Note, that this reduction is NOT done with functional data sets). In order to obtain best results you can control the mapping from 16 bit to 8 bit data since the program retains the original 16 bit data in memory after having created a project. If the brightness and contrast is not very good (e.g., images too dark), open the 16 bit to 8 bit Data Conversion dialog using the Options->Convert 16 to 8 bit intensity... menu item.

The figure below shows the invoked dialog. You may now adjust the Contrast and Brightness fields using either the sliders or the text fields directly. Click the Convert button to let BrainVoyager convert from 16 bit to 8 bit in an optimal way. Try again with new values until you are satisfied with the result. This step is typically done only once (or not at all if your data looks good right from the beginning). After closing the created .vmr project the 16 bit data set is deleted from memory. If you want to save the original 16 bit data, use the dialogs File->Save .v16... menu item. This allows you to load the data set at a later time for readjustment of Contrast and Brightness. Note, however, that you must use the original .vmr data set since any further processing (e.g., rearrangement etc.) will make the .vmr file and the .v16 file incompatible to each other. Close the dialog using the Quit button. You may now save the .vmr data set using the File->Save As... menu item. Note, that you can also change contrast and brightness using the Options->Contrast/Brightness/Color menu item to invoke the Contrast/Brightness/Color dialog. This dialog operates directly on the 8bit data. This means that if your images are very dark or do not have good Contrast, you may improve this but you can not do it profoundly as it is done with the described dialog. Use this option for fine tuning (e.g., temporarily darkening of the intensity values to highlight colored functional clusters, see figure ?).

BrainVoyager assumes that the axes of your data are ordered in such a way that you see sagittal slices in the SAG view of the .VMR project window. If this is not the case, you may easily rearrange your data set accordingly. Click the To SAG button in the Spatial Transformation tab of the 3D Volume Tools dialog. The Transform to Standard SAG dialog appears (see below). The small icons represent possible axial, coronal and sagittal views you might see in your data set in the SAG view. Click the icon which most resembles your particular case. In the example shown above, the SAG view contains an axial view as represented with the left upper most icon. Check the correct icon and press the Rearrange button. After a few seconds you will see that the SAG view now contains sagittal slices (see figure below). Depending on how your images were initially recorded, you might see sagittal slices which are upside down. In order to correct this, finally select the icon in the SAG field and click Rearrange once more. If your data looks as it is shown in the figure below, click the Quit button to dismiss the dialog. You may now save the rearranged .VMR data set.

Although you can use many features of the 3D Volume Tools dialog with any voxel-spacing, we recommend to transform your data set to iso-voxel with a 1mm x 1mm x 1mm resolution. Some options, like the measurement of the size of a region (volumetry) indeed assume cubic-millimeter iso-voxel. If your 3D data set deviates from this use the Isovoxel Transformation dialog to interpolate your voxels accordingly. Invoke this dialog using the Iso-voxel button in the Spatial Transformations tab of the 3D Volume Tools dialog. In the X, Y, and Z fields enter the resolution of your voxels (see example below for the test data set shown in the first and last figure of this section).

If you have arranged your data to sagittal slices, the axes are defined as described in the previous section . Since the intensity values have to be recomputed for positions where no data was obtained, an interpolation method is recommended. As default, trilinear interpolation is specified but you may also chose Sinc interpolation (for more information on the selection of interpolation methods, see tip in the section Talairach transformation of 3D data sets ). If you have entered the resolution of your voxels in each text field, click the OK button. Your .vmr data set will be replaced with cubic 1mm isovoxel. Save this data set as the source .vmr file for all subsequent operations.


Coregistration of 2D functional and 3D anatomical data sets

In order to analyze and visualize functional data in (normalized) 3D space, the original 2D functional (T2*) scans have to be aligned with a anatomical (T1) scan for each subject. The term ”2D functional scan” refers to the original set of slice-based recordings. Of course, a functional scan normally samples more than one 2D slice and, thus, it is actually ”3D” (and therefore termed functional volume in this guide). The term ”2D functional scan” as well as ”2D reference scan” is used to stress that the functional data is analyzed ”slice-based” within .FMR projects. In other words, a .FMR project does not know where in 3D space the slices are located, all analysis is performed within the original recorded space. In the same line of reasoning the term ”2D statistical map” is used to refer to a set (or stack) of statistical 2D maps, one map for each individual slice. Performing 2D-3D coregistration offers the possibility to visualize statistical results on top of any resliced anatomical image including sagittal, coronal and transversal slices. It is also the first step for superimposing statistical data in normalized (Talairach-based) 3D space.

BrainVoyager offers two methods to superimpose statistical maps on a 3D data set. The first consists of computing and saving a 2D statistical map within a respective .FMR project. Using the results of 2D-3D coregistration, this map may then be transformed into a 3D map. The second, more powerful approach, requires that the full functional time course data as referenced from a .FMR project is first transformed into 3D space resulting in volume time course .VTC files. With .VTC files, you can compute 3D statistical maps directly within an anatomical 3D (.VMR) project. Both approaches require the coregistration of the ”2D” space of the .FMR project with a 3D data set (.VMR file) of the head (or at least the brain) of the same subject.

There are three scenarios for 2D-3D coregistration supported in BrainVoyager ranging from fully automatic same-session alignment to semi-automatic and fully manual inter-session alignment.


Manual interactive 2D-3D coregistration

The manual alignment method requires the interactive specification of reslicing parameters for the 3D data set in such a way that the set of resulting resliced images matches the anatomical 2D reference images of the 2D functional project as close as possible.

To manually coregister a 2D functional with a 3D anatomical data set do the following:

  • Load the 3D data set (.VMR file) to which you want to register your 2D functional data.

  • Switch to the Spatial Transformations tab of the 3D Volume Tools dialog of the loaded .VMR file. Click the Select .FMR button to specify the functional project containing the 2D data. BrainVoyager checks whether the specified .FMR project possesses a link to a .AMR file. An .AMR file may contain a set of 2D anatomical (T1-weighted) images which are co-registered with the functional scans. Alternatively, it may contain simply the first scan of the functional slices (T2* reference, see ?). If the .FMR project does not reference an .AMR file, a reference file is automatically created internally based on the functional data itself. In this case, a dialog will appear as shown in fig. ?.

  • Switch to the Reslicing, Alignment tab of the 3D Volume Tools dialog and click the Oblique 2D button in the Reslicing field. You now should see an image in the RESLICE view identical to the one shown in the TRA view.

  • The image in the RESLICE view shows either a resliced image of the 3D data set or one image of the set of images in the referenced .AMR data set. Click the Show ref .AMR button in the Reslicing, Alignment tab to toggle between these two views.

  • In the 2D-3D alignment field of the Reslicing, Alignment tab enter all values you have available about your functional scan including N slices, Slice thickness (in mm) and Gap thickness (in mm).

  • You must also specify the field-of-view used in the functional scan. Enter the appropriate values in the xFoV and yFoV entries of the Scale field.

  • In the SAG view, you should see the effects of entering these values immediately. Each slice is symbolized with a white line. The lines representing slices are shown with apppropriate spacing according to the values you have entered. The slices are internally numbered from top (slice 1) to bottom (slice N) You may inspect all resliced images using the Show slice spin control in the 2D-3D alignment field. The selected slice is immediately shown in the RESLICE view. As described above, you may inspect for each resliced image of the 3D data set a corresponding 2D .AMR image of the functional data using the Show ref .AMR button. Coregistration between the 2D and 3D data set has been achieved if the resliced images of the 3D data set are aligned with the 2D slices of the .AMR images. You may change the reslicing of the 3D data set through changing 6 parameters, three translation and three rotation values.

  • The three translations are specified through changing the x-, y- and z-coordinates of the red cross. The red cross is used to specify the midpoint of the resliced 3D subvolume. You may change the coordinates through clicking in the SAG, COR or TRA view (see navigating ?). For a more precise adjustment, it is recommended to use the x, y and z spin controls in the 3D Coordinates tab.

  • The three rotation values are specified through changing the TraCor, TraSag and SagCor angles in the Angles field of the Reslicing, Alignment tab. You may enter values directly but for a more precise adjustment, it is recommended to use the respective spin controls.

You have accomplished manual 2D-3D alignment if the 3 translation and 3 rotation parameters produce a set of resliced images which are spatially matched to the fixed .AMR images of the functional 2D project. If toggling between the resliced view of one 3D slice and one .AMR slice proves that they are registered then all other slices should also be aligned if the entered values (slice thickness, gap thickness) are correct. You may check this through looking at all slices using the Show slice spin control.

Manual alignment is somewhat difficult to learn but it becomes quite easy after some practice. It's main advantage is that it is applicable in any case as opposed to the other 2D-3D alignment methods. The following figure shows the same data as above, however, the Show ref .amr button toggle was unchecked now showing the coregistered resliced anatomical slice of the 3D data set. A 2D map was loaded to help interactive coregistration as described below.

Further options. There are two further options influencing the result of reslicing the 3D data set. Check Trilinear interpolation (default) to obtain a more precise reslicing result. You may also check Slice averaging to obtain resliced images which are averages across the specified slice thickness (see below). It is, however, not recommended to enable this option permanently since it slows down the reslicing process substantially.

Using 2D maps as ”landmarks”. Manual coregistration may be much easier if you superimpose a statistical map on the .AMR as well as the resliced images since the colored clusters can serve as "landmarks" for proper alignment. Click the Analysis->Overlay maps menu item to invoke the Overlay Maps dialog. Use the Load 2D maps... menu item in the local File menu to load a set of 2D statistical maps. Note, that loading 2D maps into a 3D volume file is normally not supported. It is only possible if an .FMR project file has been specified previously in the Spatial Transformation tab of the 3D Volume Tools dialog. You should now see clusters of the loaded statistical map in the RESLICE view. Use the Show slice spin control to inspect all slices. Use the Show ref .AMR toggle to switch between the resliced images of the .VMR data set and the .AMR slices referenced by the specified .FMR project. If the statistical map is superimposed on the .AMR files, the resulting images in the RESLICE view look exactly as if you would have superimposed the map file within the respective .FMR project. Toggle between .AMR and resliced .VMR images to check whether the map clusters are located at the same local area. Of course, you can also decrease or increase the statistical threshold using the Overlay maps dialog.

Spatial transformation files. It is recommended to save the adjusted 2D-3D alignment parameters to disk for later use. Click the Save .TRF button in the Spatial transformation tab. This will invoke a Save As... dialog. Enter a file name like "nn_2D-3D.trf" and click the Save button. A .TRF file contains all informations about 2D-3D or 3D-3D spatial transformations. You may simply load such a file using the Load .TRF button to reestablish all spatial transformation values. Spatial transformation files are also needed to run other functions. The 2D-3D alignment .TRF file, for example, is required for computing volume time course (.VTC) files (see below).

TIP For the fine adjustment of the three translation parameters it is necessary to switch between the 3D Coordinates tab (for the x, y, z spin controls) and the Reslicing, Alignment tab (for the Show ref .AMR toggle). This tab switching can be done more conveniently using the F3 / F4 keyboard buttons.

REMARK The next release of BrainVoyager will allow to use the manual approach in combination with the intensity-based coregistration approach. It is then only necessary to manually provide a rough alignment from which then the automatic intensity-based procedure will provide a detailed match.


Automatic same-session 2D-3D coregistration

This approach requires that you have recorded the 3D data set in the same session as your functional data (assuming no or minimal head movement between scans). Using a fast 3D scan (e.g., the Siemens MPRage sequence), it is possible to obtain a 3D data set with 1mm3 resolution in about 8 minutes. A 3D scan makes the recording of a 2D anatomical reference scan obsolete, thus, this recommended approach does not require much more time as in a 2D functional / 2D anatomical appraoch. A same-session 3D recording allows to use the slice position parameters of the 2D and 3D scan to quickly align the two data sets since intra-session anatomical and functional slice specifications refer to the same reference system. These values may be entered directly in the 2D-3D Same Session Alignment dialog. This dialog is invoked through clicking the Use 2D/3D pos values button in the Spatial Transformations dialog tab of the 3D Volume Tools dialog. If you work with Siemens .IMA files (not the exported file format), the necessary information is stored automatically during the .FMR and .VMR project creation process in corresponding scan position (.pos) files. You have just to use the Load... buttons to select the scan position files for the 2D and the 3D recording, respectively.

Remarks: Automatic creation of these files will be available for DICOM files, too, with one of the next program releases. To use this type of fully automatic 2D-3D coregistration for other data file types, you must extract the relevant pieces of information for the 2D position parameters field and the 3D position parameters field yourself from the information provided by your scanner, i.e. from the header files.


Semi-automatic intensity-based 2D-3D coregistration

This approach works via an intermediate step which creates an internal .VMR data set from the .AMR file referenced by the .FMR project and additional information about the slice thickness, gap thickness and so on. It then uses the 3D-3D alignment procedure as described subsequently. This approach is currently in beta testing and will be made available and fully described with one of the next program releases.


Alignment of two 3D data sets

This option allows to automatically align 3D T1 weighted data sets with subvoxel precision. The source and the target data set may be of different quality, e.g., the source might be a fast 3D scan (e.g., Siemens MPR sequence) whereas the target might be a high-quality T1 FLASH scan. However, both recordings should have scanned roughly the same area (e.g., head) with the same resolution (e.g., 1mm x 1mm x 1mm). If the last condition is not fulfilled, use the Isovoxel Transformation dialog as described above to compute to produce two data sets with the same resolution.

An important application of 3D-3D alignment is to spatially match a 3D T1 scan of a subject to another 3D T1 scan of the same subject. This is particular helpful if the target .vmr data set has been already rotated into the AC-PC plane (Talairach step I, see ?). This removes (usually small) variations between the interactive Talairach transformation procedures of the same subject. The following describes a possible scenario of inter-session Talairach normalization using 3D-3D alignment:

1) Session I

  • T1 FLASH recording of subject nn (plus functional measurements)

  • Interactive specification of AC-PC plane (creation of nn_acpc.trf file)

  • Rotation of 3D data set into AC-PC plane, creation of nn_acpc.vmr

  • Interactive specification of the borders of the cerebrum (see below), creation of nn_cerebrum.tal file

2) Session II

  • Fast T1 (i.e. MPR) recording of subject nn (plus functional measurements)

  • Automatic 3D-3D alignment with nn_acpc.vmr file (-> nn_s2_acpc.trf file)

  • Application of the nn_cerebrum.tal file for the final Talairach step.

With 3D-3D alignment, manual Talairach transformation has to be done only once per subject. For all later measurements of the same subject, Talairach transformation is done fully automatically. Since the functional data is also incorporated automatically into the 3D data set of the respective recording session (intra-session 2D-3D coregistration), functional data (.VTC files) may be aligned very precisely and automatically between different recording sessions of the same subject. That is, both .TRF files for creation of .vtc files are generated automatically: the nn_2D-3D.trf file and the nn_acpc.trf file. The third file for .VTC creation, the nn_cerebrum.tal file is also available from the Talairach normalization of the first session. A multi-study analysis across several sessions with the same subject can be performed using the General Linear Model (see ?).

To perform 3D-3D alignment:

  • Load the source 3D data set using the File->Open menu item

  • Load the target .3D data set using the Load button in the 3D-3D alignment field in the Spatial Transformations tab of the 3D Volume Tools dialog.

  • In the 3D-3D alignment field, you may now select one orthogonal slice view (check TRA, SAG or COR option) which is shown during the alignment process. You may want also to choose to have subvoxel interpolation activated. Check either Trilinear (fast) or Sinc interpolation slow, Hanning window of 2 recommended).

  • Press the Align button in the 3D-3D alignment field to start the spatial alignment process. In the RESLICE view, you can observe the ongoing process: small transformations slowly rotate the source data set into the target space.

  • The result of the 3D-3D alignment process consists in the computations of appropriate translation and rotation parameters which are set in the respective fields. You should save them with the Save .trf button to disk (e.g, nn_acpc_session2.trf). In order to finally get the transformed .VMR file, you have to apply the computed parameters to the source data set using the Export .VMR button (e.g., nn_acpc_session2.vmr).

NOTE You may "help" the alignment process by specifying initial translation and/or rotation parameters. This is helpful (or even necessary) if you have very different 3D recordings. It is also useful to simply speed up the alignment process.

TIP You can interrupt the fitting procedure pressing the <Escape> button on the keyboard.


Converting a stack of 2D maps into a 3D statistical map

There are two methods to compute 3D statistical maps. The most flexible and efficient method is based on direct statistical computations after creation of volume time course .VTC files (see below). Another method described here is useful if you do not yet have computed VTC files. This method requires that you have saved one or more 2D statistical maps within the relevant .FMR project (resulting in files like nn_stim_fix.map). Additionally, for each subject, you need an anatomical 3D data set for coregistration. Most importantly, you need a 2D-3D coregistration .TRF file as described in the previous sections about 2D-3D coregistration (e.g., nn_2D-3D.trf).

With these pieces of information, proceed as follows:

  • Load the 3D data set (.VMR file) of your subject.

  • Switch to the Spatial Transformations tab of the 3D Volume Tools dialog of the loaded .VMR file. Click the Select .FMR button to specify the functional project containing the 2D data. BrainVoyager checks whether the specified .FMR project possesses a link to a .AMR file. An .AMR file may contain a set of 2D anatomical (T1-weighted) images which are co-registered with the functional scans. Alternatively, it may contain simply the first scan of the functional slices (T2* reference, see ?). If the .FMR project does not reference an .AMR file, a reference file is automatically created internally based on the functional data itself. In this case, a dialog will appear as shown in fig. ?.

  • Click the Load .TRF button to load the appropriate 2D-3D coregistration .TRF file (e.g., nn_2D-3D.trf).

  • Click the Analysis->Overlay maps menu item to invoke the Overlay Maps dialog. Use the Load 2D maps... menu item in the local File menu to load a 2D statistical map (e.g., nn_stim_vs_fix.map). Note, that loading 2D maps into a 3D volume file is normally not supported. This is only possible if an .FMR project file has been specified previously in the Spatial Transformations tab of the 3D Volume Tools dialog.

  • Click the Create 3D map button in the Spatial Transformations tab. In the appearing Save As dialog enter a name for the 3D map (e.g., nn_stim_fix_3Dmap.vmr). Click the OK button. Now a 3D map is created which is coregistered with the 3D data set.

  • Click the Overlay 3D map button in the Spatial Transformations tab to superimpose the newly created 3D map (which is saved internally) on the anatomical 3D data set. You may now navigate in the SAG, COR and TRA views to see your statistical data ”in 3D”.

Further options. Note, that you can use the Overlay Maps dialog as with .FMR projects to adjust the threshold criterion as well as the cluster size criterion. The cluster size now works in 3D which means that you should specifiy larger clusters, i.e., in the range of 100-200 voxels. Although not necessary, you could also save the 3D statistical map using the Save 3D map... button in the local file menu of the Overlay maps dialog (this option will be important in the context of .VTC files).

If you have closed the .VMR file but want to see the statistical 3D map later again, you do not have to run through all the steps described above. You only have to open the .vmr file and then use the Load 3D map... button in th local file menu of the Overlay maps dialog. Select the 3D map file and click the GO buttton. Now you just have to click the Overlay 3D map button in the 3D functional data field of the Spatial transformations tab.

REMARKS To see the created 3D statistical map in normalized (Talairach) space, the 3D map has to run through the same two steps as described below for anatomical data sets. A 3D map is a .VMR file and can, thus, be loaded exactly as any other 3D data set. This allows to apply the same spatial transformations as was done with the 3D data set.


Talairach transformation of 3D data sets

Talairach transformation in BrainVoyager consists of two consecutive transformation steps:

  1. Rotation of a .vmr data set into the AC-PC plane (AC = anterior commissure, PC = posterior commissure)

  2. Scaling of 12 subvolumes which are defined based on the location of AC, PC as well as on the specified borders of the cerebrum

After the rotation of the 3D data set into the AC-PC plane, the borders of the cerebrum are specified. You may then superimpose a Talairach grid on the rotated data set prior to scaling to Talairach space. The first data set allows you to locate ROI’s in Talairach space without any geometric distortions of your subject’s brain. The .vmr data set after scaling is transformed to standard Talairach space but sizes of voxels are changed differently in different subvolumes.


Talairach I: Rotation of a 3D data set into the AC-PC plane

Load a .vmr data set. It is assumed that your data set is ”standardized” so that you see sagittal slices in the SAG view and that the data set consists of 1mm3 iso-voxels (see section ?). In the Reslicing, Alignment tab of the Volume Tools dialog, check the Oblique 2D option to activate reslicing mode. In the SAG view, you should see now one white line indicating the position of a slice which is resampled. The result of this resampling, an axial slice, is shown in the RESLICE view in the lower left quadrant (or in the lower right quadrant, if you have deselected Muckli Arrangement in the 3D Coordinates tab). As default, there is one slice specified for resampling with field of view values of 256. If this is not the case, change in the Reslicing, Alignment tab the N slices: value to 1 and xFoV and yFoV to 256. The most important task of this step is to locate the anterior commissure in your data set. Navigate with the mouse pointer in the SAG, COR and TRA view in order to set the red cross on the upper anterior border of the anterior commissure. In the TRA and COR view, the location of the cross should be located in the middle of the commissure (see figure above). For fine positioning of the cross, use the x:, y: and z: spin controls in the 3D Coordinates tab. The next task consists in rotating the resampling slice in such a way that you see also the posterior commisure in the RESLICE view. Use the Tra->Cor spin control in the Angles field to rotate the oblique resampling slice until you see the posterior commissure appearing in the RESLICE view. The rotation is executed around the position of the red cross. Since the cross is located at the anterior commissure, AC will not disppear from view. You now have completed the two essential tasks for AC-PC alignment. If your 3D data set is tilted with respect to the two other angles, you can also change the Tra->Sag and Sag->Cor angle as appropriate. The blue/white reslice lines provide information where the orthogonal planes of the resliced volume will be located with respect to the current data set. You should now save the specified transformation parameters in a .trf file. This is important since you need this file for rotating functional data into Talairach space. Click the Save .trf button in the Spatial Tranformation tab, enter an appropriate name, e.g., nn_acpc_rotation.trf, and click the Save button in the Save As dialog. Although you have now specified and saved all necesarry transformation parameters, you have not yet executed the spatial transformation. Prior to performing the spatial transformation, you can select an interpolation method for reslicing. We recommend to check Trinlinear interpolation which produces good results in an acceptable amount of time (see info on interpolation below). In order to produce a new .vmr data set, click the Export .vmr button in the Apply spatial transformation field of the Spatial Transformation tab. Enter a name for the new data set, e.g, nn_acpc_rotation.vmr, and click the Save button. As an alternative approach to exporting a new .vmr data set, you can also replace the current data set with the transformed data set. If you want to replace the current data with the transformed data, click the Replace .vmr button instead of the Export .vmr button in the Spatial Transformation tab. Note, however, that now you do not have a copy of the rotated data set on disk. Of course you can save the transformed data set using the File->Save As... command.

TIP You can switch between the 3D Coordinates tab and the Reslicing, Alignment tab without using the mouse button through pressing the F3 and F4 button, respectively.

TIP Locating the anterior and posterior commissure might be easier if you zoom the .vmr project window using the [image] icon.

TIP You can change the width of the red cross as well as the blue/white reslice lines. Change the Cross thick.: and Line thick: values in the Options field of the 3D Coordinates tab, respectively. The default widht of these values is set to 2 but for fine positioning a value of 1 is more appropriate. You may also hide the red cross of the blue/white reslice lines completely. Check/uncheck the Show cross or Show slice lines options in the Settings field of the 3D Coordinates tab.

INFO Interpolation methods for spatial transformation. You may use no interpolation method at all which does, however, lead to a ”blocky” result. We recommend to use trilinear interpolation. It is known that trilinear interpolation reduces high-freqeuncy components so that the resulting images are slightly smoothed (blurred). For most subsequent tasks, e.g., segmentation of white matter, this little smoothing is desirable. If you want to have a transformed data set without any smoothing, use sinc interpolation instead. You should, however, keep in mind, that sinc interpolation lasts very long, e.g, ca. five minutes with the default value of 2 for windowed sinc.


Talairach II: Specifying the end points of the cerebrum for Talairach scaling

The second step of transforming a .vmr data set into Talairach space consists of specifying 8 locations - the Talairach reference points for showing the Talairach grid. The 8 reference points are the anterior commissure (AC), the posterior commissure (PC), the most anterior point of the cerebrum (AP), the most posterior point (PP), the superior point (SP), the inferior point (IP), the righ point (RP) and the left point (LP). These points are specified using a .vmr data set which is already rotated into the AC-PC plane. Thus, you must load an appropriate .vmr file, e.g., nn_acpc_rotation.vmr. The rotation step has already matched the three orthogonal axes between a .vmr data set and Talairach space. This allows an easy specification of the Talairach reference points as compared to a rotated original data set.

In order to specify the 8 reference points, switch to the Talairach tab in the 3D Volume Tools dialog. The Talairach proportional grid reference points field has a list box containing abbreviations of the 8 reference points. You 1) select one reference point after the other, 2) locate the respective point in the .vmr data set and 3) click the Set position button. After having loaded an AC-PC-aligned data set, the red cross will be located already at the AC point which is the center voxel of the 3D data set. So for the first reference point, you just click the Set position button. (You may ommit this step since AC is the only reference point which is already defined internally as the center voxel). Now select the PC reference point and navigate to this point in the 3D data set. This is best done on the TRA view. You can also use the the y: spin control in the 3D Coordinates tab moving the red cross step by step until it reaches the posterior commissure. Then you must click the Set position button to save the coordinates internally. Now select the next reference point which is the most anterior point of the cerebrum (AP). Navigate to that point clicking in the SAG, TRA or COR view as appropriate. For fine positioning of the red cross, use the x:, y: and z: spin controls in the 3D Coordinates tab. The cross should be positioned in such a way that you see grey matter, e.g., in the COR view but that the grey matter would disappear if you would move just one step more anterior. The figure above shows the specification of the anterior point in a 3D data set. This logic has to be applied to the remaining reference points. The specification of the reference points is quite easy except for the most inferior point (IP) since there is tissure with similar intensity around the bottom of the temporal lobe. Inspecting all three views normally helps, however, to find also this point in a few seconds (see figure below).

If you have specified all reference points, you should save these points to disk clicking the Save... button in the Talairach proportional grid reference points field of the Talairach tab. Use appropriate naming of the file, e.g., nn.tal. This file is also necessary for transforming functional data into Talairach space. You may also check your specifications. Select a reference point in the list box and then click the Show position button. The red cross will move to the respective voxel showing the three orthogonal slices runnning through that voxel in the SAG, COR and TRA views.

TIP When locating the end points of the cerebrum, you do not have to locate the cross exactly in all three views. Since the data set is already in the correct orthogonal coordinate space, only the information of the critical axis is used internally. For specification of AP or PP, for example, this is the y-axis. So it is not necessary to position the cross exactly in the COR plane. We do still recommend to locate the end points in all views since this allows to use the Show position option more convincingly if you want to inspect the specified points later.

INFO Specification for left and right follows the radiological convention So left is on the right and right is on the left side as indicated with the letters R and L.


Talairach III: Showing the Talairach grid

After having specified all Talairach reference points, you can superimpose the proportional Talairach grid as described in Talairach and Tourneaux (19??). Check the Display partial grid or Display full grid option in the Talairach proportional grid reference points field of the Talairach tab (see figures below). The full grid looks better after zooming the view using the [image] icon. Note that we have projected the Talairach grid on a .vmr data set which was just rotated. This implies that the voxels still consist of cubic millimeters throughout the data set. For comparison and averaging of anatomical and functional data, we finally want to scale the data set based on the specified end points of the cerebrum to ”true” Talairach space. To do that you finally have to click the Tal scale button in the Talairach proportional grid reference points field. Enter a useful name in the appearing Save As... dialog, e.g., nn_tal.vmr, and click the Save button.


Talairach IV: Using the Talairach coordinate system

Now close the current .vmr data set and load the newly created one, e.g., nn_tal.vmr. The dimensions of the brain in this data are now those of the Talairach brain. Note that due to piecewise differential scaling of 12 subvolumes, voxels normally are no longer cubic millimeter with respect to your subject. However, the coordinates of the Talairach brain will apply that means that each voxel now corresponds to a ”Talairach cubic millimeter voxels”. In order to use the Talairach coordinates, check the Use tal ref points option in the Talairach proportional grid reference points field. The first effect, you will see is that the partial grid defined using the Talairach brain is superimposed on our subject’s brain. Since the loaded data set is also in standard Talairach space, the partial (or full) grid fits exactly. Another important effect after checking Use tal ref points is that in the 3D Coordinates tab, the fields of the x:, y: and z: Talairach coordinates are enabled. If you now navigate in the 3D data set, you will always see the Talairach coordinates of the voxel at the red cross (see figure below). Of course, the system coordinates are also shown as before. You may also use the three spin controls of the x:, y: and z: coordinates in the Talairach coords field of the 3D Coordinates tab to do fine-positioning of the red cross.


Talairach V: Converting 3D maps into Talairach space

In a previous section it was described how 3D maps are created from a stack of 2D maps. The result of this process consists of a 3D volume (.vmr file) of statistical data which is in register with a corresponding anatomical 3D data set. If you have transformed the anatomical data set into Talairach space, you can do exactly the same transformation sequence with the functional 3D map. Then you may superimpose the statistical 3D map on to the 3D anatomical data set and to determine the Talairach coordinates of significant functional clusters.

Load the .vmr file containing the statistical data. Now load the .trf file which contains the transformation parameters for rotation into the AC-PC plane, e.g, nn_acpc_rotation.trf. To load the file, click the Load .trf button in the Transform. files field of the Spatial Transformations tab. Make sure that you load the correct .trf file which was used for the coregistered anatomical 3D data set. To rotate the statistical data into the AC-PC plane, click the Replace .vmr button in the Apply spatial transformation field of the Spatial Transformations tab. Alternatively you may click the Export .vmr button to immediately save the transformed data set. In the latter case, you have to load the exported .vmr file prior to continuing with the next step.

Now load the file containing the Talairach reference points of the subject, e.g., nn.tal. Click the Load... button in the Talairach proportional grid reference points field in the Talairach tab. After having loaded the .tal file, click the Tal scale button to finally produce a .vmr file containing the statistical map in Talairach space. The figure below shows the same 3D map as in a previous section , now hoever the functional data is in Talairach space. The data set is shown after having loaded an intensity look-up-table (rainbow4.ilt) using the Options->Contrast/Brightness menu item. The next figure shows the same functional data in Talairach space, now superimposed on the corresponding anatomical 3D data set (of course you can use now any anatomical 3D data set of the same subject if transformed into Talairach space). As described in a previous section, this requires to load an anatomical 3D data set first. Then the Analysis->Overlay maps... menu item is selected invoking the Overlay Maps dialog. Finally, the local menu item Load 3D map... is selected to load a coregistered functional 3D data set.


Creating Talairach-based volume time course files

In previous sections it was described how statistical maps are registered with 3D data sets and how anatomical and statistical .vmr data sets can be transformed into Talairach space. A disadvantage of this procedure is that each new map has to first be computed in 2D using the respective .FMR project and then it must run through the ”Talairach transformation pipeline”. Another disadvantage is that it is not possible to show the actual time courses at a certain ROI in Talairach space. A more flexibel solution is provided here through transforming not only single statistical maps but the full time course of .FMR projects into Talairach space. The handling of the time course data in Talairach space is then made as similar as possible to the 2D case, e.g, providing the same ROI Signal Time Course windows, Linear Correlation dialog etc.. After running through a spatial transformation process, the time courses are located in a .VTC (volume time course) file. The name is similar to the name of the time course data files of .FMR projects which reference for each slice a .STC (slice time course) file. Having created a .vtc file not only allows to show time course data at any point in Talairach space and the computation of statistical maps, it also allows to run 3D preprocessing options, e.g., 3D motion correction as well as multi-study analysis using the General Linear Model.

If you have run the steps described in the preceding sections with your anatomical and functional data, all necessary files for the creation of .vtc files should exist already on disk. Load any .vmr data set of a subject, e.g., the anatomical data set prior to Talairach transformation. The loaded 3D data set is not used during the subsequent computations but it is required to enable access to the transformation commands.The transformation process requires the specification of a .FMR project. This file references the .STC files containing the time course data as well as additional information, e.g., a link to a stimulation protocol file. The .vtc creation process is aimed to bring as much information as possible from the analyzed 2D data to the 3D data representation. Since the .vtc file allows to run all preprocessing options as in the 2D case, it is recommended to select the original .fmr file prior to running any 2D preprocessing options. Click the Select .fmr button in the 3D functional data field of the Spatial Transformations tab of the 3D Volume Tools dialog. Navigate to the .fmr data set referencing the time course data you want to transform into Talairach space, select the file and click the Open button. The selected file name is shown in the text field next to the Select .fmr button. Now click the Create 3D func (.vtc) button. The figure below shows the appearing Create .VTC dialog.

The first greyed text field contains the name of the already referenced .fmr file. The second text field should contain the spatial tranformation .TRF file which was produced while incorporating the 2D functional data into a 3D data set. Click the respective Browse... button to select the 2D-3D registration file. The next text field has to be filled with the spatial transformation file used to rotate the .vmr data set into the AC-PC plane. Select the respective file using the Browse... button. The next text field must be filled with the .TAL file containing the Talairach reference points for scaling of the rotated .VMR file into Talairach space. Click the Browse... button on the right side to select the .TAL file. The last text field contains the name of the resulting .VTC file. Change the default naem (subject.vtc) appropriately. If you have specified all required pieces of information, click the GO button to start the transformation process.

Based on the supplied information, the program now creates a 3D volume for the raw data at each measurement time point. Each 3D volume is coregistered to the correct anatomical 3D data set based on the information of the first .trf file (e.g., import_func.trf). Each volume is then transformed into Talairach space using the information provided in the second .trf file (e.g., cg_acpc_rotation.trf) and the .tal file (e.g., cg.tal) containing the Talairach reference points. This process is performed for each measurement point. If you have, e.g., 100 measurement time points of 15 slices each, the program computes 100 volumes of the time course data and transforms them into Talairach space. Internally the resolution of the functional data is interpolated to 3 mm cubic voxels during this process. The process takes some time, e.g, ca. 30 minutes for 100 measurement time points on a 400 MHZ Pentium II.

After successful creation of the .vtc file, you want to preprocess, analyze and visualize your data in Talairach space. The chapter 3D Data Analysis describes all available options.


Volume rendering

Volume rendering is a method to create 3D visualizations of volume data sets. BrainVoyager uses a particular variant of volume rendering as described below. The program also allows to visualize functional data on volume rendered views of the brain and to interactively map each pixel of a computed 3D view to the respective voxel of the 3D data set. Using a segmented brain the latter feature helps to learn about the relationship between 3D views and standard 2D slice views of gyri and sulci.

Principles of volume rendering.

Given a position in 3D space, callled the viewpoint, as well as another position, called the look-at point, volume rendering computes a 3D view of the volume data through "looking" from the specified viewpoint towards the specified look-at point. This "looking-procedure" is based on sending rays into the volume computing the intersection of these rays with potential objects in the volume. Potential objects are only detectable based on signal intensity values at traversed voxels. In order to "see" e.g., the brain, proper segmentation processes have to be performed previously to starting volume rendering.

To show the result of volume rendering, an image plane is defined (e.g., 256 x 256 pixels in BrainVoyager) on which the resulting view is displayed. The center of the image plane corresponds to the ray sent from the specified viewpoint. The image plane is oriented orthogonal to the direction vector which points from the viewpoint towards the look-at point. From any pixel of the image plane, a ray is sent along the direction vector. This ray casting process uses a discrete step size, e.g., in the order of 0.5-1mm. After each step forward, the new coordinates of the voxel at the tip of the ray are computed and rounded to the nearest integer values. The signal intensity value found at that voxel is compared with a globally specified critical intensity value (or range of intensity values). If the voxel intensity is below the critical intensity, the ray is considered to be still "outside" of a potential object and thus continous to ”move” forward. If on the other hand the voxel intensity is larger than the critical intensity, the ray is considered to have reached the border of a potential object. In this case the ray does not move further.

If a ray has detected the border of a potential object, there are several methods to compute a brightness value for the current pixel of the image plane. BrainVoyager computes a local surface patch (based on the x-, y-, z- gradients) at the voxel where the ray has intersected with a potential object (intersection point). The orientation of this surface patch is used together with a specified location of a light source to compute the brightness value based on simple light reflection calculations (Phong shading).

The described ray casting process and brightness calculations are repeated for all other pixels of the image plane. The quality of a volume rendered 3D view may be very high if the object in question is segmented properly. If the rays are sent parallel to each other, the resulting image is orthographic that means that no perspective is added. If the rays are sent non-parallel, perspective viewing may be achieved. Perspective volume rendered views are at present not supported in BrainVoyager but are available in the surface module.


How to do volume rendering

Open an anatomical 3D data set (.vmr file) using the File->Open menu item or the Open icon. In the automatically appearing 3D Volume Tools dialog, switch to the Volume Rendering tab. You may use all prespecified parameter values to start the volume rendering computations clicking the Render button. However, you should define an appropriate viewpoint first. The x-, y-, z- coordinates of the current voxel selected with the red cross is used as the viewpoint. These coordinates may be inspected and changed in the 3D Coordinates tab. A more easy approach is to just click in the SAG, TRA and COR views to select another voxel as the current one. The new coordinates are then used as the viewpoint for volume rendering. The figure below shows that the red cross was moved outside of the head of a subject and positioned slightly lateral. The resulting volume rendered view after clicking the Render button is shown in the RESLICE view. If you want to change not only the viewpoint but also the look-at point, change the coordinate values in the Look-at point field accordingly. The default values of the look-at point are set to the center of the loaded .vmr data set. As described above, the rays sent into the volume stop at voxels exceeding a global intensity value or intensity range. The critical intensity value is specified wit the Min: value in the Target intesity range: field. Although normally not necessary, you may also change the Max: value to specify a range of signal intensiy values which are used to stop ray casting.

The volume rendering result is improved when the Smooth gradients: option is checked (default). This option computes gradient information from voxels surrounding the intersection point of a particular ray to improve the estimate of the orientation of the local surface patch. Change the Nbrh. value to increase the included neighborhood used for this computation. The default value of this parameter is 1 which means that all nearest neighbors are included. A value of 2 would include additionally all next-nearest neighbors etc.

You may further influence the result of volume rendering changing the lightning conditions. The most important lighning control parameter is the position of the light source. Since the light source is implemented to emit parallel light rays, its exact position is of no relevance. What is relevant is the emitted light direction. As default, the Light direction vector is specified as x = +1, y = +1 and z = +1. If you want that the light shines from the front, e.g., directly into the face of your subject's head, use x = 0, y = +1, z = 0. If the light should shine from the right side (that is onto the left side of the head), use e.g., x = -1, y = 0, z =0 etc. You may scale the overall brightness of the volume rendered image in changing the Min: and Max: values of the Luminance range field. You may also change the brightness value of the Ambient light source. If this value is 0, those parts of an object which do not reflect light due to the orientation of local surface patches will be rendered black. If the ambient light is set greater than 0, those parts will receive a homogeneous brightness value and thus are rendered visible..

Acceleration methods. There are some options influencing the speed of volume rendering. The Ray cast depth: value specifies the maximum length of the rays sent from the image plane. The default value of 200 mm is sufficient to reach the object of interest in most cases. You may reduce this value to 100-150 and still often get the same final image in a shorter amount of time. If this value is, however, reduced too much, some parts of the object in question may not appear in the final image since the rays may stop before reaching it. There are two options in the Turbo render mode field for accelerating volume rendering. Note that both methods reduce image quality. The Step size option is checked as default. If this option is enabled, a relatively large step size for moving the ray is used instead of the usual small step size. If after performing a large step a voxel's intensity value passes the intensity range test (e.g., we are inside the object), the last step is performed backward in order to go outside the object. Ray casting is then started with the usual small step size. This method leads to a fast final image (e.g., 3-4 s on a PII 400MHZ) but some errors may appear in the rendered image. The other acceleration method can be enabled checking the Low resolution option. This option simply uses 25% of all possible rays and interpolates the computed values in the image plane to the non-processed neighbors. This method results in a somewhat blurred final image.

We recommend to use one or both acceleration methods for a fast inspection of the resulting 3D views. If a desired viewpoint has been determined, both acceleration methods should be deselected to finally produce the best possible result.

Mapping from 3D view to 2D slices. A useful feature of BrainVoyager is the possibility to interactively map any selected point of the image plane to the respective orhogonal 2D slices running through that point. After having computed a volume rendered image, simply click with the left mouse button at any point in the RESLICE view You will see that the SAG, TRA and COR views are immediately updated to show the respective slices through the selected point (see figure below). You can also move the mouse while holding the left mouse button pressed to get a contineous update.

Visualizing functional data. The interactive 3D view to 2D slices mapping feature is most useful if applied to the segmented brain of a subject. In this case, you can also view functional data superimposed on the visible gyral/sulcal pattern if you have loaded or computed a 3D map. Check the Enable option in the Display functional data field. If you now click the Render button, the 3D map is shown superimposed on the volume rendered image.

Functional data is only visualized if it is located close enough to the visible border of the brain. Some extra steps during ray casting are performed to visualize functional data. If a ray intersects with a gyrus, the ray is moved further to look for functional data. This special movement for detecting functional data is controlled using the Depth: value in the Display functional data field. The default depth value is 5 which means that after hitting e.g., a gyrus, the ray is traversed 5 mm further going into the brain. If any functional data is found, it is shown superimposed on the volume rendereing at the respective position.

Controlling the size of volume rendered object. You may change the xFoV and the yFoV field to change the resulting size of a volume rendered object. The default values are 256 which results in volume renderings showing the object in its standard size. If you set xFoV and yFoV to 128, for example, you see part of the object rendered in double size.

INFO Volume rendering does not "reconstruct" the border of an object. Each time you want to see the object contained in the volume from a different view point, the time-consuming ray casting process has to be started from scratch for each pixel of the image plane. In contrast, the surface module allows to reconstruct the border of an object as a surface once which may then be viewed quickly from any viewpoint.

TIP To save the specified viewpoint, click the Safe .trf button in the Spatial Transformations tab. Click the Load .trf button to reestablish the saved viewpoint.


Segmentation tools

Segmentation is a key step for many applications in BrainVoyager. It is an essential prerequisite for volume as well as surface rendering of the brain. BrainVoyager uses a combination of several tools to produce succesful segmentations, e.g., region growing, stepwise expansion of marked subspaces, and Talairach masks. Several additional tools like smoothing filters are available to preprocess structural and statistical volume data. In the following description it is assumed that the goal is to segment the brain (gray and/or white matter border). The same tools can be also used to segment, e.g., the ventricles or the cerebellum.

If the structural volume data set of a subject is first transformed into Talairach space (see sections above), segmentation of the brain may be much easier to be performed through using ”Talairach masks” (see below). Based on Talairach masks, a fully automatic segmentation of the white/grey matter boundary is currently developed which will be available in the next release of BrainVoyager.


Segmentation tools I: Region growing

An intensity-based region growing process is the main tool for segmentation. Region growing starts at a seeding voxel and spreads from this voxel into its neighborhood. The seeding voxel is specified as the position (x, y, z coordinates) of the red cross in the orthogonal slice views. If you want to segment the brain of a subject, click the left mouse button at a position within the white matter of the brain before starting region growing.

When region growing is started clicking the Grow region button, the seeding voxel specified with the red cross is marked with a segmentation color. The value of this color (a palette entry, see below) is specified in the New val: field. The default value of 240 corresponds to a blue segmentation color. Region growing would be useless if it would spread to all voxels in its neighborhood. Therefore spreading is controlled via two constraints, intensity and region. The intensity constraint ensures that only those neighbors of the seeding voxel are marked which possess intensity values within a specified intensity range. The intensity range is specified with the Min: and Max: values in the Inclusion range field. The region constrained ensures that the region growing process does not spread beyond the borders of a cube which is specified with Min and Max values for the x, y and z dimensions of the Region field. A neighbor voxel of the seeding voxel which passes these constraints is marked with the specified segmentation color. All marked voxels themselves inspect its (non-marked) neighbors which are also marked if they pass the intensity and region criterion. This recursive spreading process continues until no more neighbors of any marked voxel are found which pass the spreading criteria.

Undo using Reload all. The first settings of the the Min: and Max: values in the Inclusion range field may not lead to a successful segmentation in the first place. If you have clicked in the white matter in the brain and the specified intensity inclusion range was too broad, the region growing process will spread into the skull. This means that you have to try again using other parameters in the Inclusion range field. In order to remove the produced segmentation marking, you can use the Reload all button in the Reload functions field. This function loads the content of the original file from disk into memory thus replacing any changes made. For the second try, you may narrow the intensity inclusion range through increasing the value in the Min: entry and decreasing the value in the Max: entry. If you increase/decrease these values with steps of about five units, you should reach a successful initial segmentation after a few tests. (The next major release of BrainVoyager will automatically find these values for the segmentation of white matter).

TIP In order to get initial values for the inclusion range, move the mouse pointer across the SAG, TRA or COR window without clicking any mouse button. The status bar then shows the intensity value of the indexed voxel ”below” the mouse pointer. If you move the mouse pointer for example across white matter, you obtain estimates for the intensity range of this tissue type which you can use for your initial values in the Inclusion range field.


Segmentation tools II : Expanding marked subspace

Using region growing with appropriate values for the inclusion range, you should achieve a successful initial segmentation of the white matter of the brain. The resulting segmentation may be incomplete, e.g., some regions clearly belonging to white matter may not be marked. This is due to narrowing the inclusion range in order to avoid spreading into the skull. In order to mark regions which belong to the target tissue without taking the risk of spreading into the skull, the region expansion tool can be used. This process implements a ”controlled” non-recursive spreading of one step: Any neighbor of a marked voxel is marked if it passes the inclusion range (and region) criterion. This function is invoked through clicking the Expand button. If you apply the expansion tool after region growong, you will see no effect unless you broaden the inclusion range. In order to mark the white matter completely, use a Max: value of 225 in the Inclusion range field and click the Expand button. The figure below shows the result of clicking three times the Expand button after the region growing step described in the previous section. The non-marked ”holes” in the white matter which were not marked with region growing in the previous step are now completely ”closed”.


Segmentation tools III: Segmentation of the brain

The segmentation of the white matter is very important for cortex reconstruction as described below. For this particular goal, several additional steps like removal of the cerebellum and filling of some subcortical structures have to be done in addition. In many cases it is also desirable to have a segmentation of the brain including the grey matter and the cerebellum. This may be easily achieved through applying the described expansion process using a lowered threshold of the Min: value in the Inclusion range: field. The following figure shows the result of the example data after clicking the Expand button three times now using a reduced Min: value of 90 and a Max: value of 150.

The described procedure has segmented the brain as shown with the blue color. However the intensity values of the non-marked subspace, e.g, the skull, are still in the data set and would not allow the application of certain operations like volume rendering of the segmented subspace. In order to obtain the intensity values only at the positions of the marked voxels, use the reload marked tool which is invoked through clicking the Use marked button in the Reload functions field. This function reloads from the original file only the contents of those voxels which are marked. This reloading process uses the color (palette entry) specified in the New val: entry in the Inclusion range field to determine which voxels are to be replaced with the original content. The intensity of all other voxels is set to black. The next figure shows the result of the reload marked tool applyed to the example data set. As you can see in the COR and TRA views, only the intensity values of the previously marked voxels are now visible. The produced segmentation of the brain has been visualized in the RESLICE view using the volume rendering tool.


Segmentation tools IV: Cleaning 3D data sets

A very simple application of the region growing tool and the reload marked tool is to ”clean” a 3D data set removing voxels outside of the head of a subject. This application is useful for both volume rendering as well as surface reconstruction of the subject’s head improving the resulting visualizations. In order to clean a 3D data set, simply click somewhere inside the head of the subject thus specifying the seeding voxel for a region growing operation. Since we want to mark not just the brain but most voxels belonging to the head, a low value of the Min: entry in the Inclusion range field may be chosen. Useful values are typically in the range of 40-60. The following figure shows the result after clicking the Grow region button using the original data set of the example case using a minimum inclusion value of 50. You can see in the TRA view that most voxels of the head are marked sparing some noisy regions outside of the brain. The figure below finally shows the result after clicking the Use marked button in the Reload functions field.

TIP Perform the described ”cleaning” operation prior to any other steps and save the file, e.g., as nn_clean.vmr. Use this file as the basis for all subsequent processe like Talairach transformation. This ensures that you can apply volume rendering and surface reconstruction of the head with any spatially transformed data set without repeating the cleaning operation.


Segmentation tools V: Restricting region growing using plugs

Segmentation of white matter, removal of cerebellum etc.

Preparing for cortex reconstruction.


Segmentation tools VI: The drawing tool

The drawing tool is very helpful to quickly ”paint” certain regions of the data set with a specific color. In the context of white matter segmentation, It can be used to set manual plugs as shown in the figure below. It can also be used to “label” subcortical structures as belonging to “white matter”. To use the drawing tool, check the Enable option in the Draw with mouse field in the Segmentation tab. If you now click somewhere in the 3D .VMR project window, one or more voxels are painted with the color specified in the New val.: value of the Inclusion range field. Hold the left mouse button pressed while moving to paint contineous segments. You may also specify a Size: value in the Draw with mouse field. This value determines the “3D width” of the drawing tool through specifying how many voxels in each of the three dimensions are painted simultaneously. Do not forget to disable the drawing tool if you want to navigate through the 3D data set without painting.

INFO The palette used for .VMR data sets (as well as .FMR projects)

0 – 9 reserved by Windows, not used except palette index 0 (= black)

10- 225 Intensity values (grey scale) from 10 (= black) to 225 (= white)

226-245 20 palette indices (arbitrary colors) used for segmentation colors. These colors can be inspected and modified using the Options -> Change overlay LUT... menu ite

246-255 reserved by Windows, not used except palette index 255 (= white)

TIP Clicking the buttons in the Reload functions field uses the file on disk with the current file name. If you want to use another file, i.e. another version of the current volume, press the <Shift> button and then one of the reload buttons. This will invoke a dialog box where you can select the file for reloading. Note, that the referenced file must have the same dimensions as the current volume.


Segmentation tools VII: Using Talairach-based 3D masks

Talairach-based 3D masks can be used a) to segment a region or b) to add / fill regions. The first version is helpful for segmentation whereas the latter can be used to ”fill” subcortical structures during white matter segmentation. This is an example where Talairach space is very useful since this space aligns subcortical structures particularly well.

A Talairach mask is a standard 3D .VMR data set containing pixels not set (i.e. value 0) and values set (i.e. 240). You may construct masks yourself, i.e. as the result of a segmentation. Ask Brain Innovation for predefined mask files for filling subcortical structures. To apply a Talairach mask, click the Options button in the Segmentation tab. Use the Browse... button to navigate to the respective Talairach mask file.


3D Data Analysis

Preprocessing of 3D time course data

BrainVoyager allows to transform your functional data (.fmr project) into Talairach space. This process provides many features not available in 2D analysis mode. As described in section Creating Talairach-based volume time course files, this process requires 4 pieces of information: 1. a reference to a functional project (.fmr file), 2. a transformation file describing how the 2D functional slices are registered with an anatomical 3D scan (e.g., func_import.trf), 3. a transformation file describing how the 3D data set has to be rotated to align to the AC-PC plane (e.g., nn_acpc_rotation.trf) and 4. a Talairach file describing the borders of the cerebrum (e.g., nn.tal). The details to produce these files are provided in the mentioned section. The data transformation process is initiated using the Create 3D functional data (.vtc) button. The resulting .vtc file contains for each measurement one 3D Talairach functional volume.

The .vtc file provides new menu options for 3D data preprocessing as well as multi-subject and/or multi-study statistical analysis with the General Linear Model (see ?). This requires that a .vtc file is referenced or loaded using the Analysis->Use .vtc file menu item. This option again requires that you have loaded an anatomical 3D data project (.vmr) file in Talairach space. You may reference any .vtc file to any .vmr Talairach file.

In order to execute 3D preprocessing options, invoke the 3D data preprocessing dialog clicking the Analysis->3D preprocessing... menu item. The dialog (see figure ?) possesses a similar layout as the 2D preprocessing dialog. You may check 3D motion processing, 3D spatial smoothing and temporal smoothing in one sequence of operation. You may also repeatedly invoke this dialog performing individual preprocessing steps. If you want, for example, first run data smoothing and then motion correction, you enter this dialog first checking data smoothing and uncheck motion correction. If the computations are completed, you enter the dialog a second time, now checking motion correction and unchecking data smoothing.

Click the Advanced >> button to modify available options for controlling each preprocessing step. These options are similiar as in the 2D preprocessing window.

3D motion processing. In order to detect and remove head movements, 3D data processing should be performed. BrainVoyager uses one volume as the reference (e.g. volume 1 or volume N/2, N = Number of measurements). All other functional volumes are translated and rotated in such a way that the summed squared difference of the intensity at each voxel between the resliced volume and the reference volume is minimized (least squares). Each functional volume underwents a rigid body transformation to match the reference volume estimating three translation and three rotation parameters. BrainVoyager uses the Levenberg-Marquardt algorithm for finding the least square fit of these 6 parameters. Gradient descent is one submethod used which slightly changes the parameters to reduce the difference between a volume and the reference volume exploiting how the intensity changes around each voxel in x-, y- and z- direction (gradients). Levenberg-Marquardt goes beyond simple gradient descent generally requiring much less iterations to reach the minimum. It is assumed that sufficiently close to the minimum, the least-squares function can be well approximated by a quadratic form allowing to jump to the minimum directly. In case of failure of this approximation, the method switches to simple steepest descent. The Levenberg-Marquardt method has become the standard of nonlinear least-squares routines (see Press et al. 1992).

You may select several options for 3D motion processing. If a volume is resliced according to estimated parameters, interpolation is used to compute intensity values for subvoxel coordinates. Check Trilinear interpolation or Sinc interpolation to chose an interpolation method. Sinc interpolation is much slower than trilinear interpolation but produces slightly better results. In several tests we have found, however, that both methods lead to almost identical parameter estimates. We, thus, recommend to use trilinear interpolation.

BrainVoyager logs the estimated parameters for aligning each functional volume to the reference volume. If you want to see extended information about each the parameter fit at each iteration, check the Extended log file option. The log files are named according to the .vtc file with the extension .txt.

If you want BrainVoyager to produce a movie of the .vtc data before motion correction and a second movie of the .vtc file after motion correction, check Create pre/post avi movies. The resulting movies show a sagittal, coronal and transversal slice through the mid point of each functional volume. In order to see subvoxel motion, it is helpful to enlarge the movie. The computed motion correction movies are saved to disk. You may start them through double-clicking the file names in Windows Explorer. BrainVoyager names the movie files according to the name of the .vtc file adding _Pre3DMC.avi and _Post3DMC.avi.

Data smoothing. As with .fmr projects, you may chose between smoothing operations in the spatial/temporal domain or in the frequency domain. Click the Advanced >> button to see a list of options controlling the width of the smoothing kernel or the bandpass frequencies. The FWHM value of spatial filtering is specified in Talairach-mm instead of in pixels as in the 2D case. All other options are defined as in section ?.

General Linear Model, Single Study analysis

Introduction

The statistical analysis described so far is adequate for many fMRI paradigms. For some paradigms, however, a more general approach is required, e.g., for analyzing interaction effects of factorial designs. The General Linear Model (GLM) is adequate for the analysis of many simple as well as more complex single and multi study designs. The GLM is also known as Multiple Regression Analysis since a linear combination of several regressor variables (predictor variables, explanatory variables) are used to "explain" or "predict" the variation of an observed variable y.

y(t) = y‘(t) + e(t) = b0 + b1x1(t) + b2x2(t) + ... + bNxN(t) + e(t)

where y is the observed signal time course, the xi are “explanatory variables” (functions of time or more precisely of measurements), the bi are the regressor values and e(t) is an error term for the unexplained deviation of the estimated y‘(t) from the measured signal value y(t) at each time point. As with all previously described statistical methods, GLM analysis is performed independendly for the time course at each individual voxel. The result of a GLM analysis of a voxel time course are estimates for the regression weights bi such that the predicted values y‘(t) are as close as possible to the measured values y(t) at each time point. Since there are normally much less predictors than time points, this prediction is not exact except in degenerated cases, e.g. of a constant signal value over time. Thus, a positive or negative error value e(t) = y(t) – y‘(t) normally exists at each time point. The Least Squares method is used for estimating the regression weights such that these error values are minimized:

åe(t)2 = å[y(t) – y‘(t)]2 = min

This is the same principle as used with standard (product moment) correlation: Assuming one predictor as well as z-normalized x- and y- values, the estimated value b1 of the GLM is exactly the r-value of product moment correlation.

Multiple Regression Analysis is usually performed with continous predictor variables. Using “dummy coding” for the levels of each experimental factor of categorical predictors, any ANOVA design (ANalysis of VAriance) can be expressed as a multiple regression problem. For each level of an ANOVA factor, a separate explanatory variable is included in the model (with some care to avoid overdetermined models, see below). With the so called “effect coding scheme”, these dummy coded predictors lead to the same estimations as the factor level estimates of ANOVA. The GLM, thus, integrates parametric correlation (continous predictor variables) as well as categorical factorial designs (using dummy coding) into an elegant general method. It allows to mix parametric and categorical predictor variables and is therefore ideally suited for fMRI analysis. Correlation analysis and t-tests are just two simple special cases of the GLM. The GLM is a standard statistical tool and is integrated in several statistical packages like SPM, SAS, Statistica. In the context of analyzing brain imaging data, the GLM was first introduced by Fristion et al. (1990, J. Cereb. Blood Flow Metab., 10, 458-466).

The GLM as used in BrainVoyager provides advanced visualization options allowing to easily inspect the contribution of regressors at each voxel using a color-coding scheme similar to multi-map overlays. Selection of predictor combinations as well as specification of ”contrasts” may be performed easily (see section about GLM overlay).

The GLMSS dialog

The GLM single study analysis tool can be used both with 2D .fmr and 3D .vmr/.vtc functional projects. The specification of appropriate multiple predictor models operates in the same way as the specification of correlation reference functions. If you activate the Analysis->General Linear Model, Single Study dialog (GLMSS dialog), you may enter multiple reference functions specifying your predictor model or equivalently your design matrix.

In the context of a 3D .vmr project, the GLMSS dialog can be opened only if an appropriate volume time course (.vtc) file has been selected in the Use vtc dialog. The GLMSS dialog has almost the same visual appearance as the Correlation dialog. Protocol-segmentation and protocol driven specification of reference functions is automatically effective if you have defined a stimulation protocol.

Many studies contain a baseline condition as well as several repetitions of one or more experimental conditions. Those paradigms can be easily expressed as a multiple regression problem through defining an explanatory variable (predictor, regressor) for each condition. Each predictor is entered as a reference function in exactly the same way as in correlation analysis.

After invoking the GLMSS dialog, the empty reference function window for the first regressor is presented automatically. You may specify this regresssor by clicking the right mouse button in an appropriate protocol condition segment and the left mouse button in all other conditions (see fig. ?). In order to specify a second regressor, click the Add Pred button. Now the dialog shows an empty reference function window for the second predictor. Again, click the right mouse button within a second condition and the left mouse button in all other conditions (see fig. ?). In this way, use the Add Pred button for as many conditions as necessary.

NOTE Although the specification of a multi-predictor model is easily done with BrainVoyager, you have to pay attention that you do not select ALL time points with the right mouse button when specifying your predictor reference functions. In this case, you would produce an overdetermined model producing non-interpretable results. Since many studies contain a baseline condition (e.g., R-A-R-B-R-A-R-B...), you can built a sound model if you do not define a regressor for your baseline condition as shown in figure ? and ?. If you have a design without a baseline, e.g., alternations between two or more main conditions (e.g., A-B-A-B...), you have to specify N-1 predictors where N is the number of your conditions. Use the Show All button for an easy check whether you have left some time points in the "low state".

Loading and saving GLM reference functions

You save and load GLM (multi-predictor) reference functions the same way as normal correlation reference functions using the File menu of the GLMSS dialog. Saving of GLM reference functions is important if you want to analyze multi-study or multi-subject designs since the GLM Multi tool requires the specification of a set of single-study GLM reference functions.

Inspecting the predictor reference functions

You may view the reference functions of each defined predictor through clicking the Predictor Spin button in the Predictors option field. Alternatively, you may click the Show All button. Then all defined predictor reference functions will be drawn superimposed using different colors for each predictor (up to three, then same color). [New button later showing all predictor reference functions from top to buttom. This display is called in BrainVoyager the predictor reference function matrix.]

The relation between predictor reference functions and the design matrix

The interactive specification of predictor reference functions is used internally to construct a complete design matrix. The design matrix has one row for each measurement time point and one column for each predictor reference function. Thus, time runs from top to bottom. The design matrix is a transposed version of the predictor reference function matrix which has one row for each predictor and one column for each measurement time point (time runs from left to right, s. fig. ?). There are, however, differences between the design matrix and the regressor reference function matrix. In order to built a complete model, one regressor consisting of 1's for all measurements is included in the design matrix. This explanatory variable estimates the mean value of the voxel time course. If the y-data would be z-normalized, this regressor would not be necessary.

Another difference between the design matrix and the regressor reference functions exists in multi-study/multi-subject designs. First of all, for each study a mean estimating regressor is added consisting of 1's for all time points of a study and 0's for all time points of all other studies.Furthermore, if the option Separate Regressors for each study is used, the regressor reference functions are not appended across studies but new regressors are constructed for each study. All time points belonging to other studies are filled with 0's.

Example

At present, multi-study designs can not be entered interactively. However, you may construct any design matrix yourself with an ASCII editor.

General Linear Model, Multi-Study

The GLM is also the primary tool for analyzing multi-study or multi-subject experiments with BrainVoyager. [More simpler multi-study or multi-subject approaches uses .vtc or 3D map averaging as described in ?.] The GLM multi study analysis tool can be used both with 2D .fmr and 3D .vmr/.vtc functional projects. In order to use the multi-study GLM, the fuctional time course data of the individual studies has to be in spatial register. This prerequisite is given for .vmr/.vtc projects due to Talairach transformation. The 2D .fmr projects on the other hand should only be used for single subject, multi-study projects, e.g., if several measurements are recorded in the same session using the same slice position parameters. Only in this case the usage of 2D .fmr projects makes sense since then the recorded studies are in spatial register (except head movement effects). A typical application of appropriate multi-study .fmr projects are event-related fMRI studies where several separate runs are often recorded in succession (e.g., N x 128 recordings). Of course, those studies can also be analyzed as .vmr/.vtc projects after Talairach transformation.

The basic principle of multi-study GLM analysis is to internally append the time course of each study at each voxel. This is done on the fly after having specified references to all participating studies. Since in multi-study multi-subject designs, the mean level of the signal time course at a voxel differs between studies, a separate predictor for the mean of each study is included automatically in a multi-study GLM model (confound predictors). Since also the variance of voxel time courses may vary strongly between studies, it is recommended to perform z-normalization of the time course of each study prior to fitting the GLM model.

For each included study, a predictor reference function matrix (.rtc file) has to be specified. As with the voxel time courses, the individual reference functions contained in these files are also appended in order to built multi-study predictors. In order to construct predictors for the same conditions, the number and order in which you have defined the single-study predictorsors must match across studies. If in study I you have defined a predictor for condition A and a second predictor for condition B, then you have to define also the first predictor for condition A and the second predictor for condition B in the second study. (This prerequisite is not strictly necessary if you use the Separate Predictors option; the described procedure is, however, recommended also in this case since it will help you in specifying and interpreting GLM map overlays).

The distribution of the respective experimental conditions over time may differ, e.g., each subject of a multi-subject study might have an own randomized order of conditions. This allows to use any complex randomization/balancing scheme and, thus, provides more flexibility than the .vtc averaging approach (see ?) which only works if each study has been performed with exactly the same order of conditions.

Using the GLMMS dialog

If you activate the Analysis->General Linear Model, Multi Study dialog (GLMMS dialog), an empty two-column list box is presented. You may fill this list box with references to the time course data of all studies you want to include as well as with appropriate predictor reference function files. In order to include a study, press the Add... button. Now an Open File dialog appears. The extension of the to be opened file is either set to .vtc or to .fmr depending on whether you have called the GLMMS dialog from a loaded .vmr or .fmr project. Navigate to the folder containing one of the studies you want to include, select the respective file and click the Open button. Now another Open File dialog appears looking for predictor reference function .rtc files. Navigate to the folder containing the appropriate file (which normally will be the same folder selected previously), select the .rtc file and click the Open button.

Now you will see that the first row of the multi-study list box is filled with the names of the selected files. The left column contains the reference to the time course data, the right column contains the predictor reference function file. In order to add more studies, just repeat the described steps as often as necessary. The data of individual subjects will normally be stored in separate folders. Navigate for each study to the appropriate folder. Although you see only the file names without their paths in the GLMMS dialog, the full file names are stored and used internally.An example of a multi-study list box containing three studies is shown in figure ?. If you made an error in selecting studies, you may clear the list box using the Clear button.

Prior to starting GLM analysis, you may check or uncheck the z-Normalisation option. This option is checked as default and this setting is highly recommended (see above). If you want to have separate predictors for each individual study, you may check the Separate Study Predictors option. With this option, separate predictors will be included in the design matrix for each study. This option is useful for easily visualizing the results of individual subjects as well as across subjects and for evaluating regressor x study ineractions (more details in the next Help update).

If you have included all desired studies, you may start GLM analysis through clicking the GO button. You may cancel multi-study GLM analysis through clicking the Cancel button quitting the GLMMS dialog without starting any computation.

Overlay GLM maps

After running a multi-study GLM analysis, the overall result is displayed superimposed onto the loaded .vmr (or .fmr) project. The default display mode consists in visualizing the Multiple Regression value (R value) at each voxel in the same way as the correlation r value after standard correlation analysis. This allows to use the same threshold options etc. as used with overlays of other statistical maps. The R value represents how good the specified full model fits the signal time course at a given voxel. The square of the R value represents the variance explained by the model in relation to the total variance. If you had specified, e.g., two predictor reference functions (predictors A and B), then the statistical R map will show all voxels which are significantly explained by regressor A or B or both.

If you invoke the Analysis->Overlay GLM map dialog, you may select any subset of predictors in order to visualize its contribution. After invoking the dialog, a predictor list box is presented showing all predictors included in the full model (see fig. ?). Each predictor has a colored square to its left. This color is used to differentiate visually the contribution of selected predictors (NOT USED YET). In the first column, a square is shown for each predictor. These squares represent the selection state of a predictor. A predictor may possess one of three selection states: it may be deselected (empty square), it may be selected into set 1 (square filled with ”+” –symbol) or it may be selected into set 2 (square filled with ”-” –symbol). After invoking the dialog, all squares are empty reflecting that no predictor is selected. In order to select a predictor, just click at the respective predictor in the left column (e.g., ”Predictor 2”). When clicking a predictor the first time, the square on the left side is filled with the ”+” –symbol indicating that the predictor is selected into set 1. If you click a predictor for a second time, the ”+” –symbol turns into the ”-” –symbol indicating that the predictor is selected into set 2. If you click a predictor for a third time, the square gets empty reflecting that the predictor is now deselected.

Click as many predictors as you want to include in the visualization process. You may select or deselect all predictors by clicking the Select All or Deselect All button, respectively. If you are ready, click the GO button. A new statistical map is computed and superimposed onto the anatomical data.

Visualization

  1. If you specify only predictors for set 1 (all selected predictors possess the ”+” – symbol), the contribution (roughly the explained variance) of the selected subset of predictors is shown. The color coding scheme represents significance levels as with the overall Multiple correlation value.

  2. If you have specified predictors for both sets, a ”contrast” is computed where the sum of the contributions of set 2 is subtracted from the sum of the contributions of set 1. If the number of predictors in the two sets is unequal, the contributions are weighted appropriately. [Use this option only with ”Pos. Betas”]

  3. If you have specified predictors for both sets and you have checked the 2 Set Color Coding option, the color coding represents the relative contribution of either set. The standard overlay colors (1 – 20) are used. You may change them interactively or load a defined LUT (e.g., try the red_yellow_green.olt). If both predictor sets contribute roughly equally at a voxel, colors with indexes in the range 9-11 will be shown. If one predictor sets contributes strongly wheras the other does not, colors in the range 1-10 will be seen. If predictor set 2 contributes strongly but not set 1, colors 11-20 will be seen. The exact color used depends on the strength of asymmetry between the contributions.

  4. Max predictor coloring using the specified predictor colors. Each selected regressor gets its own color. The predictor with the highest weight determines color. This allows display of many regressors (similar like multi-map overlay which is restricted to two maps in .vtc projects)) [Not ready yet]

Loading and saving GLM maps

The Overlay GLM Map dialog contains a meu to save and load the computed GLM result. Since the computation of a multi-subject GLM analysis takes a substantial amount of time, you should save the result to a file for later use. The GLM map files have the extension .glm. A .glm file contains the description of the full model with all references to the individual studies, the design matrix, the overall R value as well as all predictor weights (beta’s) at each voxel. This as well as some additional information is stored in the .glm files.

Event-related fMRI

also analyzed with the GLM. More details with next Help update.


Surface rendering tools

Surface Tools

The surface module lets you create and manipulate surface reconstructions, e.g. of the head or brain. It is invoked by clicking the Surf module button in the 3D Coordinates tab of the 3D Volume Tools dialog.

TIP The 3D Volume Tools dialog itself appears automatically after loading a 3D volume project (.vmr) file. If you have loaded a .vmr project and the 3D Volume Tools dialog is not visible, you may click 3D Volume Tools... in the Options menu. A fast alternative consists in simply clicking the 3D Volume Tools icon [image] within the Toolbox. This icon operates as a toggle showing or hiding the 3D Volume Tools dialog.

The next sections describe the essential features available in the surface module:

Viewpoint navigation

Loading and saving surface mesh files

Creating surface meshes

Reconstruction with iterative morphing

Surface volume slicing

Direct one-pass reconstruction

Cortex reconstruction I: Segmentation

Cortex reconstruction II: Mesh creation and inflation

Cortex reconstruction III: Cutting and flattening

Cortex reconstruction IV: Surface-based visualization of functional data

Interactive surface to volume mapping

Mesh rendering options

Scene rendering options

Interactive surface to volume mapping

INFO Surface rendering in the Surface Module window is performed using OpenGL which is a powerful graphics library developed by SGI (Silicon Graphics Inc.). OpenGL is now available for most computer platforms.


Quick_access_of_the_main_functions_of_the_surface_tools

Many tools of the Surface Module may be invoked using the Mesh Toolbox. The individual tools are explained in the following sections.

TIP As with the standard Toolbox, you may ”Shift-Click” an icon to invoke a dialog for changing default settings.


Viewpoint navigation

After invoking the Surface module, the 3D Volume Tools dialog will be hidden from view and the Surface Module window appears showing a surface rendering of the 3D letterstring “BrainVoyager”. You see the letterstring from a particular viewpoint. You can use this scene to learn about how to translate and rotate the coordinates of your current viewpoint in 3D space. You will also see 3 axes colored red, green, and blue. The surface module is tightly linked to the 3D data set from which it is invoked. The origin of the coordinate system is the center of the linked 3D data set. As you will see later, the axes do correspond to the Talairach axes if a 3D data set is used which was transformed into Talairach space. The red axis is the x-axis, the green axis is the y-axis and the blue axis is the z-axis. The two halfs of an axis are colored with different brightness reflecting the positive (bright) or negative (dark) direction. If you see the letterstring ”BrainVoyager” from left to right then the positive x-axis (bright red) points out of the screen, the positive y-axis points to the left and the positive z-axis points up.

In order to translate your viewpoint horizontally and vertically

  1. Click anywhere within the window with the left mouse button

  2. Keep the mouse button pressed and move the mouse left, right, up or down.

You will see that the letterstring appears to move in the same direction as your mouse movements. Internally, however, the location (x, y, z coordinates) of the letterstring does not change. What is changed is your viewpoint in 3D space from which you look at the scene containing the letterstring.

NOTE Since the viewpoint changes but not the position of the mesh, it would be more accurate to move the scene in the opposite direction as implemented. When the mouse is moved to the right while holding down the left mouse button, the meshes move to the right. If the viewpoint would move to the right, the scene would be seen to move to the left side. The implemented behavior - viewpoint movemets appear as if the objects are moved - proved to be more convenient

In order to translate your viewpoint in the third (Z) dimension:

  1. Press the CTRL and SHIFT button and keep them pressed

  2. Click anywhere within the window with the left mouse button

  3. Keep the mouse button pressed and move the mouse up and down.

Moving the mouse up will move your viewpoint forward in the X-axis (in the opposite direction as you look on the screen). The letterstring appears to get smaller. Moving the mouse down will move your viewpoint backward in the X-axis (in the direction you look on the screen) and the letterstring appears to get larger.

With the described commands you can move your viewpoint to any point in 3D space but you can not change the viewing direction. The viewing direction is set as default to look along the X axis that is in the direction you look onto the screen. In order to change your viewing direction, you have to rotate the viewpoint around the X, Y and Z axis.

In order to rotate the viewpoint around the Y or Z axis:

  1. Press the SHIFT button and keep it pressed

  2. Click anywhere within the window with the left mouse button

  3. Keep the SHIFT button and the mouse button pressed and move the mouse to the left or right (rotation around Y axis) or up or down (rotation around Z axis).

In order to rotate around the X axis:

  1. Press the CTRL button and keep it pressed

  2. Click anywhere within the window with the left mouse button

  3. Keep the CTRL button and the mouse button pressed and move the mouse to the left or right.

Summary of viewpoint translation and rotation commands:

Translate Y Left mouse button, move left or right

Translate Z Left mouse button, move up or down

Translate X CTRL and SHIFT, left mouse button, move up or down

Rotate Y SHIFT, left mouse button, move left or right

Rotate Z SHIFT, left mouse button, move up or down

Rotate X CTRL, left mouse button, move left or right


Loading and saving surface mesh files

An already existing mesh can be loaded clicking the Meshes -> Load mesh surface... menu item. Then an Open dialog appears looking for files with the extension .SRF. Select a file and press Open. The loaded mesh will appear in the Surface Module window. You may add a mesh to the current scene containing at least one mesh using the Meshes -> Add mesh surface... menu item. If you load more than one mesh they may overlap or fully hide each other, i.e. a reconstructed cortical hemisphere within a head mesh. A helpful command to render such scenes is the Transparency option in the Render Quality dialog which may be invoked using the Meshes -> Rendering options -> Quality menu item.

If you have created a new mesh (see below), you may save that mesh to disk using the Meshes -> Save mesh surface... menu item.


Creating surface meshes

The main goal of the surface module is to provide the ability to create surface reconstructions based on loaded volumetric data. The Surface Module window always keeps a link to the 3D (.vmr) project from which it was called. If, for example, the 3D .VMR project window contains an unsegmented data set of the head of a subject, the Iterative Morphing option of the Surface Module will produce a surface reconstruction of the head.

In the following, the reconstruction of the head of a subject is described followed by explanations about how to slice through a surface representation. The more advanced reconstruction, inflation and flattening of the cortical sheet is described in section ?.

Optional ”cleaning” of the .vmr data set

Prior to applying iterative morphing it is recommended to ”clean” the volume data as described in the section Segmentation tools IV: Cleaning 3D data sets. Cleaning is accomplished through running a Grow region operation with a low intensity threshold (e.g, 60). This marks the voxels belonging to the head but not the noise outside of the head. Use the Use marked button in the Segmentation tab of the 3D Volume Tools dialog to load the marked parts of the volume. This effectively deletes the noise outside of the head. Save the resulting representation, e.g., as nn_clean.vmr.


Creating initial meshes

In order to reconstruct the head of a subject, the iterative morphing algorithm is used which starts from an initial mesh and slowly wraps around the outer boundary of the loaded volume. Iterative morphing is controlled through setting various “force parameters” within the Mesh Morphing and Coloring dialog. These parameters are set to appropriate default values allowing fully automatic reconstruction of the head.

In order to create an initial mesh, click the New Mesh icon [image] in the Mesh Toolbox. A sphere appears centered within the Surface Module window. You may press the Wireframe icon [image] in order to see the edges of the created initial mesh (a recursively tesselated icosahedron approximating a sphere). Click the Gouraud icon [image] to see the mesh again in a shaded version.

In order to reconstruct the boundaries of the loaded volume (e.g., the head of a subject), press the Morph icon [image] in the Mesh Toolbox. You will now see that the initial mesh starts shrinking and finally "wrapping" around the head. The program stops automatically when the head is reconstructed. You can now translate and rotate the viewpoint as described above to inspect the created surface reconstruction. You should also save your mesh to disk.


The_Create_Mesh_dialog

Clicking the New Mesh icon automatically creates an initial mesh of a certain resolution. You may change the default setting by invoking the Create Mesh dialog (see figure below). You can invoke this dialog by clicking the New Mesh icon while holding down the SHIFT button. You may also open this dialog through clicking the Meshes -> Create mesh... menu item.

You may specify in the dialog whether your initial mesh consists of a sphere (default, recommended) or alternatively of a rectangle. The NrOfTriangles list box in the Sphere field allows to chose from one of five sphere resolutions. As the default resolution, 20480 triangles are specified which is appropriate for head reconstructions. Use 81920 triangles for a highly detailed head reconstruction. (Even more triangles are only recommended in the context of cortex reconstructions in combination with the dynamically growing mesh option, see below.) The Radius field is preset to a value large enough to encompass the head in a 1mm x 1mm x 1mm .VMR data set. You may change this value according to your needs. Click OK in order to create the initial mesh representation appearing in the Surface Module window (see figure above)

The Reconstruct button is used to create a surface along the border of a segmented volume (see section Cortex reconstruction).


Reconstruction with iterative morphing

The Mesh Morphing and Coloring dialog

Pressing the Morph icon automatically starts the iterative morphing process with default values for several parameters. You may change the default settings by invoking the Mesh Morphing and Coloring dialog (see figure below). You can invoke this dialog by clicking the Morph icon while holding the SHIFT button. You may also open the dialog through clicking the Meshes -> Surface finding and flattening... menu item.

During each morphing iteration, a translation vector is computed for each vertex of the mesh. The translation vector is determined according to a set of ”forces” which determine the new x, y, z position of a vertex based on the current position. This computation is performed locally which means that only information in the vicinity of a vertex (e.g., position of the neighbors) is used.

The smoothing force. An important force is the smoothing force which lets a vertex move towards the center of the positions of all its nearest neighbors (formula). You may change the strength of this force by editing its Value in the Smoothing force field.


The surface finding force

Another important force is the surface finding force. This force combines two components to compute a translation vector for each vertex. The basic principle of the first component consists in movement of a vertex along the (inverse) surface normal of a vertex. The surface normal of a vertex is a vector of length 1 which points in a direction which is orthogonal to the surface patch around the vertex. Given a sphere as the initial mesh, the vertex surface normals point outward from the sphere in a direction which corresponds to the vector given by the center of the sphere and the x, y, z position of a vertex. If the force value is positive, a sphere shrinks after starting the morphing process since each vertex moves in the opposite direction of the surface normal, thus moving towards the center of the sphere.

To understand the second component in defining surface finding vertex movements it is important to recall that the Surface Module window is linked to the 3D .VMR project from which it was invoked. The x, y, z, coordinates of a vertex of a mesh therefore addresses a corresponding coordinate in the volume data (since the mesh vertices have subvoxel precision, the indexing into the .vmr data set must include appropriate rounding of reel values to int values). The intensity value of the .VMR data set found at the indexed position is the second piece of information which determines the computation according to this force. If the intensity value in the .VMR data set found at the respective coordinates of a mesh vertex is lower than the threshold given in the Find intensity field, the vertex computes a movement towards the opposite of the direction of its current surface normal. Put in other words, if the intensity value at the current position is lower than the threshold value, the vertex is ”moved forward”. If on the other hand the intensity found at the current vertex position is higher than the specified value, a movement towards the direction of the current surface normal is computed which means that the vertex ”moves backward”. If a vertex reaches a position where the intensity changes from a value below to a value above the threshold value in neighboring voxels, the movement is stopped in between with subvoxel precision.

The third force, the Distortion reduction force, is explained in the context of cortex inflation and flattening (see ?). Ist goal is to minimize geometric distortions with respect to the positions of corresponding vertices in another referenced mesh.

All translation vectors computed by the individual forces are finally averaged in order to compute the overall translation vector for each vertex of the current morphing iteration. This porcess repeats for a certain number of cycles which is specified in the NrOfIterations field. There are two other possibilities to interrupt the morphing process before the specified number of iterations is reached. First, you may simply press the ESC button. In this case, the current iteration is completed and then the morphing process is halted. Keep the ESC button down until the cursor icon changes from the hourclass to the standard pointer. Second, there is the Step size stopping crit. criterion. The value of this stopping criterion is compared with the step size (vector length) of each vertex translation: if at the current iteration no vertex is moved more than this value, the iterative morphing process stops. Check the Enable button to activate this criterion or uncheck this option to deactivate this criterion.


Example_of_head_reconstruction_with_iterative_morphing

The following two figures show the reconstruction of the head of a subject using an initial spherical mesh with higher resolution (81920 triangles.

The result after morphing shows that the head representation is much more detailed than in the reconstruction of the same subject shown in the previous section.


Surface volume slicing

You may cut slices through a reconstructed mesh which allows to show intensity data (structural and functional) of the .VMR data set along with the surface representation. Volume slicing is turned on through clicking the TRA Slicing icon [image] , the SAG Slicing icon [image] or the COR Slicing icon [image] in the Mesh Toolbox. These icons operate as toggles. Clicking them a second time removes the slice. You may also press more than one of these buttons to see multiple slices simultaneously (at present, only up to two simultaneous slices are handled correctly).

After clicking on a slicing icon, the mesh is cut at a specific level of the corresponding X, Y or Z dimension showing the volume data at the respective slice inside the surface representation (see figure below). In order to move the cut level, you have to switch from viewpoint navigation mode to slicing mode. Click either the TRA Move Slice icon [image], the SAG Move Slice icon [image] or the COR Move Slice icon [image] in the Mesh Toolbox. Now click the mouse button anywhere within the Surface Module window, keep the button pressed and move the mouse left or right. This moves the cut slice along the respective axis.

If a mesh is cut, one of two possible parts is removed to allow looking "inside" the volume. You may chose which side of the mesh is cut away by clicking the Select Cut Side icon [image] .

In order to view the cutted mesh from another viewpoint, you must return to viewpoint navigation mode. Click the Viewpoint Mode icon [image] in the Mesh Toolbox to allow viewpoint translations and rotations. The selected cut level(s) will not change during viewpoint manipulations.


Direct one-pass reconstruction

Reconstruction of the cortical sheet - two approaches

BrainVoyager offers two methods for the reconstruction of the cortical sheet: Iterative morphing with a dynamically growing mesh and one-pass reconstruction. A prerequisite for the reconstruction of the cortical sheet with both methods is a properly segmented volume representation of a relevant brain region. The two algorithms have the following advantages and disadvantages:

Iterative morphing with dynamically growing mesh

+ High-quality segmentation not necessary

+ Mesh resolution is controllable by the user

- Reconstrution is very slow

Direct one-pass reconstruction

+ Reconstruction is extremely fast

+ Very detailled mesh representation

- High-quality segmentation necessry

- Mesh resolution is not controllable by the user

A weakness of standard iterative morphing without a dynamical growth process (e.g., for the reconstruction of the head as described in previous sections) is that it does not reconstruct deep sulci properly. Although the surface finding force tends to push mesh vertices into sulci, this force is counteracted by the smoothing force which does not allow vertices to move too far away from the position of neighboring mesh vertices. In order to solve this problem, a dynamic mesh approach has been implemented in BrainVoyager. With this algorithm, new vertices and new triangles are invented at those places where vertices "would like to go further" but are not allowed to due to other forces. Although this algorithm solves the ”deep sulci problem”, it has the severe disadvantage to last for a very long time until deep sulci are modelled precisely enough. Furthermore one has to use a rather large smoothing force in order to avoid errors during the iterative reconstruction process.

RECOMMENDATION We recommend to use the one-pass reconstruction algorithm in order to produce high-quality reconstructions of the cortical sheet of a hemishphere, especially if these reconstructions will be used further for cortex inflation and flattening. If only parts of the brain (e.g., the occipital lobe) have to be reconstructed, both methods are appropriate. If you want to have a reconstruction of the brain just for visualization purposes (without a very detailed reconstruction of sulci), the iterative morphing approach without the dynamic mesh option is recommended using a modest mesh resolution. In the latter case you will not get a detailed reconstruction of sulci but you obtain a representation which is precise for any views from outside of the brain and which can be manipulated in real-time on the screen.


Cortex reconstruction I: Segmentation

In the following, the single-pass reconstruction process is described in the context of the reconstruction of the cortical sheet. For this particular task, a number of additional tools are described where necessary.

Projecting the mesh contour into the volume data

It is very helpful to see where a mesh representation is located within the corresponding volume data. One way to see the relation of the mesh with respect to the volume data is to use volume slicing (see section 6.6). Another method is available which directly projects the vertex coordinates of the mesh into the .VMR data set. For this purpose, the floating point mesh coordinates are rounded to the nearest integer values indexing the voxels of the .VMR data set. In order to use the option, select the Meshes -> Surface manipulation options... menu item. In the invoked Surface Manipulation Options dialog click the Project .srf into .vmr button. BrainVoyager then switches automatically to the respective 3D .VMR window. The voxels of the projected mesh representation are colored yellow (intensity value 235) You may navigate as described in section 4.1 through the orthogonal 3D viewing windows. The Project .srf into .vmr tool is very important in the context of cortex reconstruction since it allows to verify through visual inspection whether the current mesh representation runs along a desired region, e.g., the grey/white matter boundary. Since the voxels representing the mesh are colored yellow, you have to click the Reload all button in the Reload functions field of the Segmentation tab of the 3D Volume Tools dialog if you want to remove the yellow colored voxels. This is important if you continue an iterative morphing process using the surface finding force since this force would otherwise “respond” to the yellow voxels.

Iterative morphing with a dynamically growing mesh

(This method is NOT recommended for reconstruction of a hemisphere)

This method is the same as described in section 6.5.2 where it was applied for the reconstruction of the head of a subject. The only difference to this application is that for more complex structures the mesh may be switched into a dynamic grow or dynamic shrink mode or both. Check the Mesh Growth option in the Dynamic mesh field to enable mesh growing; check the Mesh decimation option to enable mesh decimation. You may also specify in the Update every field after how many iterations a new vertex and two triangles are added to the mesh (grow option) or after how many iterations a vertex (two triangles) are deleted (decimation option). If you now run mesh morphing through clicking the GO button, the enabled forces are applied as usual. Additionally, after the specified number of iterations, the mesh grows at the position with the largest edge through dividing that edge. If the decimation option is checked, the smallest edge is determined and removed from the mesh. This process is visualized through coloring added vertices red and coloring positions where vertices were deteted blue. You may reset the mesh to a single color clicking the Reset colors button in the Mesh coloring commands field.

Single-pass reconstruction

As mentioned previously, the single-pass reconstruction algorithm is the method of choice for creating a detailed representation of the cortical sheet with the intention of unfolding and flattening. Although this method is very fast, it requires a careful segmentation of the respective structure. If an appropriate segmentation has been accomplished, the reconstruction process is simply started through clicking the Reconstruct button in the Create Mesh dialog. The resulting mesh representation then appears in the Surface Module window.


Segmentation_of_white_matter

Since a thorough segmentation is a prerequisite of single-pass cortex reconstruction, the most important steps for appropriate segmentation are described here briefly. A more comprehensive description of available segmentation options is provided in section 4.9 “Segmentation tools”. There are several ways to produce good segmentation results. The following steps are recommendations which in most cases work well. Note, however, that the segmentation tools implemented in Brainvoyager can be applied successfully only if high-resolution T1-weighted scans are used possessing homogeneous intensity levels across all three dimensions. Inhomogeneities are easily visible in the 3D .VMR project window as gradients in brightness in the TRA, COR or SAG view. If your 3D data sets possess such inhomogenieties, the region growing operation will not work properly. A crude and time-consuming solution would be to apply region-growing “piecewise” restricting it to several sub-volumes; for each subvolume, different intensity thresholds have to be applied. [At present, new tools are developed to remove inhomogeneities. Simple gradients, i.e. linear signal losses along an axis can be removed already using 16-to-8 bit conversion (see section 4.2 “Standardization of 3D data sets”).] Note, however, that best results are obtained only if the original scans can be acquired free of inhomogeneities. For Siemens scanners, an excellent sequence in this regard is a T1 flash sequence (NAME).

The following description assumes that you want to segment the brain along the boundary of white and grey matter. This proves to be more easy and robust than segmenting somewhere within grey matter. After segmenting along the white/grey matter boundary, it is very easy to let the obtained surface move into grey matter as described in a later section.

TIP If you have transformed your 3D data sets into Talairach space (see section 4.6 “Talairach transformation of 3D data sets”), you can use Talairach masks to speed up the segmentation process.

TIP It is very helpful to load the unsegmented original data set "behind" the actual data set. This is accomplished using the Load button in the 3D-3D alignment field of the Spatial transformations tab. If you now press the F9 button, you can switch back and forth between the modified (i.e. partially segmented) and original (i.e. unsegmented) data set. You can also use the F10 button to toggle between two 3D data sets. The difference between F9 and F10 is that the latter shows a fused image between both 3D data sets. Note that the possibility to toggle between two 3D data sets is currently accessible only via button presses. Toggling between 3D data sets is very helpful to check that automatic segmentation as well as manual editing steps produce correct results.

  1. Sigma filtering. Although this step is not strictly necessay, it improves the subsequent differentiation of gray and white matter. The Sigma filter in effect smoothes tissue without blurring the borders between different types of tissue. This is achieved during filtering by including only those neighboring voxels which possess an intensity level which does not deviate more than a certain range from the intensity level of the current voxel (this is in contrast with, e.g, standard Gaussian smoothing where all neighboring voxels are included to compute the new intensity value of the current voxel). Prior to applying the Sigma filter, you may move the mouse across several voxels of the tissue in question (e.g., white matter) to estimate the respective intensity range (the intensity value of the voxel below the mouse cursor is shown in the status bar). You can also try the default intensity range of 20. After having entered the range criterion, press the Sigma button in the Filter and smoothing field of the Segmentation tab of the 3D Volume Tools dialog. After several seconds, you will see the effect of this filter. You may repeat the filter with the same or different range criterion to improve the result further. You should save the resulting .VMR data set with a new name (e.g., nn_tal_sigma.vmr) before going on. Starting with BrainVoyager 3.2, sigma filtering is fully optimized for computers with multiple processors.

  2. Initial white matter segmentation. Specify “plugs” in the pons and the optical tract so that region growing does not spread into the cerebellum and the eye balls (see section 4.5 “Segmentation tools V: Restricting region growing using plugs”). Start region growing within the white matter of the brain. Use appropriate values for the low and high inclusion value (e.g., low->120, high->170). You may have to repeat this step changing these thresholds until no structures outside of the cerebrum are included. Use the Reload All button to undo false segmentations. The result of this step consists of a partial marking of white matter. You might want to save the result of initial segmentation before going on.

  3. Final white/gray matter segmentation. Use the Expand button to let the labelled portion of the white matter grow until it fully encompasses the white matter. You should use a value of 225 now for the upper intensity threshold (225). If you want to reconstruct not the white/grey matter boundary but a surface within grey matter or at the outer boundary of grey matter, you have to reduce also the value of the minimum intensity threshold appropriately (e.g., change from 120 to 90). Now click the Expand button as often as necessary (2-3 times). You may want to save the result before going on (i.e. nn_white_2.vmr). We recommend to segment along the boundary along the white and grey matter boundary instead intermediate grey matter since in this case the banks of sulci are kept sufficiently apart from each other. If the banks of sulci touch each other, the resulting mesh will have erroneous connections at such positions. (You may remove such points with the drawing tool through the creation of holes between touching borders. This requires, however, a careful inspection of your volume data. One of the next BrainVoyager release might contain automatic routines for avoiding this situation, see dilate feature below).

  4. Labelling of ventricles and subcortical structures. You should also ”fill” the ventricles as well as labelling some ”grey” subcortical structures as ”white matter”. If your 3D data sets are transformed into Talairach space, you may use Talairach masks to segment subcortical structures automatically (see chapter 4.9) After labelling all relevant "white matter" structures with probably different colors, you should change all these colors to a single color representing the overall segmentation result. If you have used, for example the color 235 for the ventricles and the color 240 for the white matter, you can use the Set range button to change the color of all voxels from a value of 235 to a value of 240 (set Min: 235, Max: 235 and New val.: 240 in the Inclusion range field before clicking the Set range button). Use the Set range button also to set all grey values to 0 (Min: 1, Max: 225, New val.: 0). Now every voxel in the data set should be black except those belonging to the segmented "white" matter which should have a single color (240). Using the previously described tool to switch between the working data set and the loaded original data set (F9 button), you can finally check the overall result. You should save the segmentation result (i.e. nn_white_3.vmr) before going on.

  5. Separating left and right hemispheres. In order to obtain a data set for each individual hemishphere you have to specify appropriate subregions. Use the mouse to walk through the data set determining the x coordinate segmenting the left and right hemisphere. You might have to rotate the data set so that a sagittal slice divides the two hemispheres appropriately (if your data set is in Talairach space, this step should not be necessary). Now specify the measured x-value within the Segmentation tab of the 3D Volume Tools dialog (e.g., 0 - 128). Set the New val: value in the Inclusion range field and click the Set Region button. This operation removes any tissue inside the specified volume. Save the resulting file (e.g., nn_white_lh.vmr). Now reopen the file containing the segmented white matter of both hemispheres. Select the region containing the other hemisphere (e.g., 129 - 256). After clicking the Set Region button, save the resulting data set to disk (e.g., nn_white_rh.vmr).

  6. Border smoothing. Load the .VMR data set of one of the two hemispheres which should have a single color (i.e. blue, value 240, see figure above). Click the Dilate Border button once in the Segmentation tab of the 3D Volume Tools dialog. This thickens the white matter boundary slightly in order to remove small holes within the segmentation and to smooth the boundary. This operation takes care that the border is not dilated if this would lead to connections across banks of sulci. Now click the Smooth Border button. This option smoothes and marks the outer border of the volume data and it slightly thins the segmentation..A smooth outer boundary of the segmentation is important since the subsequent reconstruction will be more accurate. You may apply border smoothing repeatedly in order to further smooth the outer border (2-4 times).You may also mark the outer border without smoothing at any time by clicking the Mark Border button. This option is, however, rarely necessary. The outer border is always marked with color 235 (yellow). (Alternative method to produce a smooth outer boundary: Gaussian smoothing plus region growing).

  7. Final preparation for reconstruction. Now click the Clear for Rec. button in the Segmentation tab of the 3D Volume Tools dialog. This option guarantees that the subsequent reconstruction process creates a valid 2D surface (e.g., without ”moebius bands”). This step is a necesssary prerequisite of cortex reconstruction. You may want to save the resulting representation (e.g., nn_lh_recons.vmr).

  8. One-pass reconstruction. Invoke (or switch) to the Surface Module window clicking the Surf module button in the 3D coordinates tab of the 3D Volume Tools dialog. Invoke the Create Mesh dialog either through using the Meshes -> Create surface mesh... menu item or through "shift-clicking" the Create Mesh icon. Now click the Reconstruct button invoking the single-pass surface reconstruction process.


Cortex reconstruction II: Mesh creation and inflation

The initial reconstruction of the outer border of the corresponding .vmr data set appears after a few seconds in the Surface Module window. The mesh will look very ”blocky” (see figure below) since each outer side of voxels of the grey/white matter boundary is tesselated as a small 1mm x 1mm square (each square is further divided into two triangles). In order to remove the blocky appearence of the initial mesh, several corrective smoothing iterations should be applied.


Corrective_smoothing_of_the_reconstructed_surface

Invoke the Mesh Morphing and Coloring dialog. You may observe that after the single-pass reconstruction process many parameters of this dialog have new default values. You can simply use these settings or change them accoringly. The Smoothing option is checked which ensures that only the smoothing force will have an effect but not the surface finding force or the distortion reduction force. If you uncheck this option, you should specify a value of 0 in the Surface finding force edit box as well as in the Distortion reduction force edit box to ensure proper smoothing. A value of 0.07 has been set as default for the smoothing force. Check the Curvature coloring option in the Morphing control parameter field to get a coloring according to local surface curvature (different color for convex and concav curvature). Start mesh smoothing by clicking the GO button. You should see now that the blocky appearance of the mesh is replaced more and more with a smooth surface representation (see figure below). Corrective smoothing stops automatically after 150 iterations if you have not changed this value in the NrOfIterations edit box. If you decide to use all default settings you need not enter the dialog. Instead you simply click the morphing icon to start corrective smoothing.


Cortex_inflation

Cortex inflation uses two forces, corrective smoothing and (optionally) the length distortion force which minimizes geometric distortions during inflation and unfolding. In order to apply the length distortion force, a mesh of the folded cortex must exist which serves as the reference for all future morphed versions of that mesh. You may save the smoothed representation obtained in the previous step for this purpose (e.g., nn_lh_1_ref.srf). In its simplest form, cortex inflation may be executed by applying only the smoothing force for several hundred iterations. You should set the value of the smoothing force between 0.4 - 0.8. Start with a value of 0.4 or 0.5 for 100-200 iterations and then set the smoothing force value to 0.8. With this value run approximately 300-500 iterations to fully inflate the hemisphere. You should save the resulting mesh to disk (e.g., nn_lh_inflated.srf). Of course you can also save any intermediate (partially inflated) versions. An example of a partially inflated aurface is shown below..

The described simple approach to inflation is quite fast and easy to apply but it has one drawback: The mesh reduces its overall size during inflation, e.g., the overall area of the surface shrinks. The distortion reduction force may be enabled to prevent this type of mesh shrinkage. You should, however, use a small value for the distortion reduction force, e.g., a value between 0.01-0.05. If the distortion reduction force is too strong, errors may appear in the mesh. If you want to mimimize local geometric distortions with respect to the geometry of a (folded) reference mesh, you have to specify an appropriate messh.


Linking a folded reference mesh to a morphed mesh

Check the Use informations from file: button in the Mesh Morphing and Coloring dialog. This will activate a File Open dialog. Select the mesh which you want to use as the reference mesh (e.g., nn_lh_1_ref.srf). The selected file is now linked to the current mesh. Note, that the referenced mesh must have the same amount of vertices as the current mesh visible in the surface module window.

In order to use the linked mesh for reducing geometrical distortions, you also have to check the Use referenced mesh button. If this option is checked, the distances between the vertices of the linked mesh are used as target values to be retained during inflation and unfolding as good as possible for the distances between the vertices of the current mesh. If the Use avg length button is checked instead, the average distance between vertices of the current mesh itself serves as the reference for all pairwise distances.

If you have specified to use the distortion reduction force in combination with a linked mesh, inflation of the folded mesh is performed while minimizing geometrical distortions with respect to the local geometry of the linked mesh. The area of the resulting partial and fully inflated meshes should be comparable to the area of the linked folded mesh and it should have similiar geometric properties (e.g., edge lengths, angles). During the inflation process, several diagnostic overall measures of geometric correspondency betweeen the current mesh and the linked reference mesh are shown in the status bar.


Removing_errors_in_the_surface_representation_of_a_cortical_hemisphere

Even in the case of a good segmentation of a hemisphere, the reconstructed surface may have a few errors which in most cases consist of connections between banks of sulci. Such errors should be rare. Typically we observe between 0-5 such errors after reconstructing a hemisphere. If there are more problematic regions in your surface, you should consider to improve your overall segmentation. In the standard case of only a few errors, you can detect and correct them easily. The general recommended approach consists in a) detecting the errors in the mesh through visual inspection but b) correcting the cause of errors in the corresponding positions in the volume data. If all errors are detected and removed, a new reconstruction process is started.

Errors in the surface are more easily visible if the mesh is already partially inflated. Therefore we recommend to run ca. 200 inflation iterations with a smoothing force of 0.5 - 0.8 before inspecting the mesh for errors. To detect errors, use the viewpoint translation, rotation and zoomng commands to inspect all parts of the mesh. If an error is detected (see e.g., figure), switch to the MapSurfToVMR mode through clicking this [image] icon in the Mesh Toolbox. Now click onto the respective problematic region in the surface. This will move the red cross in the 3D .VMR winow to the position in the 3D data set which corresponds to the selected position on the surface mesh. Note that this mapping from a point of the surface to a voxel in the 3D data set works correctly only if you use a non-inflated mesh. If the mesh is already (partially) inflated (as was recommended to detect errors more easily), the selected position in the 3D .VMR window will not be correct since the positions of the vertices of the mesh have changed during inflation. In order to select the correct position in the 3D data set, you must have established a link to the (smoothed) folded version of the inflated mesh.

If you have clicked at an erroneous location in the surface mesh being in MapSurfToVMR mode, switch to the 3D .VMR window. The red cross marking the current voxel will be now positioned at the corresponding location in the segmented volume data. It should be easy to detect the cause of the error i.e. a connection between banks of a sulcus (see figure ? for an example). You can correct such an error with the drawing tool. Simply delete the voxel or voxels which wrongly connect banks of sulci. Some errors might also require to add a voxel i.e. if there is no white matter where it should be. Note that you can use the F9/F10 toggle to see precisely the intensity value of the deleted (or added) voxels. Repeat this process for each detected error. Now set all white matter voxels to the segmentation color, i.e. 240 using the Set range button. Then click the Clear for rec. button. You should save now the slightly changed white matter segmentation replacing the old file. Now repeat the earlier described surface reconstruction steps. You should now have an error-free surface mesh. If not, you would have to run again through the steps described in this section.


Cortex reconstruction III: Cutting and flattening

A fully inflated representation of a hemsphere (see figure above) is a prerequisite for using the very fast and robust unfolding procedure implemented in BrainVoyager. Prior to flattening an inflated hemisphere, appropriate cuts have to be made to allow the surface to unfold properly. Surface cuts are accomplished using the Cut Mesh tool which is invoked by clicking the Cut Mesh icon [image] in the Mesh Toolbox. Note, that this icon has to be clicked again to exit cut mode. After activating the cut mesh tool, click with the left mouse button on the surface at a point where you want to begin a cut (cut start point). The region surrounding this point should appear in red color (you may have to wait a short moment until the mesh is redrawn to see the effect). Now click with the left mouse at another position defining the end point of a cut (cut end point). The program connects the start point with the end point automatically. Each individual cut, thus, consists of the successive definition of a start point and an end point. In order to perform a large curved cut, you may define the full cut as a set of shorter cuts. In this case, the end point of cut n must be also the start point of cut n+1. With a set of successive cuts, you are also able to define a closed region. This is important to remove e.g., subcortical structures below the corpus callosum (see figure below).

If you have defined a closed region, you can delete the interior easily by clicking the Floodfill Mesh tool which is enabled through clicking the respective icon [image] in the Mesh Toolbox. After enabling floodfill mode, you must click in the interior of a closed region. BrainVoyager uses the selected point as the seeding source from which deletion marking (red color) is spread across the mesh until it reaches the previously marked boundary. The figure above depicts a mesh after having started a floodfill below the corpus callosum. The deletion area is shown in red as long as either the Cut Mesh tool or the Floodfill mesh tool is enabled. The deleted surface area is not visible if these tools are disabled.


Cuts_in_the_reconstructed_surface

The figure below shows a number of additional (i.e. 5-7) cuts running radially outward from the deleted subcortical structures towards the medial/lateral border. These or similar cuts are necessary to reduce distortions during unfolding. The cuts are defined in the same way as described in the previous section. It is recommended to cut to a certain extent across the medial/lateral border (see figure below) since this will reduce geometric distortions during unfolding.


Defining unfolding fields

After having defined all radial cuts (see figure above), there are two ways to proceed. The fastest method would be to project now the surface into the y-z plane and then immediately start the unfolding process. The unfolding technique used in this case, is to move the ”back side” (partial surface visible from a medial view) radially outward to the ”front side” (partial surface visible from a lateral view). Each vertex of the back side would receive automatically an unfolding force driving it radially outward from the center of the surface towards the medial/lateral border. If a vertex reaches this border, it is ”flipped” to become part of the front side of the mesh. Although this procedure works often very well, the results are not ideal with respect to geometric distortions. Therefore we recommend the following slightly different procedure.

The difference of the superior technique consists in first defining separate unfoding fields for each partial surface between two cuts (see figures below). Each unfolding field then is assigned to an unfolding vector which defines the direction of unfolding for each vertex of the corresponding unfolding field. This technique leads to very good unfolding results within only 250 – 350 unfolding interations. The definition of unfolding fields works the same way as described previously for cutting closed regions. The only difference is that you must first switch from cutting mode to coloring mode. Select the Floodfill options... menu item in the Meshes menu to invoke the Region Deletion and Coloring Options dialog shown above. You will see that the Delete mode button is checked as default. To enter coloring mode simply check the Coloring mode button. It is important that each unfolding field receives ist own color index which can be specified in the Fill index field. For the first unfolding field, use a fill index 1, for the second unfolding field, use index 2 and so on. Each fill index has default colors for convex and concave surface regions. These colors are defined as RGB-values (each with range 0-255). You can simply use the predefined colors or change them according to your needs.

Quit the Region Deletion and Coloring Options dialog after having switched to coloring mode and after having selected the first fill index. Now enter cut mode through clicking on the respective icon in the Mesh toolbox. Note that the cut tool as well as the floodfill tool now operate in coloring mode. This means that no area is deleted but simply assigned a certain coloring. Besides its use in defining unfolding fields, this feature can be used to coloring regions of interest, i.e. lobes or gyri. To define an unfolding field, simply click close to the endpoint of one cut and then close to the endpoint of a neighboring cut. As with cutting, the selected points are connected automatically as shown in the figure above. The figure shows a zoomed top view of a hemisphere. If two cuts are far apart, you can use a series of click-pairs to connect one cut with a neighboring cut. You may also have to zoom into the vicinity of the endpoint of a cut to select a vertex close to (but not on) a cut.

After having connected two neighboring cuts with the first color index, you can fill the interior using the floodfill tool. Click the respective icon in the Mesh toolbox and then click into the interior of the defined area. This area is bounded through the two radial cuts, the marked connection of the endpoints of these cuts and the cutted region on the medial side. The bounded region is then filled with the color specified by the selected fill index (see figure above). It is recommended to save some intermediate steps. In case of an error (i.e. color spreading outside of a not completely closed area), you can simply reload the last state and proceed.

After having defined one unfolding field, proceed with the next pair of neighboring cuts. First you have to select the second fill index in the Region Deletion and Coloring Options dialog. If you omit this step, you can not specify two independent unfolding vectors to the marked fields. In the case of five radial cuts, you should end up with a state similar to the one shown in the upper figure. Between each pair of radial cuts, another fill index was used to define separate unfolding regions.


Projecting the cortical hemisphere in the y-z plane

Prior to starting the unfolding process, the surface is projected into the y-z plane. This produces a 2D representation of a hemisphere where some regions belong to the front side (visible in a lateral view) and other regions belong to the back side (visible in a medial view). Invoke the Surface Manipulation Options dialog (see figure below) through clicking the Meshes->Surface manipulation options... menu item.

Check the X axis option in the Project mesh on field. Now click the OK button. This command results in setting the x coordinate of each vertex of the mesh to an identical value, thus removing one dimension completely. This value can be set in the axis coord: edit box. It is preset to 128 corresponding to the midsagittal plane if the data set had been tranformed into Talairach space. You might not easily see that the surface is now two-dimensional since the surface normals which determine shading still are oriented as before. If you rotate the mesh around the z-axis you will, however, realize that the mesh is two-dimensional. If you apply later at least one morphing iteration, the surface normals will be recomputed and wil point to a direction orthogonal to the surface. Then the 2D nature of the surface will be easily visible.


Defining and visualizing the unfolding vectors

For each colored unfolding field, an unfolding vector can be defined which determines the direction of unfolding for the respective vertices. To visualize and to define these unfolding vectors, invoke the Mesh Morphing and Coloring dialog. Click the Options button to invoke the Morphing and Coloring Options dialog. Within the Flattening field there is the Color index unfolding vectors field for specification of the unfolding vectors (see figure below).

Check the Show vectors option to visualize the unfolding vectors. The unfolding vectors are drawn as spheres roughly in the middle of each unfolding field (see figure below). The unfolding vectors initially point to some default directions shown as a line emanating from each sphere. These directions have to be changed in such a way that the unfolding vector of an unfolding field points roughly orthogonal to the medial / lateral border of that particular unfolding field (see figure below for an example). To select one of the unfolding vectors, use the Color index edit box / spin button. Then change the y and z direction component field accordingly. To see the effect of your change, click the Update button (You need not change the x component of an unfolding vector; the x component is ignored in the present version of the program). The relative size of the entered values for the vector components define the direction of the vector whereas the magnitude of the vector [sqrt(y*y + z*z)] determines the step size for each unfolding morphing iteration. We recommend strongly that the value of a component should not be larger than ± 0.1. It is advisable to set the y or z component to 0.1 (or –0.1) and then set the other component to an appropriate value between (0.0 – ±0.1).

For regions not marked with a color, unfolding establishes a force at each vertex of the medial side driving the vertices radially outward. The center point for this outward motion is defined in the x, y, z edit boxes of the Unfolding center: field in the Flattening field. The unfolding center is preset to an appropriate position in the (cut) subcortical structures if your data set had been transformed to Talairach space. Otherwise you might have to change this value. Although simpler, the radially outward moving approach is not recommended. The unfolding vector approach is generates better results with much less geometric distortions. Make sure to check the Enable option in the Color index unfolding vectors field to activate usage of the unfolding vector approach.


Unfolding the surface

The next step consists of unfolding the back side (visible in a medial view) to the front side (visible in a lateral view) of the mesh representing a cortical hemisphere. Depending on the hemisphere, you might have to check the Pos. X as front option or the Neg. X as front option in the Flattening field. The positive x axis can be recognized as the bright red colored line whereas the negative x axis is represented with the dark red colored line (you may enable or disable showing of the axes through pressing the ‘A‘ button). The Pos. X as front option is checked as default which is correct for a right hemisphere (radiological convention). In order to unfold a left hemisphere, you have to check the Neg. X as front option. Click the OK button to close the Morphing and Coloring Options dialog.

In the Mesh Morphing and Coloring dialog check the Unfolding mode option in the Morphing forces field. The value of the smoothing force in the Mesh Morphing and Coloring dialog should be finally set to a high value, e.g., 0.5. Click GO to start the unfolding process. You will observe that those vertices reaching the medial / lateral border are switched from the ”back” side to the ”front” side. The figure above shows the medial (back) side of the mesh of a cortical hemisphere after 50 unfolding iterations. The figure below shows the same state of the mesh now looking at the front side.

You may interrupt unfolding at any time through pressing the ESC button. It is best to observe the unfolding process from a medial viewpoint. You can then see how the vertices of the medial side slowly ”disappear” at the medial / lateral border to become front side vertices.. The unfolding process typically requires around 250-350 iterations until the ”back” side has disappeared completely. The figure below shows a medial view of a hemisphere just a few iterations before the unfolding process has been completed.

If you rotate the surface to inspect the front side when unfolding is complete, you will see the fully unfolded surface as shown in the figure below. In this figure, the Curvature button was clicked in the Mesh Morphing and Coloring dialog to show the gyral / sulcal patterning across the flattened surface. (Note, that a link to the reconstructed and smoothed folded version of the mesh has to be established.)

Although now the surface is fully unfolded, there might be some substantial geometric distortions. To visualize geometric distortions, click the Length distor. button in the Mesh Morphing and Coloring dialog. Geometric distortions are visualized using a blue to green color scale. Surface patches colored blue do not possess any geometric distortions whereas surface patches colored light green possess severe geometric distortions. The figure below visualizes geometric distortions after unfolding has been completed.

In order to reduce these distortions, invoke the Mesh Morphing and Coloring dialog and deselect the Unfolding mode option. Establish a link to the smoothed folded version of the hemisphere using the Use informations from file: option..Specify a smoothing force value between 0.5 and 0.8. Check the Use referenced mesh option and specify a distortion reduction force of 0.01. Check the Inflation mode option which ensures that the surface finding force does not has any effect. (Alternatively, you might deselect all mode options if you set the surface finding force to 0.) Now click the Go button to start reduction of geometric distortions. After 50-100 iterations you can set the distortion reduction force to 0.02. Again run ca. 100 iterations and then change the distortion reduction force to 0.03. Repeat this process until the distortion reduction force is between 0.05 and 0.1. You will have now a surface with greatly reduced geometric distortions (typically below 15%). The figure below shows the same surface as before after 600 geometric distortion reduction iterations. Note that the bright green colored regions of the previous image has been changed to dark green or light blue colors reflecting the reduction of geometric distortions.

Click the Curvature button in the Mesh Morphing and Coloring dialog to visualize the gyral / sulcal pattern of the surface (see the figure below). Save the resulting mesh, e.g. as nn_lh_flat.srf.


Mapping from surface points to corresponding voxels in the 3D .VMR data set

If you have established a link to the smoothed folded version of the flattened hemisphere, you can now use the MapSurfToVMR mode as described previously to map from points of the surface to voxels in the volumetric .VMR data set. Click the respective icon in the Mesh Toolbox. Then click onto any part of the surface. This will move the red cross in the 3D .VMR winow to the position in the 3D data set which corresponds to the selected position on the surface mesh. You may also arrange the surface and the .VMR window side by side as shown in the figure below.


Creating a folded grey matter reference mesh

If you have reconstructed the white / grey matter boundary but you want to have a mesh which represents intermediate grey matter (e.g., estimated cortical layer IV), you can let the surface mesh move away from the white/grey matter boundary into the grey matter. This step is optional and it requires closing the current 3D data set. The reason is that you have to have a data set possessing grey matter which was of course removed during white matter segmentation. Make sure to save the current mesh and then close the Surface module window as well as the current 3D data set (which is assumed to be the data set containing the white matter segmentation for a hemisphere). Now load a data set of the brain or the hemisphere which still possesses the grey matter, i.e. the inital Talairach file or a filtered version of it (e.g., nn_tal_sigma.vmr). If you have loaded a data set with both hemispheres, you can use the Set Region button to remove the non-interesting hemisphere as described previously although this step is not strictly necessary. Now invoke the surface module and then the Mesh Morphing and Coloring dialog. In the Find intensity edit box of the Surface finding force field enter an intensity value which is just a bit below the intensity value range of the grey matter (e.g., 1000). Specify a small value in the Value edit box for the surface finding force, e.g., 0.03. Use the same or a slightly higher value for the smoothing force (e.g., 0.05 – 0.07). Set the value for the distortion reduction force to zero. Now apply several (ca. 100) morphing iterations. To control from time to time where the surface is located with respect to the .VMR data, use the Project .srf into .vmr tool as described in section 6.8.1. If you are satisfied with the representation (an example is shown in the figure below) run several (i.e. 100) pure smoothing iterations prior to saving the result to disk (e.g., nn_lh_grey_ref.srf ).


Cortex reconstruction IV: Surface-based visualization of functional data

You first have to load (or compute) a 3D map or a GLM file specifying a contrast. As described in chapter ?, the statistical map is shown superimposed onto the anatomical .VMR data set. In order to see the functional data on the reconstructed cortex, you have to invoke the Mesh Morphing and Coloring dialog. Click the Read Func button. You will then see the color-coded statistical data superimposed onto the current mesh. You may change the Min, Max statistical map values as usual but you then have to press the Read Func button again. Note that when you change these parameters, you should first remove the functional data from the surface using the Reset colors button. If you have established a link to the folded reference mesh, you may also use the Copy from ref button which copies on a vertex-by-vertex basis the coloring of the linked mesh to the present version of the mesh. The Read Func option copies any kind of statistical map onto the surface representation including standard maps reflecting significance, cross-correlation maps and GLM based multiple predictor maps. This function works with the reconstructed (see figure below), inflated or flattened cortex. In the latter cases, do not forget to establish a link to the folded version of the mesh.

The Read Func process works similar as the Project Mesh into VMR function. Each vertex of the mesh insprects a corresponding voxel in the .VMR data space (with interpolation from float vertices to integer voxels). Instead of reading the intensity value, it looks at the statistical value for that voxel in the loaded or computed 3D map. This value is transformed into the appropriate color code which finally determines the color of a mesh vertex. If the map value is below the current statistical threshold, the vertex does not change it‘s color.


.topic 0x3553
 Closes this dialog and saves any changes you have made.

.topic 0x3555
 Enter your input in this field.

.topic 0x3556
 Use the arrows to select your preferred value.

.topic 0x3557
 Enter your input in this field.

.topic 0x3558
 Use the arrows to select your preferred value.

.topic 0x3559
 Enter your input in this field.

.topic 0x355a
 Use the arrows to select your preferred value.

.topic 0x355b
 Click this button to make your choice.

.topic 0x355c
 Click this button to make your choice.

.topic 0x3560
 Check your desired options.

.topic 0x3561
 Check your desired options.

.topic 0x3562
 Check your desired options.

.topic 0x3564
 Click this button to make your choice.

.topic 0x356a
 Enter your input in this field.

.topic 0x356b
 Use the arrows to select your preferred value.

.topic 0x356c
 Enter your input in this field.

.topic 0x356d
 Use the arrows to select your preferred value.

.topic 0x356e
 Enter your input in this field.

.topic 0x356f
 Use the arrows to select your preferred value.

.topic 0x3570
 Enter your input in this field.

.topic 0x3572
 Enter your input in this field.

.topic 0x3573
 Use the arrows to select your preferred value.

.topic 0x3574
 Enter your input in this field.

.topic 0x3575
 Use the arrows to select your preferred value.

.topic 0x3576
 Enter your input in this field.

.topic 0x3577
 Use the arrows to select your preferred value.

.topic 0x3578
 Enter your input in this field.

.topic 0x3579
 Use the arrows to select your preferred value.

.topic 0x357a
 Enter your input in this field.

.topic 0x357b
 Use the arrows to select your preferred value.

.topic 0x3580
 Select your preferred option.

.topic 0x3581
 Select your preferred option.

.topic 0x3587
 Enter your input in this field.

.topic 0x3588
 Enter your input in this field.

.topic 0x358c
 Enter your input in this field.

.topic 0x358e
 Enter your input in this field.

.topic 0x358f
 Use the arrows to select your preferred value.

.topic 0x3590
 Check your desired options.

.topic 0x3591
 Check your desired options.

.topic 0x3592
 Check your desired options.

.topic 0x3596
 Use the arrows to select your preferred value.

.topic 0x3598
 Click this button to make your choice.

.topic 0x3595
 Enter your input in this field.

.topic 0x359a
 Choose an item from the list.

.topic 0x359b
 Check your desired options.

.topic 0x359c
 Click this button to make your choice.

.topic 0x359d
 Click this button to make your choice.

.topic 0x359e
 Click this button to make your choice.

.topic 0x359f
 Click this button to make your choice.

.topic 0x35a4
 Enter your input in this field.

.topic 0x35a5
 Use the arrows to select your preferred value.

.topic 0x35a6
 Enter your input in this field.

.topic 0x35a7
 Use the arrows to select your preferred value.

.topic 0x35a8
 Enter your input in this field.

.topic 0x35a9
 Use the arrows to select your preferred value.

.topic 0x35aa
 Click this button to make your choice.

.topic 0x35ab
 Check your desired options.

.topic 0x35ac
 Enter your input in this field.

.topic 0x35ae
 Check your desired options.

.topic 0x35af
 Choose an item from the list.

.topic 0x35b0
 Click this button to make your choice.

.topic 0x35b1
 Click this button to make your choice.

.topic 0x35b2
 Check your desired options.

.topic 0x35b4
 Click this button to make your choice.

.topic 0x35b6
 Click this button to make your choice.

.topic 0x35b8
 Enter your input in this field.

.topic 0x35ba
 Enter your input in this field.

.topic 0x35bb
 Enter your input in this field.

.topic 0x35bc
 Enter your input in this field.

.topic 0x35c0
 Enter your input in this field.

.topic 0x35c1
 Select your preferred option.

.topic 0x35c2
 Select your preferred option.

.topic 0x35c6
 Enter your input in this field.

.topic 0x35c8
 Enter your input in this field.

.topic 0x35ca
 Enter your input in this field.

.topic 0x35cb
 Enter your input in this field.

.topic 0x35cc
 Enter your input in this field.

.topic 0x35cd
 Enter your input in this field.

.topic 0x35ce
 Check your desired options.

.topic 0x35cf
 Enter your input in this field.

.topic 0x35d0
 Drag the slider to select your preferred value

.topic 0x35d1
 Enter your input in this field.

.topic 0x35d3
 Click this button to make your choice.

.topic 0x35d4
 Enter your input in this field.

.topic 0x35d5
 Enter your input in this field.

.topic 0x35d6
 Enter your input in this field.

.topic 0x35d7
 Enter your input in this field.

.topic 0x35d8
 Check your desired options.

.topic 0x35d9
 Check your desired options.

.topic 0x35da
 Check your desired options.

.topic 0x35db
 Click this button to make your choice.

.topic 0x35e2
 Click this button to make your choice.

.topic 0x35e3
 Check your desired options.

.topic 0x35e5
 Enter your input in this field.

.topic 0x35e7
 Enter your input in this field.

.topic 0x35e8
 Click this button to make your choice.

.topic 0x35e9
 Click this button to make your choice.

.topic 0x35ea
 Click this button to make your choice.

.topic 0x35ed
 Click this button to make your choice.

.topic 0x35ee
 Click this button to make your choice.

.topic 0x35f0
 Check your desired options.

.topic 0x35f1
 Check your desired options.

.topic 0x35f2
 Click this button to make your choice.

.topic 0x35f3
 Click this button to make your choice.

.topic 0x35f4
 Click this button to make your choice.

.topic 0x35f7
 Enter the number of slices constituting an anatomical or 3D project.

 For a functional project, enter the number of measured slices here and additionally enter the number of repeated measurements in NrOfVolumes.

.topic 0x35f9
 Enter your input in this field.

.topic 0x35fb
 Enter your input in this field.

.topic 0x35fd
 Enter your input in this field.

.topic 0x35ff
 Enter your input in this field.

.topic 0x3601
 Enter your input in this field.

.topic 0x3611
 Click this button to make your choice.

.topic 0x3612
 Closes this dialog without saving any changes you have made.

.topic 0x360e
 Check your desired options.

.topic 0x360f
 Check your desired options.

.topic 0x3610
 Check your desired options.

.topic 0x360c
 Click this button to select the first file of your project.

.topic 0x3609
 Choose an item from the list.

.topic 0x360b
 Check your desired options.

.topic 0x3603
 Enter your input in this field.

.topic 0x3605
 Enter your input in this field.

.topic 0x3615
 Check your desired options.

.topic 0x3617
 Enter your input in this field.

.topic 0x3619
 Enter your input in this field.

.topic 0x3607
 Enter your input in this field.

.topic 0x360a
 Check your desired options.

.topic 0x361c
 Click this button to make your choice.

.topic 0x361b
 Enter your input in this field.

.topic 0x3613
 Click this button to make your choice.

.topic 0x361f
 Enter your input in this field.

.topic 0x3621
 Closes this dialog and saves any changes you have made.

.topic 0x3622
 Closes this dialog without saving any changes you have made.

.topic 0x3623
 Enter your input in this field.

.topic 0x3624
 Enter your input in this field.

.topic 0x3625
 Enter your input in this field.

.topic 0x3626
 Enter your input in this field.

.topic 0x362b
 Check your desired options.

.topic 0x362d
 Click this button to make your choice.

.topic 0x362e
 Click this button to make your choice.

.topic 0x362f
 Click this button to make your choice.

.topic 0x3630
 Click this button to make your choice.

.topic 0x3631
 Click this button to make your choice.

.topic 0x3632
 Click this button to make your choice.

.topic 0x3633
 Enter your input in this field.

.topic 0x3634
 Enter your input in this field.

.topic 0x3635
 Enter your input in this field.

.topic 0x3636
 Enter your input in this field.

.topic 0x3637
 Enter your input in this field.

.topic 0x3638
 Enter your input in this field.

.topic 0x3639
 Enter your input in this field.

.topic 0x363a
 Enter your input in this field.

.topic 0x363b
 Use the arrows to select your preferred value.

.topic 0x3641
 Choose an item from the list.

.topic 0x3644
 Check your desired options.

.topic 0x3645
 Check your desired options.

.topic 0x3653
 Check your desired options.

.topic 0x3656
 Check your desired options.

.topic 0x3657
 Enter your input in this field.

.topic 0x3658
 Check your desired options.

.topic 0x3659
 Check your desired options.

.topic 0x365a
 Click this button to make your choice.

.topic 0x365b
 Check your desired options.

.topic 0x365c
 Enter your input in this field.

.topic 0x365d
 Click this button to make your choice.

.topic 0x365e
 Click this button to make your choice.

.topic 0x365f
 Click this button to make your choice.

.topic 0x3660
 Enter your input in this field.

.topic 0x3661
 Enter your input in this field.

.topic 0x3663
 Click this button to make your choice.

.topic 0x3667
 Click this button to make your choice.

.topic 0x3668
 Click this button to make your choice.

.topic 0x3669
 Click this button to make your choice.

.topic 0x366a
 Click this button to make your choice.

.topic 0x366b
 Enter your input in this field.

.topic 0x366e
 Select your preferred option.

.topic 0x366f
 Select your preferred option.

.topic 0x3670
 Select your preferred option.

.topic 0x3671
 Choose an item from the list.

.topic 0x3675
 Click this button to make your choice.

.topic 0x3676
 Click this button to make your choice.

.topic 0x3677
 Click this button to make your choice.

.topic 0x3678
 Click this button to make your choice.

.topic 0x3679
 Click this button to make your choice.

.topic 0x367a
 Choose an item from the list.

.topic 0x367b
 Enter your input in this field.

.topic 0x367d
 Closes this dialog and saves any changes you have made.

.topic 0x367e
 Closes this dialog without saving any changes you have made.

.topic 0x3680
 Select your preferred option.

.topic 0x3681
 Select your preferred option.

.topic 0x3682
 Select your preferred option.

.topic 0x3683
 Click this button to make your choice.

.topic 0x3685
 Enter your input in this field.

.topic 0x3687
 Enter your input in this field.

.topic 0x3689
 Enter your input in this field.

.topic 0x368b
 Enter your input in this field.

.topic 0x368d
 Enter your input in this field.

.topic 0x368f
 Enter your input in this field.

.topic 0x3691
 Enter your input in this field.

.topic 0x3693
 Enter your input in this field.

.topic 0x3695
 Enter your input in this field.

.topic 0x3697
 Enter your input in this field.

.topic 0x3699
 Enter your input in this field.

.topic 0x369b
 Enter your input in this field.

.topic 0x369d
 Enter your input in this field.

.topic 0x369f
 Enter your input in this field.

.topic 0x36a1
 Enter your input in this field.

.topic 0x36a3
 Enter your input in this field.

.topic 0x36a4
 Check your desired options.

.topic 0x36a6
 Enter your input in this field.

.topic 0x36a8
 Enter your input in this field.

.topic 0x36ab
 Closes this dialog and saves any changes you have made.

.topic 0x36ac
 Closes this dialog without saving any changes you have made.

.topic 0x36ae
 Check your desired options.

.topic 0x36af
 Enter your input in this field.

.topic 0x36b2
 Enter your input in this field.

.topic 0x36b5
 Enter your input in this field.

.topic 0x36b7
 Enter your input in this field.

.topic 0x36b8
 Click this button to make your choice.

.topic 0x36b9
 Click this button to make your choice.

.topic 0x36bb
 Enter your input in this field.

.topic 0x36bc
 Click this button to make your choice.

.topic 0x36be
 Enter your input in this field.

.topic 0x36c0
 Enter your input in this field.

.topic 0x36c1
 Enter your input in this field.

.topic 0x36c2
 Enter your input in this field.

.topic 0x36c3
 Enter your input in this field.

.topic 0x36c4
 Enter your input in this field.

.topic 0x36c8
 Click this button to make your choice.

.topic 0x36c9
 Click this button to make your choice.

.topic 0x36ca
 Enter your input in this field.

.topic 0x36cb
 Enter your input in this field.

.topic 0x36cc
 Click this button to make your choice.

.topic 0x36cd
 Click this button to make your choice.

.topic 0x36ce
 Click this button to make your choice.

.topic 0x36cf
 Click this button to make your choice.

.topic 0x36d0
 Enter your input in this field.

.topic 0x36d2
 Check your desired options.

.topic 0x36d4
 Enter your input in this field.

.topic 0x36d5
 Click this button to make your choice.

.topic 0x36d6
 Click this button to make your choice.

.topic 0x36d7
 Click this button to make your choice.

.topic 0x36d8
 Enter your input in this field.

.topic 0x36d9
 Click this button to make your choice.

.topic 0x36da
 Enter your input in this field.

.topic 0x36de
 Click this button to make your choice.

.topic 0x36e0
 Enter your input in this field.

.topic 0x36e1
 Click this button to make your choice.

.topic 0x36e3
 Click this button to make your choice.

.topic 0x36e4
 Click this button to make your choice.

.topic 0x36e5
 Click this button to make your choice.

.topic 0x36e6
 Click this button to make your choice.

.topic 0x36e7
 Enter your input in this field.

.topic 0x36e8
 Click this button to make your choice.

.topic 0x36ea
 Enter your input in this field.

.topic 0x36ed
 Closes this dialog and saves any changes you have made.

.topic 0x36ee
 Closes this dialog without saving any changes you have made.

.topic 0x36ef
 Drag the slider to select your preferred value

.topic 0x36f0
 Click this button to make your choice.

.topic 0x36f1
 Check your desired options.

.topic 0x36f2
 Enter your input in this field.

.topic 0x36f5
 Click this button to make your choice.

.topic 0x36f6
 Click this button to make your choice.

.topic 0x36f7
 Click this button to make your choice.

.topic 0x36f8
 Check your desired options.

.topic 0x36fa
 Enter your input in this field.

.topic 0x36fb
 Enter your input in this field.

.topic 0x36fc
 Enter your input in this field.

.topic 0x3701
 Click this button to make your choice.

.topic 0x3702
 Closes this dialog without saving any changes you have made.

.topic 0x3704
 Enter your input in this field.

.topic 0x3705
 Check your desired options.

.topic 0x3706
 Check your desired options.

.topic 0x3707
 Enter your input in this field.

.topic 0x3709
 Check your desired options.

.topic 0x370b
 Enter your input in this field.

.topic 0x370d
 Enter your input in this field.

.topic 0x370f
 Check your desired options.

.topic 0x3710
 Check your desired options.

.topic 0x3711
 Check your desired options.

.topic 0x3715
 Closes this dialog and saves any changes you have made.

.topic 0x3716
 Closes this dialog without saving any changes you have made.

.topic 0x3718
 Enter your input in this field.

.topic 0x371a
 Enter your input in this field.

.topic 0x371c
 Enter your input in this field.

.topic 0x371e
 Enter your input in this field.

.topic 0x371f
 Check your desired options.

.topic 0x3721
 Enter your input in this field.

.topic 0x3722
 Enter your input in this field.

.topic 0x3725
 Enter your input in this field.

.topic 0x3726
 Check your desired options.

.topic 0x3728
 Closes this dialog and saves any changes you have made.

.topic 0x3729
 Enter your input in this field.

.topic 0x372a
 Enter your input in this field.

.topic 0x372e
 Enter your input in this field.

.topic 0x3730
 Enter your input in this field.

.topic 0x3732
 Closes this dialog and saves any changes you have made.

.topic 0x3733
 Closes this dialog without saving any changes you have made.

.topic 0x3735
 Click this button to make your choice.

.topic 0x3736
 Click this button to make your choice.

.topic 0x3737
 Drag the slider to select your preferred value

.topic 0x3738
 Drag the slider to select your preferred value

.topic 0x3739
 Click this button to make your choice.

.topic 0x373c
 Check your desired options.

.topic 0x373d
 Check your desired options.

.topic 0x373e
 Drag the slider to select your preferred value

.topic 0x3740
 Drag the slider to select your preferred value

.topic 0x3741
 Drag the slider to select your preferred value

.topic 0x3744
 Click this button to make your choice.

.topic 0x3745
 Check your desired options.

.topic 0x3746
 Drag the slider to select your preferred value

.topic 0x374c
 Click this button to make your choice.

.topic 0x374d
 Closes this dialog without saving any changes you have made.

.topic 0x374f
 Enter your input in this field.

.topic 0x3750
 Check your desired options.

.topic 0x3752
 Select your preferred option.

.topic 0x3753
 Select your preferred option.

.topic 0x3754
 Select your preferred option.

.topic 0x3755
 Select your preferred option.

.topic 0x3756
 Enter your input in this field.

.topic 0x3758
 Enter your input in this field.

.topic 0x375b
 Enter your input in this field.

.topic 0x375c
 Check your desired options.

.topic 0x375e
 Closes this dialog and saves any changes you have made.

.topic 0x375f
 Closes this dialog without saving any changes you have made.

.topic 0x3761
 Check your desired options.

.topic 0x3762
 Check your desired options.

.topic 0x3763
 Check your desired options.

.topic 0x3764
 Check your desired options.

.topic 0x3765
 Check your desired options.

.topic 0x3766
 Check your desired options.

.topic 0x3767
 Check your desired options.

.topic 0x3768
 Check your desired options.

.topic 0x3769
 Check your desired options.

.topic 0x376d
 Enter your input in this field.

.topic 0x376e
 Enter your input in this field.

.topic 0x3771
 Enter your input in this field.

.topic 0x3772
 Enter your input in this field.

.topic 0x3774
 Enter your input in this field.

.topic 0x3775
 Click this button to make your choice.

.topic 0x3776
 Check your desired options.

.topic 0x3777
 Click this button to make your choice.

.topic 0x3778
 Click this button to make your choice.

.topic 0x3779
 Enter your input in this field.

.topic 0x377b
 Choose an item from the list.

.topic 0x377c
 Check your desired options.

.topic 0x377e
 Enter your input in this field.

.topic 0x3781
 Enter your input in this field.

.topic 0x3783
 Enter your input in this field.

.topic 0x3784
 Click this button to make your choice.

.topic 0x3785
 Enter your input in this field.

.topic 0x3786
 Enter your input in this field.

.topic 0x3788
 Closes this dialog and saves any changes you have made.

.topic 0x3789
 Closes this dialog without saving any changes you have made.

.topic 0x378a
 Click this button to make your choice.

.topic 0x378b
 Enter your input in this field.

.topic 0x378d
 Click this button to make your choice.

.topic 0x378e
 Closes this dialog without saving any changes you have made.

.topic 0x3791
 Enter your input in this field.

.topic 0x3794
 Enter your input in this field.

.topic 0x3797
 Enter your input in this field.

.topic 0x379b
 Enter your input in this field.

.topic 0x379e
 Enter your input in this field.

.topic 0x37a1
 Enter your input in this field.

.topic 0x3792
 Use the arrows to select your preferred value.

.topic 0x3795
 Use the arrows to select your preferred value.

.topic 0x3798
 Use the arrows to select your preferred value.

.topic 0x379c
 Use the arrows to select your preferred value.

.topic 0x379f
 Use the arrows to select your preferred value.

.topic 0x37a2
 Use the arrows to select your preferred value.

.topic 0x37a9
 Check your desired options.

.topic 0x37aa
 Check your desired options.

.topic 0x37ac
 Closes this dialog and saves any changes you have made.

.topic 0x37ad
 Closes this dialog without saving any changes you have made.

.topic 0x37ae
 Click this button to make your choice.

.topic 0x37af
 Click this button to make your choice.

.topic 0x37b0
 Click this button to make your choice.

.topic 0x37b1
 Click this button to make your choice.

.topic 0x37b2
 Check your desired options.

.topic 0x37b4
 Enter your input in this field.

.topic 0x37b5
 Click this button to make your choice.

.topic 0x37b6
 Click this button to make your choice.

.topic 0x37b7
 Click this button to make your choice.

.topic 0x37b9
 Enter your input in this field.

.topic 0x37bb
 Closes this dialog and saves any changes you have made.

.topic 0x37bc
 Closes this dialog without saving any changes you have made.

.topic 0x37bd
 Check your desired options.

.topic 0x37be
 Check your desired options.

.topic 0x37bf
 Check your desired options.

.topic 0x37c1
 Enter your input in this field.

.topic 0x37c3
 Closes this dialog and saves any changes you have made.

.topic 0x37c4
 Closes this dialog without saving any changes you have made.

.topic 0x37c9
 Enter your input in this field.

.topic 0x37ca
 Enter your input in this field.

.topic 0x37cb
 Enter your input in this field.

.topic 0x37cc
 Enter your input in this field.

.topic 0x37cd
 Check your desired options.

.topic 0x37ce
 Check your desired options.

.topic 0x37d1
 Enter your input in this field.

.topic 0x37d2
 Check your desired options.

.topic 0x37d4
 Closes this dialog and saves any changes you have made.

.topic 0x37d5
 Closes this dialog without saving any changes you have made.

.topic 0x37d7
 Enter your input in this field.

.topic 0x37da
 Enter your input in this field.

.topic 0x37dd
 Enter your input in this field.

.topic 0x37de
 Enter your input in this field.

.topic 0x37e0
 Enter your input in this field.

.topic 0x37e1
 Enter your input in this field.

.topic 0x37e5
 Closes this dialog and saves any changes you have made.

.topic 0x37e6
 Closes this dialog without saving any changes you have made.

.topic 0x37e7
 Enter your input in this field.

.topic 0x37ea
 Enter your input in this field.

.topic 0x37ec
 Enter your input in this field.

.topic 0x37ee
 Enter your input in this field.

.topic 0x37ef
 Check your desired options.

.topic 0x37f0
 Check your desired options.

.topic 0x37f3
 Enter your input in this field.

.topic 0x37f5
 Enter your input in this field.

.topic 0x37f6
 Check your desired options.

.topic 0x37f7
 Click this button to make your choice.

.topic 0x37f9
 Closes this dialog and saves any changes you have made.

.topic 0x37fa
 Closes this dialog without saving any changes you have made.

.topic 0x37fd
 Enter your input in this field.

.topic 0x37ff
 Enter your input in this field.

.topic 0x3801
 Enter your input in this field.

.topic 0x3803
 Enter your input in this field.

.topic 0x3805
 Enter your input in this field.

.topic 0x3808
 Select your preferred option.

.topic 0x3809
 Select your preferred option.

.topic 0x380a
 Enter your input in this field.

.topic 0x380c
 Choose an item from the list.

.topic 0x380f
 Closes this dialog and saves any changes you have made.

.topic 0x3810
 Closes this dialog without saving any changes you have made.

.topic 0x3815
 Enter your input in this field.

.topic 0x3816
 Enter your input in this field.

.topic 0x3817
 Enter your input in this field.

.topic 0x3818
 Enter your input in this field.

.topic 0x3819
 Enter your input in this field.

.topic 0x381a
 Enter your input in this field.

.topic 0x381c
 Check your desired options.

.topic 0x381d
 Check your desired options.

.topic 0x3822
 Enter your input in this field.

.topic 0x3823
 Enter your input in this field.

.topic 0x3824
 Enter your input in this field.

.topic 0x3825
 Enter your input in this field.

.topic 0x3826
 Enter your input in this field.

.topic 0x3827
 Enter your input in this field.

.topic 0x3829
 Closes this dialog and saves any changes you have made.

.topic 0x382a
 Closes this dialog without saving any changes you have made.

.topic 0x382c
 Select your preferred option.

.topic 0x382d
 Select your preferred option.

.topic 0x3831
 Enter your input in this field.

.topic 0x3833
 Enter your input in this field.

.topic 0x3837
 Enter your input in this field.

.topic 0x3838
 Enter your input in this field.

.topic 0x383a
 Closes this dialog and saves any changes you have made.

.topic 0x383b
 Closes this dialog without saving any changes you have made.

.topic 0x3840
 Enter your input in this field.

.topic 0x3841
 Enter your input in this field.

.topic 0x3842
 Enter your input in this field.

.topic 0x3843
 Click this button to make your choice.

.topic 0x3844
 Check your desired options.

.topic 0x3846
 Closes this dialog and saves any changes you have made.

.topic 0x3847
 Closes this dialog without saving any changes you have made.

.topic 0x3848
 Enter your input in this field.

.topic 0x3849
 Click this button to make your choice.

.topic 0x384b
 Check your desired options.

.topic 0x384c
 Enter your input in this field.

.topic 0x384f
 Enter your input in this field.

.topic 0x3852
 Enter your input in this field.

.topic 0x3854
 Enter your input in this field.

.topic 0x3856
 Click this button to make your choice.

.topic 0x3857
 Click this button to make your choice.

.topic 0x3859
 Enter your input in this field.

.topic 0x385a
 Enter your input in this field.

.topic 0x385c
 Check your desired options.

.topic 0x385d
 Check your desired options.

.topic 0x385f
 Closes this dialog and saves any changes you have made.

.topic 0x3860
 Closes this dialog without saving any changes you have made.

.topic 0x3862
 Enter your input in this field.

.topic 0x3864
 Closes this dialog and saves any changes you have made.

.topic 0x3865
 Closes this dialog without saving any changes you have made.

.topic 0x3866
 Click this button to make your choice.

.topic 0x3869
 Click this button to make your choice.

.topic 0x386a
 Enter your input in this field.

.topic 0x386b
 Enter your input in this field.

.topic 0x386c
 Enter your input in this field.

.topic 0x386d
 Enter your input in this field.

.topic 0x386e
 Enter your input in this field.

.topic 0x386f
 Enter your input in this field.

.topic 0x3872
 Choose an item from the list.

.topic 0x3873
 Closes this dialog and saves any changes you have made.

.topic 0x3874
 Closes this dialog without saving any changes you have made.

.topic 0x3875
 Click this button to make your choice.

.topic 0x387d
 Closes this dialog without saving any changes you have made.

.topic 0x387f
 Click this button to make your choice.

.topic 0x3880
 Click this button to make your choice.

.topic 0x3881
 Click this button to make your choice.

.topic 0x3882
 Click this button to make your choice.

.topic 0x3883
 Click this button to make your choice.

.topic 0x3884
 Click this button to make your choice.

.topic 0x3885
 Click this button to make your choice.


Menus and dialogs

Menus, tool boxes and dialogs

Click on an icon in the tool bar in order to learn more about the referenced commands.


Mesh rendering options


Scene rendering options


The flowfield tutorial

This tutorial describes the steps required to process the raw data files included on the accompanying CD-Rom. A full description of this tutorial will be included in the Users Guide which you will receive after purchasing BrainVoyager.